#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 700
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 194
#define ALIAS_COUNT 1
#define TOKEN_COUNT 91
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 29
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 59

enum ts_symbol_identifiers {
  anon_sym_LT_BANG = 1,
  aux_sym_doctype_token1 = 2,
  anon_sym_GT = 3,
  sym__doctype = 4,
  anon_sym_LT = 5,
  anon_sym_SLASH_GT = 6,
  anon_sym_LT_SLASH = 7,
  sym_attribute_name = 8,
  sym_attribute_value = 9,
  sym_entity = 10,
  anon_sym_SQUOTE = 11,
  aux_sym_quoted_attribute_value_token1 = 12,
  anon_sym_DQUOTE = 13,
  aux_sym_quoted_attribute_value_token2 = 14,
  sym_text = 15,
  anon_sym_LBRACE = 16,
  anon_sym_RBRACE = 17,
  anon_sym_let = 18,
  anon_sym_SEMI = 19,
  anon_sym_switch = 20,
  anon_sym_LPAREN = 21,
  anon_sym_RPAREN = 22,
  anon_sym_case = 23,
  anon_sym_default = 24,
  anon_sym_defer = 25,
  anon_sym_placeholder = 26,
  anon_sym_loading = 27,
  anon_sym_error = 28,
  anon_sym_prefetch = 29,
  anon_sym_when = 30,
  anon_sym_on = 31,
  anon_sym_after = 32,
  anon_sym_minimum = 33,
  anon_sym_ms = 34,
  anon_sym_s = 35,
  anon_sym_for = 36,
  anon_sym_empty = 37,
  anon_sym_of = 38,
  anon_sym_track = 39,
  anon_sym_COMMA = 40,
  anon_sym_else = 41,
  anon_sym_if = 42,
  anon_sym_as = 43,
  anon_sym_EQ = 44,
  anon_sym_plural = 45,
  anon_sym_select = 46,
  sym_icu_category = 47,
  anon_sym_PLUS = 48,
  anon_sym_STAR = 49,
  anon_sym_COLON = 50,
  anon_sym_context = 51,
  anon_sym_LBRACK = 52,
  anon_sym_RBRACK = 53,
  anon_sym_LBRACK_LPAREN = 54,
  anon_sym_RPAREN_RBRACK = 55,
  anon_sym_LBRACK_AT = 56,
  anon_sym_BANG = 57,
  anon_sym_QMARK = 58,
  anon_sym_QMARK_QMARK = 59,
  anon_sym_PIPE_PIPE = 60,
  anon_sym_AMP_AMP = 61,
  anon_sym_PIPE = 62,
  sym_identifier = 63,
  sym__escape_sequence = 64,
  aux_sym_string_token1 = 65,
  aux_sym_string_token2 = 66,
  sym_number = 67,
  anon_sym_DOT = 68,
  anon_sym_QMARK_DOT = 69,
  anon_sym_BANG_DOT = 70,
  anon_sym_DASH = 71,
  anon_sym_SLASH = 72,
  anon_sym_PERCENT = 73,
  anon_sym_EQ_EQ = 74,
  anon_sym_EQ_EQ_EQ = 75,
  anon_sym_BANG_EQ = 76,
  anon_sym_BANG_EQ_EQ = 77,
  anon_sym_LT_EQ = 78,
  anon_sym_GT_EQ = 79,
  sym__start_tag_name = 80,
  sym__script_start_tag_name = 81,
  sym__style_start_tag_name = 82,
  sym__end_tag_name = 83,
  sym_erroneous_end_tag_name = 84,
  sym__implicit_end_tag = 85,
  sym_raw_text = 86,
  sym_comment = 87,
  sym__interpolation_start = 88,
  sym__interpolation_end = 89,
  sym__control_flow_start = 90,
  sym_document = 91,
  sym_doctype = 92,
  sym__node = 93,
  sym_element = 94,
  sym_script_element = 95,
  sym_style_element = 96,
  sym_start_tag = 97,
  sym_script_start_tag = 98,
  sym_style_start_tag = 99,
  sym_self_closing_tag = 100,
  sym_end_tag = 101,
  sym_erroneous_end_tag = 102,
  sym_attribute = 103,
  sym_quoted_attribute_value = 104,
  sym_statement_block = 105,
  sym__any_statement = 106,
  sym__alternative_statement = 107,
  sym_let_statement = 108,
  sym_switch_statement = 109,
  sym_switch_body = 110,
  sym_case_statement = 111,
  sym_default_statement = 112,
  sym_defer_statement = 113,
  sym_placeholder_statement = 114,
  sym_loading_statement = 115,
  sym_error_statement = 116,
  sym_defer_trigger = 117,
  sym_placeholder_minimum = 118,
  sym_loading_condition = 119,
  sym_defer_trigger_condition = 120,
  sym_timed_expression = 121,
  sym_for_statement = 122,
  sym_empty_statement = 123,
  sym_for_declaration = 124,
  sym_for_reference = 125,
  sym_if_statement = 126,
  sym_else_if_statement = 127,
  sym_else_statement = 128,
  sym__if_start_expression = 129,
  sym__else_if_start_expression = 130,
  sym__if_body_expression = 131,
  sym_if_condition = 132,
  sym_if_reference = 133,
  sym__any_expression = 134,
  sym_assignment_expression = 135,
  sym_icu_expression = 136,
  sym_icu_clause = 137,
  sym_icu_case = 138,
  sym_interpolation = 139,
  sym_concatenation_expression = 140,
  sym_structural_directive = 141,
  sym_structural_expression = 142,
  sym_structural_declaration = 143,
  sym_structural_assignment = 144,
  sym__alias = 145,
  sym__else_template_expression = 146,
  sym__context_expression = 147,
  sym_property_binding = 148,
  sym_event_binding = 149,
  sym_two_way_binding = 150,
  sym_animation_binding = 151,
  sym__binding_assignment = 152,
  sym_binding_name = 153,
  sym__normal_attribute = 154,
  sym_expression = 155,
  sym_unary_expression = 156,
  sym_binary_expression = 157,
  sym_ternary_expression = 158,
  sym_nullish_coalescing_expression = 159,
  sym_conditional_expression = 160,
  sym_pipe_sequence = 161,
  sym_pipe_call = 162,
  sym_pipe_arguments = 163,
  sym__pipe_argument = 164,
  sym__primitive = 165,
  sym_object = 166,
  sym_pair = 167,
  sym_array = 168,
  sym_string = 169,
  sym_group = 170,
  sym_call_expression = 171,
  sym_arguments = 172,
  sym_member_expression = 173,
  sym_bracket_expression = 174,
  sym_static_member_expression = 175,
  sym__single_quote = 176,
  sym__double_quote = 177,
  sym__binary_op = 178,
  aux_sym_document_repeat1 = 179,
  aux_sym_start_tag_repeat1 = 180,
  aux_sym_switch_body_repeat1 = 181,
  aux_sym_defer_trigger_repeat1 = 182,
  aux_sym_for_reference_repeat1 = 183,
  aux_sym_icu_expression_repeat1 = 184,
  aux_sym_concatenation_expression_repeat1 = 185,
  aux_sym_structural_declaration_repeat1 = 186,
  aux_sym_pipe_sequence_repeat1 = 187,
  aux_sym_pipe_arguments_repeat1 = 188,
  aux_sym_object_repeat1 = 189,
  aux_sym_array_repeat1 = 190,
  aux_sym_string_repeat1 = 191,
  aux_sym_string_repeat2 = 192,
  aux_sym_arguments_repeat1 = 193,
  alias_sym_conditional_operator = 194,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_LT_BANG] = "<!",
  [aux_sym_doctype_token1] = "doctype_token1",
  [anon_sym_GT] = ">",
  [sym__doctype] = "doctype",
  [anon_sym_LT] = "<",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_LT_SLASH] = "</",
  [sym_attribute_name] = "attribute_name",
  [sym_attribute_value] = "attribute_value",
  [sym_entity] = "entity",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_quoted_attribute_value_token1] = "attribute_value",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_quoted_attribute_value_token2] = "attribute_value",
  [sym_text] = "text",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_let] = "special_keyword",
  [anon_sym_SEMI] = ";",
  [anon_sym_switch] = "control_keyword",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_case] = "control_keyword",
  [anon_sym_default] = "control_keyword",
  [anon_sym_defer] = "control_keyword",
  [anon_sym_placeholder] = "control_keyword",
  [anon_sym_loading] = "control_keyword",
  [anon_sym_error] = "control_keyword",
  [anon_sym_prefetch] = "prefetch_keyword",
  [anon_sym_when] = "special_keyword",
  [anon_sym_on] = "special_keyword",
  [anon_sym_after] = "special_keyword",
  [anon_sym_minimum] = "special_keyword",
  [anon_sym_ms] = "unit",
  [anon_sym_s] = "unit",
  [anon_sym_for] = "control_keyword",
  [anon_sym_empty] = "control_keyword",
  [anon_sym_of] = "special_keyword",
  [anon_sym_track] = "special_keyword",
  [anon_sym_COMMA] = ",",
  [anon_sym_else] = "control_keyword",
  [anon_sym_if] = "control_keyword",
  [anon_sym_as] = "special_keyword",
  [anon_sym_EQ] = "=",
  [anon_sym_plural] = "plural",
  [anon_sym_select] = "select",
  [sym_icu_category] = "icu_category",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_COLON] = ":",
  [anon_sym_context] = "special_keyword",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LPAREN] = "[(",
  [anon_sym_RPAREN_RBRACK] = ")]",
  [anon_sym_LBRACK_AT] = "[@",
  [anon_sym_BANG] = "unary_operator",
  [anon_sym_QMARK] = "ternary_operator",
  [anon_sym_QMARK_QMARK] = "coalescing_operator",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "pipe_operator",
  [sym_identifier] = "identifier",
  [sym__escape_sequence] = "_escape_sequence",
  [aux_sym_string_token1] = "string_token1",
  [aux_sym_string_token2] = "string_token2",
  [sym_number] = "number",
  [anon_sym_DOT] = ".",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_BANG_DOT] = "!.",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [sym__start_tag_name] = "tag_name",
  [sym__script_start_tag_name] = "tag_name",
  [sym__style_start_tag_name] = "tag_name",
  [sym__end_tag_name] = "tag_name",
  [sym_erroneous_end_tag_name] = "erroneous_end_tag_name",
  [sym__implicit_end_tag] = "_implicit_end_tag",
  [sym_raw_text] = "raw_text",
  [sym_comment] = "comment",
  [sym__interpolation_start] = "{{",
  [sym__interpolation_end] = "}}",
  [sym__control_flow_start] = "@",
  [sym_document] = "document",
  [sym_doctype] = "doctype",
  [sym__node] = "_node",
  [sym_element] = "element",
  [sym_script_element] = "script_element",
  [sym_style_element] = "style_element",
  [sym_start_tag] = "start_tag",
  [sym_script_start_tag] = "start_tag",
  [sym_style_start_tag] = "start_tag",
  [sym_self_closing_tag] = "self_closing_tag",
  [sym_end_tag] = "end_tag",
  [sym_erroneous_end_tag] = "erroneous_end_tag",
  [sym_attribute] = "attribute",
  [sym_quoted_attribute_value] = "quoted_attribute_value",
  [sym_statement_block] = "statement_block",
  [sym__any_statement] = "_any_statement",
  [sym__alternative_statement] = "_alternative_statement",
  [sym_let_statement] = "let_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_body] = "switch_body",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_placeholder_statement] = "placeholder_statement",
  [sym_loading_statement] = "loading_statement",
  [sym_error_statement] = "error_statement",
  [sym_defer_trigger] = "defer_trigger",
  [sym_placeholder_minimum] = "placeholder_minimum",
  [sym_loading_condition] = "loading_condition",
  [sym_defer_trigger_condition] = "defer_trigger_condition",
  [sym_timed_expression] = "timed_expression",
  [sym_for_statement] = "for_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_for_declaration] = "for_declaration",
  [sym_for_reference] = "for_reference",
  [sym_if_statement] = "if_statement",
  [sym_else_if_statement] = "else_if_statement",
  [sym_else_statement] = "else_statement",
  [sym__if_start_expression] = "_if_start_expression",
  [sym__else_if_start_expression] = "_else_if_start_expression",
  [sym__if_body_expression] = "_if_body_expression",
  [sym_if_condition] = "if_condition",
  [sym_if_reference] = "if_reference",
  [sym__any_expression] = "_any_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_icu_expression] = "icu_expression",
  [sym_icu_clause] = "icu_clause",
  [sym_icu_case] = "icu_case",
  [sym_interpolation] = "interpolation",
  [sym_concatenation_expression] = "concatenation_expression",
  [sym_structural_directive] = "structural_directive",
  [sym_structural_expression] = "structural_expression",
  [sym_structural_declaration] = "structural_declaration",
  [sym_structural_assignment] = "structural_assignment",
  [sym__alias] = "_alias",
  [sym__else_template_expression] = "_else_template_expression",
  [sym__context_expression] = "_context_expression",
  [sym_property_binding] = "property_binding",
  [sym_event_binding] = "event_binding",
  [sym_two_way_binding] = "two_way_binding",
  [sym_animation_binding] = "animation_binding",
  [sym__binding_assignment] = "_binding_assignment",
  [sym_binding_name] = "binding_name",
  [sym__normal_attribute] = "_normal_attribute",
  [sym_expression] = "expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_nullish_coalescing_expression] = "nullish_coalescing_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_pipe_sequence] = "pipe_sequence",
  [sym_pipe_call] = "pipe_call",
  [sym_pipe_arguments] = "pipe_arguments",
  [sym__pipe_argument] = "_pipe_argument",
  [sym__primitive] = "_primitive",
  [sym_object] = "object",
  [sym_pair] = "pair",
  [sym_array] = "array",
  [sym_string] = "string",
  [sym_group] = "group",
  [sym_call_expression] = "call_expression",
  [sym_arguments] = "arguments",
  [sym_member_expression] = "member_expression",
  [sym_bracket_expression] = "bracket_expression",
  [sym_static_member_expression] = "static_member_expression",
  [sym__single_quote] = "_single_quote",
  [sym__double_quote] = "_double_quote",
  [sym__binary_op] = "_binary_op",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_start_tag_repeat1] = "start_tag_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_defer_trigger_repeat1] = "defer_trigger_repeat1",
  [aux_sym_for_reference_repeat1] = "for_reference_repeat1",
  [aux_sym_icu_expression_repeat1] = "icu_expression_repeat1",
  [aux_sym_concatenation_expression_repeat1] = "concatenation_expression_repeat1",
  [aux_sym_structural_declaration_repeat1] = "structural_declaration_repeat1",
  [aux_sym_pipe_sequence_repeat1] = "pipe_sequence_repeat1",
  [aux_sym_pipe_arguments_repeat1] = "pipe_arguments_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [alias_sym_conditional_operator] = "conditional_operator",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_LT_BANG] = anon_sym_LT_BANG,
  [aux_sym_doctype_token1] = aux_sym_doctype_token1,
  [anon_sym_GT] = anon_sym_GT,
  [sym__doctype] = sym__doctype,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [sym_attribute_name] = sym_attribute_name,
  [sym_attribute_value] = sym_attribute_value,
  [sym_entity] = sym_entity,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_quoted_attribute_value_token1] = sym_attribute_value,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_quoted_attribute_value_token2] = sym_attribute_value,
  [sym_text] = sym_text,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_case] = anon_sym_switch,
  [anon_sym_default] = anon_sym_switch,
  [anon_sym_defer] = anon_sym_switch,
  [anon_sym_placeholder] = anon_sym_switch,
  [anon_sym_loading] = anon_sym_switch,
  [anon_sym_error] = anon_sym_switch,
  [anon_sym_prefetch] = anon_sym_prefetch,
  [anon_sym_when] = anon_sym_let,
  [anon_sym_on] = anon_sym_let,
  [anon_sym_after] = anon_sym_let,
  [anon_sym_minimum] = anon_sym_let,
  [anon_sym_ms] = anon_sym_ms,
  [anon_sym_s] = anon_sym_ms,
  [anon_sym_for] = anon_sym_switch,
  [anon_sym_empty] = anon_sym_switch,
  [anon_sym_of] = anon_sym_let,
  [anon_sym_track] = anon_sym_let,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_else] = anon_sym_switch,
  [anon_sym_if] = anon_sym_switch,
  [anon_sym_as] = anon_sym_let,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_plural] = anon_sym_plural,
  [anon_sym_select] = anon_sym_select,
  [sym_icu_category] = sym_icu_category,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_context] = anon_sym_let,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LPAREN] = anon_sym_LBRACK_LPAREN,
  [anon_sym_RPAREN_RBRACK] = anon_sym_RPAREN_RBRACK,
  [anon_sym_LBRACK_AT] = anon_sym_LBRACK_AT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [sym_identifier] = sym_identifier,
  [sym__escape_sequence] = sym__escape_sequence,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_number] = sym_number,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_BANG_DOT] = anon_sym_BANG_DOT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [sym__start_tag_name] = sym__start_tag_name,
  [sym__script_start_tag_name] = sym__start_tag_name,
  [sym__style_start_tag_name] = sym__start_tag_name,
  [sym__end_tag_name] = sym__start_tag_name,
  [sym_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [sym__implicit_end_tag] = sym__implicit_end_tag,
  [sym_raw_text] = sym_raw_text,
  [sym_comment] = sym_comment,
  [sym__interpolation_start] = sym__interpolation_start,
  [sym__interpolation_end] = sym__interpolation_end,
  [sym__control_flow_start] = sym__control_flow_start,
  [sym_document] = sym_document,
  [sym_doctype] = sym_doctype,
  [sym__node] = sym__node,
  [sym_element] = sym_element,
  [sym_script_element] = sym_script_element,
  [sym_style_element] = sym_style_element,
  [sym_start_tag] = sym_start_tag,
  [sym_script_start_tag] = sym_start_tag,
  [sym_style_start_tag] = sym_start_tag,
  [sym_self_closing_tag] = sym_self_closing_tag,
  [sym_end_tag] = sym_end_tag,
  [sym_erroneous_end_tag] = sym_erroneous_end_tag,
  [sym_attribute] = sym_attribute,
  [sym_quoted_attribute_value] = sym_quoted_attribute_value,
  [sym_statement_block] = sym_statement_block,
  [sym__any_statement] = sym__any_statement,
  [sym__alternative_statement] = sym__alternative_statement,
  [sym_let_statement] = sym_let_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_placeholder_statement] = sym_placeholder_statement,
  [sym_loading_statement] = sym_loading_statement,
  [sym_error_statement] = sym_error_statement,
  [sym_defer_trigger] = sym_defer_trigger,
  [sym_placeholder_minimum] = sym_placeholder_minimum,
  [sym_loading_condition] = sym_loading_condition,
  [sym_defer_trigger_condition] = sym_defer_trigger_condition,
  [sym_timed_expression] = sym_timed_expression,
  [sym_for_statement] = sym_for_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_for_declaration] = sym_for_declaration,
  [sym_for_reference] = sym_for_reference,
  [sym_if_statement] = sym_if_statement,
  [sym_else_if_statement] = sym_else_if_statement,
  [sym_else_statement] = sym_else_statement,
  [sym__if_start_expression] = sym__if_start_expression,
  [sym__else_if_start_expression] = sym__else_if_start_expression,
  [sym__if_body_expression] = sym__if_body_expression,
  [sym_if_condition] = sym_if_condition,
  [sym_if_reference] = sym_if_reference,
  [sym__any_expression] = sym__any_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_icu_expression] = sym_icu_expression,
  [sym_icu_clause] = sym_icu_clause,
  [sym_icu_case] = sym_icu_case,
  [sym_interpolation] = sym_interpolation,
  [sym_concatenation_expression] = sym_concatenation_expression,
  [sym_structural_directive] = sym_structural_directive,
  [sym_structural_expression] = sym_structural_expression,
  [sym_structural_declaration] = sym_structural_declaration,
  [sym_structural_assignment] = sym_structural_assignment,
  [sym__alias] = sym__alias,
  [sym__else_template_expression] = sym__else_template_expression,
  [sym__context_expression] = sym__context_expression,
  [sym_property_binding] = sym_property_binding,
  [sym_event_binding] = sym_event_binding,
  [sym_two_way_binding] = sym_two_way_binding,
  [sym_animation_binding] = sym_animation_binding,
  [sym__binding_assignment] = sym__binding_assignment,
  [sym_binding_name] = sym_binding_name,
  [sym__normal_attribute] = sym__normal_attribute,
  [sym_expression] = sym_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_nullish_coalescing_expression] = sym_nullish_coalescing_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_pipe_sequence] = sym_pipe_sequence,
  [sym_pipe_call] = sym_pipe_call,
  [sym_pipe_arguments] = sym_pipe_arguments,
  [sym__pipe_argument] = sym__pipe_argument,
  [sym__primitive] = sym__primitive,
  [sym_object] = sym_object,
  [sym_pair] = sym_pair,
  [sym_array] = sym_array,
  [sym_string] = sym_string,
  [sym_group] = sym_group,
  [sym_call_expression] = sym_call_expression,
  [sym_arguments] = sym_arguments,
  [sym_member_expression] = sym_member_expression,
  [sym_bracket_expression] = sym_bracket_expression,
  [sym_static_member_expression] = sym_static_member_expression,
  [sym__single_quote] = sym__single_quote,
  [sym__double_quote] = sym__double_quote,
  [sym__binary_op] = sym__binary_op,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_start_tag_repeat1] = aux_sym_start_tag_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_defer_trigger_repeat1] = aux_sym_defer_trigger_repeat1,
  [aux_sym_for_reference_repeat1] = aux_sym_for_reference_repeat1,
  [aux_sym_icu_expression_repeat1] = aux_sym_icu_expression_repeat1,
  [aux_sym_concatenation_expression_repeat1] = aux_sym_concatenation_expression_repeat1,
  [aux_sym_structural_declaration_repeat1] = aux_sym_structural_declaration_repeat1,
  [aux_sym_pipe_sequence_repeat1] = aux_sym_pipe_sequence_repeat1,
  [aux_sym_pipe_arguments_repeat1] = aux_sym_pipe_arguments_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [alias_sym_conditional_operator] = alias_sym_conditional_operator,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LT_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_doctype_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__doctype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_entity] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_placeholder] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_loading] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_error] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_prefetch] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_after] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_minimum] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ms] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_s] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_empty] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_track] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_plural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [sym_icu_category] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_context] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym__start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__script_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__style_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__implicit_end_tag] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_text] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolation_start] = {
    .visible = true,
    .named = false,
  },
  [sym__interpolation_end] = {
    .visible = true,
    .named = false,
  },
  [sym__control_flow_start] = {
    .visible = true,
    .named = false,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym_doctype] = {
    .visible = true,
    .named = true,
  },
  [sym__node] = {
    .visible = false,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_script_element] = {
    .visible = true,
    .named = true,
  },
  [sym_style_element] = {
    .visible = true,
    .named = true,
  },
  [sym_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_script_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_style_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_self_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym__any_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__alternative_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_let_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_error_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_minimum] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_timed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_for_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__if_start_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__else_if_start_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__if_body_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_if_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_if_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__any_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_case] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__alias] = {
    .visible = false,
    .named = true,
  },
  [sym__else_template_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__context_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_property_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_event_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_two_way_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_animation_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__binding_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym_binding_name] = {
    .visible = true,
    .named = true,
  },
  [sym__normal_attribute] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullish_coalescing_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_call] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__pipe_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__primitive] = {
    .visible = false,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_group] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bracket_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_static_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_op] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_start_tag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defer_trigger_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_reference_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_icu_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structural_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_conditional_operator] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_alternative_condition = 3,
  field_arguments = 4,
  field_body = 5,
  field_call = 6,
  field_condition = 7,
  field_consequence = 8,
  field_declaration = 9,
  field_default = 10,
  field_empty = 11,
  field_error = 12,
  field_function = 13,
  field_key = 14,
  field_left = 15,
  field_loading = 16,
  field_minimum = 17,
  field_name = 18,
  field_named = 19,
  field_object = 20,
  field_operator = 21,
  field_pipes = 22,
  field_placeholder = 23,
  field_property = 24,
  field_reference = 25,
  field_right = 26,
  field_track = 27,
  field_trigger = 28,
  field_value = 29,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_alternative_condition] = "alternative_condition",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_call] = "call",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_declaration] = "declaration",
  [field_default] = "default",
  [field_empty] = "empty",
  [field_error] = "error",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_loading] = "loading",
  [field_minimum] = "minimum",
  [field_name] = "name",
  [field_named] = "named",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_pipes] = "pipes",
  [field_placeholder] = "placeholder",
  [field_property] = "property",
  [field_reference] = "reference",
  [field_right] = "right",
  [field_track] = "track",
  [field_trigger] = "trigger",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 6},
  [2] = {.index = 6, .length = 1},
  [3] = {.index = 7, .length = 1},
  [4] = {.index = 8, .length = 1},
  [5] = {.index = 9, .length = 1},
  [6] = {.index = 10, .length = 1},
  [7] = {.index = 11, .length = 1},
  [8] = {.index = 12, .length = 3},
  [9] = {.index = 15, .length = 12},
  [10] = {.index = 27, .length = 2},
  [11] = {.index = 29, .length = 1},
  [12] = {.index = 30, .length = 1},
  [13] = {.index = 31, .length = 6},
  [14] = {.index = 37, .length = 1},
  [15] = {.index = 38, .length = 2},
  [16] = {.index = 40, .length = 3},
  [17] = {.index = 43, .length = 2},
  [18] = {.index = 45, .length = 1},
  [19] = {.index = 46, .length = 2},
  [20] = {.index = 48, .length = 2},
  [22] = {.index = 50, .length = 1},
  [23] = {.index = 51, .length = 2},
  [24] = {.index = 53, .length = 2},
  [25] = {.index = 55, .length = 2},
  [26] = {.index = 57, .length = 2},
  [27] = {.index = 59, .length = 1},
  [28] = {.index = 60, .length = 1},
  [29] = {.index = 61, .length = 1},
  [30] = {.index = 62, .length = 2},
  [31] = {.index = 64, .length = 3},
  [32] = {.index = 67, .length = 2},
  [33] = {.index = 69, .length = 1},
  [34] = {.index = 70, .length = 2},
  [35] = {.index = 72, .length = 2},
  [36] = {.index = 74, .length = 1},
  [37] = {.index = 75, .length = 2},
  [38] = {.index = 77, .length = 1},
  [39] = {.index = 78, .length = 3},
  [40] = {.index = 81, .length = 2},
  [41] = {.index = 83, .length = 1},
  [42] = {.index = 84, .length = 2},
  [43] = {.index = 86, .length = 3},
  [44] = {.index = 89, .length = 1},
  [45] = {.index = 90, .length = 1},
  [46] = {.index = 91, .length = 3},
  [47] = {.index = 94, .length = 2},
  [48] = {.index = 96, .length = 2},
  [49] = {.index = 98, .length = 2},
  [50] = {.index = 100, .length = 1},
  [51] = {.index = 101, .length = 6},
  [52] = {.index = 107, .length = 3},
  [54] = {.index = 110, .length = 2},
  [55] = {.index = 112, .length = 3},
  [56] = {.index = 115, .length = 4},
  [57] = {.index = 119, .length = 1},
  [58] = {.index = 120, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_alternative, 0, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_placeholder, 0, .inherited = true},
  [6] =
    {field_placeholder, 0},
  [7] =
    {field_loading, 0},
  [8] =
    {field_error, 0},
  [9] =
    {field_empty, 0},
  [10] =
    {field_alternative_condition, 0},
  [11] =
    {field_alternative, 0},
  [12] =
    {field_condition, 1, .inherited = true},
    {field_consequence, 1, .inherited = true},
    {field_reference, 1, .inherited = true},
  [15] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 0, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [27] =
    {field_operator, 0},
    {field_value, 1},
  [29] =
    {field_pipes, 1},
  [30] =
    {field_body, 2},
  [31] =
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [37] =
    {field_function, 0},
  [38] =
    {field_condition, 0},
    {field_default, 2},
  [40] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [43] =
    {field_left, 0},
    {field_right, 2},
  [45] =
    {field_name, 0},
  [46] =
    {field_object, 0},
    {field_property, 2},
  [48] =
    {field_call, 2},
    {field_object, 0},
  [50] =
    {field_body, 3},
  [51] =
    {field_key, 0},
    {field_value, 2},
  [53] =
    {field_arguments, 2},
    {field_function, 0},
  [55] =
    {field_arguments, 1},
    {field_name, 0},
  [57] =
    {field_name, 0},
    {field_value, 2},
  [59] =
    {field_trigger, 1},
  [60] =
    {field_condition, 1},
  [61] =
    {field_minimum, 1},
  [62] =
    {field_condition, 1},
    {field_consequence, 3},
  [64] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [67] =
    {field_body, 5},
    {field_value, 3},
  [69] =
    {field_trigger, 2},
  [70] =
    {field_condition, 1},
    {field_condition, 2, .inherited = true},
  [72] =
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
  [74] =
    {field_value, 1},
  [75] =
    {field_body, 5},
    {field_declaration, 3},
  [77] =
    {field_trigger, 3},
  [78] =
    {field_condition, 1},
    {field_consequence, 4},
    {field_reference, 2},
  [81] =
    {field_condition, 1},
    {field_condition, 3},
  [83] =
    {field_alias, 1},
  [84] =
    {field_alias, 1},
    {field_alias, 2, .inherited = true},
  [86] =
    {field_body, 7},
    {field_declaration, 3},
    {field_reference, 5},
  [89] =
    {field_alias, 1, .inherited = true},
  [90] =
    {field_named, 1, .inherited = true},
  [91] =
    {field_name, 0},
    {field_track, 5},
    {field_value, 2},
  [94] =
    {field_alias, 0, .inherited = true},
    {field_alias, 1, .inherited = true},
  [96] =
    {field_alias, 1, .inherited = true},
    {field_name, 0},
  [98] =
    {field_alias, 1, .inherited = true},
    {field_named, 2, .inherited = true},
  [100] =
    {field_named, 2, .inherited = true},
  [101] =
    {field_alternative, 2, .inherited = true},
    {field_alternative_condition, 2, .inherited = true},
    {field_empty, 2, .inherited = true},
    {field_error, 2, .inherited = true},
    {field_loading, 2, .inherited = true},
    {field_placeholder, 2, .inherited = true},
  [107] =
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [110] =
    {field_alias, 1, .inherited = true},
    {field_named, 3, .inherited = true},
  [112] =
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
  [115] =
    {field_alias, 3, .inherited = true},
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [119] =
    {field_named, 1},
  [120] =
    {field_alias, 4, .inherited = true},
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [17] = {
    [1] = alias_sym_conditional_operator,
  },
  [21] = {
    [1] = anon_sym_switch,
  },
  [31] = {
    [3] = anon_sym_QMARK,
  },
  [53] = {
    [1] = anon_sym_let,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 2,
  [6] = 4,
  [7] = 7,
  [8] = 8,
  [9] = 3,
  [10] = 10,
  [11] = 10,
  [12] = 7,
  [13] = 7,
  [14] = 10,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 19,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 26,
  [33] = 28,
  [34] = 31,
  [35] = 18,
  [36] = 17,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 23,
  [41] = 25,
  [42] = 42,
  [43] = 39,
  [44] = 30,
  [45] = 38,
  [46] = 46,
  [47] = 29,
  [48] = 37,
  [49] = 21,
  [50] = 27,
  [51] = 22,
  [52] = 24,
  [53] = 42,
  [54] = 46,
  [55] = 55,
  [56] = 56,
  [57] = 55,
  [58] = 38,
  [59] = 59,
  [60] = 21,
  [61] = 61,
  [62] = 56,
  [63] = 59,
  [64] = 64,
  [65] = 65,
  [66] = 65,
  [67] = 67,
  [68] = 61,
  [69] = 64,
  [70] = 67,
  [71] = 71,
  [72] = 18,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 38,
  [80] = 21,
  [81] = 19,
  [82] = 71,
  [83] = 83,
  [84] = 77,
  [85] = 77,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 77,
  [90] = 17,
  [91] = 91,
  [92] = 92,
  [93] = 71,
  [94] = 71,
  [95] = 74,
  [96] = 96,
  [97] = 97,
  [98] = 27,
  [99] = 99,
  [100] = 30,
  [101] = 75,
  [102] = 31,
  [103] = 25,
  [104] = 39,
  [105] = 26,
  [106] = 37,
  [107] = 29,
  [108] = 24,
  [109] = 22,
  [110] = 23,
  [111] = 73,
  [112] = 28,
  [113] = 99,
  [114] = 97,
  [115] = 55,
  [116] = 116,
  [117] = 117,
  [118] = 116,
  [119] = 119,
  [120] = 116,
  [121] = 46,
  [122] = 122,
  [123] = 116,
  [124] = 124,
  [125] = 117,
  [126] = 56,
  [127] = 124,
  [128] = 119,
  [129] = 59,
  [130] = 124,
  [131] = 122,
  [132] = 124,
  [133] = 117,
  [134] = 122,
  [135] = 135,
  [136] = 73,
  [137] = 75,
  [138] = 138,
  [139] = 135,
  [140] = 135,
  [141] = 135,
  [142] = 142,
  [143] = 142,
  [144] = 142,
  [145] = 99,
  [146] = 142,
  [147] = 117,
  [148] = 122,
  [149] = 142,
  [150] = 97,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 122,
  [160] = 119,
  [161] = 152,
  [162] = 152,
  [163] = 152,
  [164] = 153,
  [165] = 165,
  [166] = 166,
  [167] = 156,
  [168] = 155,
  [169] = 157,
  [170] = 166,
  [171] = 158,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 175,
  [177] = 177,
  [178] = 174,
  [179] = 172,
  [180] = 175,
  [181] = 175,
  [182] = 172,
  [183] = 172,
  [184] = 184,
  [185] = 174,
  [186] = 186,
  [187] = 187,
  [188] = 186,
  [189] = 174,
  [190] = 18,
  [191] = 19,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 17,
  [196] = 192,
  [197] = 193,
  [198] = 194,
  [199] = 193,
  [200] = 193,
  [201] = 201,
  [202] = 193,
  [203] = 37,
  [204] = 22,
  [205] = 205,
  [206] = 206,
  [207] = 27,
  [208] = 23,
  [209] = 24,
  [210] = 25,
  [211] = 26,
  [212] = 212,
  [213] = 28,
  [214] = 31,
  [215] = 29,
  [216] = 30,
  [217] = 39,
  [218] = 201,
  [219] = 219,
  [220] = 46,
  [221] = 221,
  [222] = 59,
  [223] = 56,
  [224] = 224,
  [225] = 221,
  [226] = 73,
  [227] = 227,
  [228] = 75,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 229,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 97,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 99,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 256,
  [280] = 273,
  [281] = 281,
  [282] = 239,
  [283] = 232,
  [284] = 242,
  [285] = 243,
  [286] = 244,
  [287] = 245,
  [288] = 269,
  [289] = 240,
  [290] = 235,
  [291] = 236,
  [292] = 292,
  [293] = 253,
  [294] = 237,
  [295] = 238,
  [296] = 231,
  [297] = 233,
  [298] = 234,
  [299] = 270,
  [300] = 275,
  [301] = 277,
  [302] = 267,
  [303] = 247,
  [304] = 255,
  [305] = 265,
  [306] = 268,
  [307] = 271,
  [308] = 281,
  [309] = 254,
  [310] = 310,
  [311] = 248,
  [312] = 249,
  [313] = 257,
  [314] = 258,
  [315] = 259,
  [316] = 261,
  [317] = 263,
  [318] = 230,
  [319] = 251,
  [320] = 272,
  [321] = 278,
  [322] = 241,
  [323] = 246,
  [324] = 250,
  [325] = 262,
  [326] = 264,
  [327] = 266,
  [328] = 328,
  [329] = 329,
  [330] = 229,
  [331] = 331,
  [332] = 332,
  [333] = 119,
  [334] = 334,
  [335] = 332,
  [336] = 281,
  [337] = 337,
  [338] = 338,
  [339] = 332,
  [340] = 281,
  [341] = 332,
  [342] = 276,
  [343] = 328,
  [344] = 344,
  [345] = 345,
  [346] = 338,
  [347] = 347,
  [348] = 331,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 337,
  [360] = 338,
  [361] = 352,
  [362] = 224,
  [363] = 355,
  [364] = 353,
  [365] = 354,
  [366] = 356,
  [367] = 331,
  [368] = 357,
  [369] = 358,
  [370] = 370,
  [371] = 349,
  [372] = 372,
  [373] = 344,
  [374] = 345,
  [375] = 227,
  [376] = 350,
  [377] = 377,
  [378] = 229,
  [379] = 379,
  [380] = 370,
  [381] = 372,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 382,
  [388] = 388,
  [389] = 224,
  [390] = 390,
  [391] = 391,
  [392] = 227,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 310,
  [397] = 397,
  [398] = 372,
  [399] = 399,
  [400] = 338,
  [401] = 401,
  [402] = 401,
  [403] = 403,
  [404] = 403,
  [405] = 394,
  [406] = 331,
  [407] = 390,
  [408] = 391,
  [409] = 399,
  [410] = 383,
  [411] = 401,
  [412] = 403,
  [413] = 413,
  [414] = 413,
  [415] = 394,
  [416] = 390,
  [417] = 391,
  [418] = 401,
  [419] = 403,
  [420] = 413,
  [421] = 394,
  [422] = 390,
  [423] = 391,
  [424] = 413,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 431,
  [441] = 433,
  [442] = 442,
  [443] = 443,
  [444] = 425,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 445,
  [453] = 447,
  [454] = 451,
  [455] = 451,
  [456] = 456,
  [457] = 457,
  [458] = 438,
  [459] = 451,
  [460] = 436,
  [461] = 432,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 310,
  [470] = 462,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 372,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 479,
  [486] = 486,
  [487] = 480,
  [488] = 467,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 480,
  [495] = 481,
  [496] = 496,
  [497] = 497,
  [498] = 486,
  [499] = 499,
  [500] = 465,
  [501] = 481,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 492,
  [507] = 507,
  [508] = 464,
  [509] = 502,
  [510] = 476,
  [511] = 496,
  [512] = 512,
  [513] = 480,
  [514] = 481,
  [515] = 486,
  [516] = 516,
  [517] = 503,
  [518] = 518,
  [519] = 486,
  [520] = 520,
  [521] = 493,
  [522] = 520,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 534,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 529,
  [552] = 542,
  [553] = 553,
  [554] = 554,
  [555] = 527,
  [556] = 530,
  [557] = 536,
  [558] = 537,
  [559] = 545,
  [560] = 549,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 543,
  [566] = 524,
  [567] = 567,
  [568] = 539,
  [569] = 561,
  [570] = 570,
  [571] = 528,
  [572] = 572,
  [573] = 573,
  [574] = 542,
  [575] = 543,
  [576] = 563,
  [577] = 564,
  [578] = 546,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 538,
  [583] = 249,
  [584] = 553,
  [585] = 535,
  [586] = 542,
  [587] = 543,
  [588] = 588,
  [589] = 589,
  [590] = 547,
  [591] = 251,
  [592] = 592,
  [593] = 593,
  [594] = 570,
  [595] = 525,
  [596] = 596,
  [597] = 548,
  [598] = 562,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 601,
  [605] = 554,
  [606] = 606,
  [607] = 607,
  [608] = 603,
  [609] = 526,
  [610] = 541,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 613,
  [624] = 613,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 629,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 620,
  [640] = 640,
  [641] = 641,
  [642] = 613,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 625,
  [653] = 647,
  [654] = 654,
  [655] = 627,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 643,
  [660] = 650,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 631,
  [666] = 666,
  [667] = 661,
  [668] = 668,
  [669] = 620,
  [670] = 670,
  [671] = 668,
  [672] = 672,
  [673] = 673,
  [674] = 635,
  [675] = 636,
  [676] = 676,
  [677] = 663,
  [678] = 678,
  [679] = 651,
  [680] = 664,
  [681] = 649,
  [682] = 633,
  [683] = 616,
  [684] = 684,
  [685] = 620,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 626,
  [690] = 690,
  [691] = 646,
  [692] = 692,
  [693] = 672,
  [694] = 662,
  [695] = 695,
  [696] = 696,
  [697] = 673,
  [698] = 690,
  [699] = 699,
};

static TSCharacterRange sym_attribute_name_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '&'}, {'+', '-'}, {'/', ';'}, {'?', 'Z'}, {'\\', '\\'},
  {'^', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(133);
      ADVANCE_MAP(
        '!', 251,
        '"', 197,
        '%', 295,
        '&', 12,
        '\'', 194,
        '(', 207,
        ')', 208,
        '*', 240,
        '+', 239,
        ',', 227,
        '-', 291,
        '.', 288,
        '/', 294,
        ':', 241,
        ';', 205,
        '<', 141,
        '=', 234,
        '>', 138,
        '?', 252,
        'D', 119,
        '[', 245,
        '\\', 109,
        ']', 246,
        'a', 53,
        'c', 23,
        'd', 42,
        'e', 76,
        'f', 84,
        'i', 54,
        'l', 44,
        'm', 65,
        'o', 55,
        'p', 70,
        's', 222,
        't', 93,
        'w', 63,
        '{', 201,
        '|', 256,
        '}', 202,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(286);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 20,
        '"', 197,
        '%', 295,
        '&', 14,
        '\'', 194,
        '(', 207,
        ')', 22,
        '*', 240,
        '+', 239,
        ',', 227,
        '-', 292,
        '.', 288,
        '/', 293,
        ':', 241,
        '<', 142,
        '=', 21,
        '>', 138,
        '?', 252,
        '[', 244,
        '|', 256,
        '}', 202,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('$' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 20,
        '"', 197,
        '%', 295,
        '&', 14,
        '(', 207,
        ')', 208,
        '*', 240,
        '+', 239,
        ',', 227,
        '-', 291,
        '.', 288,
        '/', 293,
        ':', 241,
        ';', 205,
        '<', 142,
        '=', 234,
        '>', 138,
        '?', 252,
        '[', 244,
        ']', 246,
        'a', 96,
        'd', 51,
        'e', 76,
        'f', 84,
        'i', 54,
        'l', 44,
        'p', 69,
        's', 38,
        '|', 256,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(250);
      if (lookahead == '"') ADVANCE(197);
      if (lookahead == '\'') ADVANCE(194);
      if (lookahead == '(') ADVANCE(207);
      if (lookahead == ')') ADVANCE(208);
      if (lookahead == '[') ADVANCE(244);
      if (lookahead == '{') ADVANCE(201);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(257);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(250);
      if (lookahead == '"') ADVANCE(197);
      if (lookahead == '\'') ADVANCE(194);
      if (lookahead == '(') ADVANCE(207);
      if (lookahead == '[') ADVANCE(244);
      if (lookahead == 'l') ADVANCE(258);
      if (lookahead == '{') ADVANCE(201);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(257);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 19,
        '"', 197,
        '&', 14,
        '\'', 194,
        '(', 207,
        ')', 208,
        ',', 227,
        '.', 288,
        ':', 241,
        ';', 205,
        '=', 233,
        '?', 252,
        '[', 244,
        ']', 246,
        '|', 256,
        '}', 202,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(197);
      if (lookahead == '\'') ADVANCE(194);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (lookahead != 0 &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(153);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '"', 197,
        '(', 207,
        '*', 240,
        '/', 281,
        '>', 137,
        '[', 245,
        '\\', 280,
        '\'', 279,
        ')', 279,
        '.', 279,
        '<', 279,
        '=', 279,
        ']', 279,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(279);
      if (lookahead != 0) ADVANCE(283);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '"', 197,
        '(', 207,
        '*', 240,
        '>', 137,
        '[', 245,
        '\\', 280,
        '\'', 279,
        ')', 279,
        '.', 279,
        '<', 279,
        '=', 279,
        ']', 279,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(279);
      if (lookahead != 0) ADVANCE(283);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(197);
      if (lookahead == ',') ADVANCE(227);
      if (lookahead == ':') ADVANCE(241);
      if (lookahead == ';') ADVANCE(205);
      if (lookahead == '=') ADVANCE(233);
      if (lookahead == 'a') ADVANCE(264);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(197);
      if (lookahead == '\\') ADVANCE(282);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(279);
      if (lookahead != 0) ADVANCE(279);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(197);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(198);
      if (lookahead != 0) ADVANCE(199);
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(122);
      if (lookahead == '&') ADVANCE(255);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(193);
      END_STATE();
    case 13:
      if (lookahead == '#') ADVANCE(122);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(193);
      END_STATE();
    case 14:
      if (lookahead == '&') ADVANCE(255);
      END_STATE();
    case 15:
      if (lookahead == '\'') ADVANCE(194);
      if (lookahead == '\\') ADVANCE(285);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(284);
      if (lookahead != 0) ADVANCE(284);
      END_STATE();
    case 16:
      if (lookahead == '\'') ADVANCE(194);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(195);
      if (lookahead != 0) ADVANCE(196);
      END_STATE();
    case 17:
      if (lookahead == '(') ADVANCE(207);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '/') ADVANCE(145);
      if (lookahead == '=') ADVANCE(233);
      if (lookahead == '>') ADVANCE(137);
      if (lookahead == '[') ADVANCE(245);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(152);
      END_STATE();
    case 18:
      if (lookahead == '(') ADVANCE(207);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '=') ADVANCE(233);
      if (lookahead == '>') ADVANCE(137);
      if (lookahead == '[') ADVANCE(245);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(152);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(290);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(290);
      if (lookahead == '=') ADVANCE(298);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(296);
      END_STATE();
    case 22:
      if (lookahead == ']') ADVANCE(248);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(98);
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(36);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(35);
      if (lookahead == 'u') ADVANCE(94);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(110);
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(29);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(71);
      END_STATE();
    case 29:
      if (lookahead == 'c') ADVANCE(68);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(263);
      if (lookahead == 'e') ADVANCE(261);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 31:
      if (lookahead == 'c') ADVANCE(263);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(60);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(61);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 35:
      if (lookahead == 'c') ADVANCE(43);
      END_STATE();
    case 36:
      if (lookahead == 'd') ADVANCE(67);
      END_STATE();
    case 37:
      if (lookahead == 'd') ADVANCE(50);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 'w') ADVANCE(66);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(228);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(56);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(62);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(100);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(57);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 48:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 52:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 53:
      if (lookahead == 'f') ADVANCE(105);
      if (lookahead == 's') ADVANCE(231);
      END_STATE();
    case 54:
      if (lookahead == 'f') ADVANCE(230);
      END_STATE();
    case 55:
      if (lookahead == 'f') ADVANCE(225);
      if (lookahead == 'n') ADVANCE(217);
      END_STATE();
    case 56:
      if (lookahead == 'f') ADVANCE(26);
      END_STATE();
    case 57:
      if (lookahead == 'f') ADVANCE(52);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(49);
      END_STATE();
    case 59:
      if (lookahead == 'g') ADVANCE(213);
      END_STATE();
    case 60:
      if (lookahead == 'h') ADVANCE(206);
      END_STATE();
    case 61:
      if (lookahead == 'h') ADVANCE(215);
      END_STATE();
    case 62:
      if (lookahead == 'h') ADVANCE(85);
      END_STATE();
    case 63:
      if (lookahead == 'h') ADVANCE(46);
      END_STATE();
    case 64:
      if (lookahead == 'i') ADVANCE(78);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(82);
      if (lookahead == 's') ADVANCE(220);
      END_STATE();
    case 66:
      if (lookahead == 'i') ADVANCE(106);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(81);
      END_STATE();
    case 68:
      if (lookahead == 'k') ADVANCE(226);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(25);
      END_STATE();
    case 70:
      if (lookahead == 'l') ADVANCE(25);
      if (lookahead == 'r') ADVANCE(45);
      END_STATE();
    case 71:
      if (lookahead == 'l') ADVANCE(235);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(258);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(37);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 75:
      if (lookahead == 'l') ADVANCE(104);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(99);
      if (lookahead == 'm') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(95);
      END_STATE();
    case 77:
      if (lookahead == 'm') ADVANCE(219);
      END_STATE();
    case 78:
      if (lookahead == 'm') ADVANCE(111);
      END_STATE();
    case 79:
      if (lookahead == 'm') ADVANCE(97);
      if (lookahead == 's') ADVANCE(221);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      END_STATE();
    case 80:
      if (lookahead == 'n') ADVANCE(216);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(59);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(64);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 84:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 85:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 86:
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 87:
      if (lookahead == 'p') ADVANCE(101);
      END_STATE();
    case 88:
      if (lookahead == 'r') ADVANCE(223);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(218);
      END_STATE();
    case 90:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(214);
      END_STATE();
    case 92:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 93:
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 94:
      if (lookahead == 'r') ADVANCE(28);
      END_STATE();
    case 95:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 96:
      if (lookahead == 's') ADVANCE(231);
      END_STATE();
    case 97:
      if (lookahead == 's') ADVANCE(220);
      END_STATE();
    case 98:
      if (lookahead == 's') ADVANCE(39);
      END_STATE();
    case 99:
      if (lookahead == 's') ADVANCE(40);
      END_STATE();
    case 100:
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 101:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(236);
      END_STATE();
    case 103:
      if (lookahead == 't') ADVANCE(242);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(48);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 107:
      if (lookahead == 't') ADVANCE(33);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(41);
      END_STATE();
    case 109:
      if (lookahead == 'u') ADVANCE(114);
      if (lookahead == 'x') ADVANCE(130);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(273);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(276);
      if (lookahead != 0) ADVANCE(271);
      END_STATE();
    case 110:
      if (lookahead == 'u') ADVANCE(75);
      END_STATE();
    case 111:
      if (lookahead == 'u') ADVANCE(77);
      END_STATE();
    case 112:
      if (lookahead == 'x') ADVANCE(103);
      END_STATE();
    case 113:
      if (lookahead == 'y') ADVANCE(224);
      END_STATE();
    case 114:
      if (lookahead == '{') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 115:
      if (lookahead == '}') ADVANCE(202);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(237);
      if (lookahead != 0 &&
          lookahead != '{') ADVANCE(238);
      END_STATE();
    case 116:
      if (lookahead == '}') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 117:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(121);
      END_STATE();
    case 118:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 119:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 120:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(118);
      END_STATE();
    case 121:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(123);
      END_STATE();
    case 122:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(159);
      END_STATE();
    case 123:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 124:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(200);
      END_STATE();
    case 125:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(135);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(136);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(271);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(164);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 131:
      if (eof) ADVANCE(133);
      ADVANCE_MAP(
        '!', 251,
        '"', 197,
        '%', 295,
        '&', 12,
        '\'', 194,
        '(', 207,
        ')', 208,
        '*', 240,
        '+', 239,
        ',', 227,
        '-', 291,
        '.', 288,
        '/', 294,
        ':', 241,
        ';', 205,
        '<', 141,
        '=', 234,
        '>', 138,
        '?', 252,
        'D', 119,
        '[', 245,
        ']', 246,
        'a', 53,
        'c', 23,
        'd', 42,
        'e', 76,
        'f', 84,
        'i', 54,
        'l', 44,
        'm', 65,
        'o', 55,
        'p', 70,
        's', 222,
        't', 93,
        'w', 63,
        '{', 201,
        '|', 256,
        '}', 202,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(286);
      END_STATE();
    case 132:
      if (eof) ADVANCE(133);
      if (lookahead == '&') ADVANCE(13);
      if (lookahead == '<') ADVANCE(140);
      if (lookahead == '>') ADVANCE(137);
      if (lookahead == '{') ADVANCE(201);
      if (lookahead == '}') ADVANCE(202);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (lookahead != 0) ADVANCE(200);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(135);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(301);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym__doctype);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(134);
      if (lookahead == '/') ADVANCE(144);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(134);
      if (lookahead == '/') ADVANCE(144);
      if (lookahead == '=') ADVANCE(300);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(300);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '>') ADVANCE(143);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '{') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(148);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '}') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(147);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(151);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(278);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(147);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(149);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_attribute_name);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_attribute_value);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_entity);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(155);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(156);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(157);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(158);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(155);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(160);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(161);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(162);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(163);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(155);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(165);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(166);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(168);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(169);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(170);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(171);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(172);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(173);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(174);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(176);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(177);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(178);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(179);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(180);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(181);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(183);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(186);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(187);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(188);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(189);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(190);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(191);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(154);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(192);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(195);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(199);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(199);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_text);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(124);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_placeholder);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_loading);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_error);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_prefetch);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_after);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_minimum);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_ms);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_s);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_s);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 'w') ADVANCE(66);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_empty);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_track);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(296);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_plural);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_icu_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(237);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(238);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_icu_category);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(238);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_context);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_context);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '(') ADVANCE(247);
      if (lookahead == '@') ADVANCE(249);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_LBRACK_LPAREN);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_RPAREN_RBRACK);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '.') ADVANCE(290);
      if (lookahead == '=') ADVANCE(298);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(289);
      if (lookahead == '?') ADVANCE(253);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(254);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(257);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(229);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(269);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(265);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(268);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(262);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(232);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(259);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(204);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(243);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(260);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(267);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym__escape_sequence);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n') ADVANCE(271);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(278);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(271);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(271);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(278);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(274);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(275);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym__escape_sequence);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\r') ADVANCE(273);
      if (lookahead == '?') ADVANCE(272);
      if (lookahead == 'u') ADVANCE(146);
      if (lookahead == 'x') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(277);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('\'' <= lookahead && lookahead <= '*') ||
          lookahead == '.' ||
          ('<' <= lookahead && lookahead <= '>') ||
          lookahead == '[' ||
          lookahead == ']') ADVANCE(271);
      if (lookahead != 0) ADVANCE(278);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '>') ADVANCE(143);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == 'u') ADVANCE(114);
      if (lookahead == 'x') ADVANCE(130);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(273);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(276);
      if (lookahead != 0) ADVANCE(271);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(152);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == 'u') ADVANCE(114);
      if (lookahead == 'x') ADVANCE(130);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(273);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(276);
      if (lookahead != 0) ADVANCE(271);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(286);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_BANG_DOT);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(270);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '>') ADVANCE(143);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(297);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(299);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 132, .external_lex_state = 2},
  [2] = {.lex_state = 132, .external_lex_state = 3},
  [3] = {.lex_state = 132, .external_lex_state = 2},
  [4] = {.lex_state = 132, .external_lex_state = 3},
  [5] = {.lex_state = 132, .external_lex_state = 3},
  [6] = {.lex_state = 132, .external_lex_state = 3},
  [7] = {.lex_state = 132, .external_lex_state = 2},
  [8] = {.lex_state = 132, .external_lex_state = 2},
  [9] = {.lex_state = 132, .external_lex_state = 3},
  [10] = {.lex_state = 132, .external_lex_state = 2},
  [11] = {.lex_state = 132, .external_lex_state = 2},
  [12] = {.lex_state = 132, .external_lex_state = 2},
  [13] = {.lex_state = 132, .external_lex_state = 2},
  [14] = {.lex_state = 132, .external_lex_state = 2},
  [15] = {.lex_state = 132, .external_lex_state = 2},
  [16] = {.lex_state = 132, .external_lex_state = 2},
  [17] = {.lex_state = 2, .external_lex_state = 4},
  [18] = {.lex_state = 2, .external_lex_state = 4},
  [19] = {.lex_state = 2, .external_lex_state = 4},
  [20] = {.lex_state = 1, .external_lex_state = 4},
  [21] = {.lex_state = 1, .external_lex_state = 4},
  [22] = {.lex_state = 2, .external_lex_state = 4},
  [23] = {.lex_state = 2, .external_lex_state = 4},
  [24] = {.lex_state = 2, .external_lex_state = 4},
  [25] = {.lex_state = 2, .external_lex_state = 4},
  [26] = {.lex_state = 2, .external_lex_state = 4},
  [27] = {.lex_state = 2, .external_lex_state = 4},
  [28] = {.lex_state = 2, .external_lex_state = 4},
  [29] = {.lex_state = 2, .external_lex_state = 4},
  [30] = {.lex_state = 2, .external_lex_state = 4},
  [31] = {.lex_state = 2, .external_lex_state = 4},
  [32] = {.lex_state = 1, .external_lex_state = 4},
  [33] = {.lex_state = 1, .external_lex_state = 4},
  [34] = {.lex_state = 1, .external_lex_state = 4},
  [35] = {.lex_state = 1, .external_lex_state = 4},
  [36] = {.lex_state = 1, .external_lex_state = 4},
  [37] = {.lex_state = 2, .external_lex_state = 4},
  [38] = {.lex_state = 1, .external_lex_state = 4},
  [39] = {.lex_state = 2, .external_lex_state = 4},
  [40] = {.lex_state = 1, .external_lex_state = 4},
  [41] = {.lex_state = 1, .external_lex_state = 4},
  [42] = {.lex_state = 4, .external_lex_state = 4},
  [43] = {.lex_state = 1, .external_lex_state = 4},
  [44] = {.lex_state = 1, .external_lex_state = 4},
  [45] = {.lex_state = 2, .external_lex_state = 4},
  [46] = {.lex_state = 2, .external_lex_state = 4},
  [47] = {.lex_state = 1, .external_lex_state = 4},
  [48] = {.lex_state = 1, .external_lex_state = 4},
  [49] = {.lex_state = 2, .external_lex_state = 4},
  [50] = {.lex_state = 1, .external_lex_state = 4},
  [51] = {.lex_state = 1, .external_lex_state = 4},
  [52] = {.lex_state = 1, .external_lex_state = 4},
  [53] = {.lex_state = 4, .external_lex_state = 4},
  [54] = {.lex_state = 1, .external_lex_state = 4},
  [55] = {.lex_state = 1, .external_lex_state = 4},
  [56] = {.lex_state = 2, .external_lex_state = 4},
  [57] = {.lex_state = 2, .external_lex_state = 4},
  [58] = {.lex_state = 2, .external_lex_state = 4},
  [59] = {.lex_state = 2, .external_lex_state = 4},
  [60] = {.lex_state = 2, .external_lex_state = 4},
  [61] = {.lex_state = 3, .external_lex_state = 4},
  [62] = {.lex_state = 1, .external_lex_state = 4},
  [63] = {.lex_state = 1, .external_lex_state = 4},
  [64] = {.lex_state = 3, .external_lex_state = 4},
  [65] = {.lex_state = 3, .external_lex_state = 4},
  [66] = {.lex_state = 3, .external_lex_state = 4},
  [67] = {.lex_state = 3, .external_lex_state = 4},
  [68] = {.lex_state = 3, .external_lex_state = 4},
  [69] = {.lex_state = 3, .external_lex_state = 4},
  [70] = {.lex_state = 3, .external_lex_state = 4},
  [71] = {.lex_state = 3, .external_lex_state = 4},
  [72] = {.lex_state = 2, .external_lex_state = 5},
  [73] = {.lex_state = 2, .external_lex_state = 4},
  [74] = {.lex_state = 2, .external_lex_state = 5},
  [75] = {.lex_state = 2, .external_lex_state = 4},
  [76] = {.lex_state = 3, .external_lex_state = 4},
  [77] = {.lex_state = 3, .external_lex_state = 4},
  [78] = {.lex_state = 2, .external_lex_state = 4},
  [79] = {.lex_state = 2, .external_lex_state = 5},
  [80] = {.lex_state = 2, .external_lex_state = 5},
  [81] = {.lex_state = 2, .external_lex_state = 5},
  [82] = {.lex_state = 3, .external_lex_state = 4},
  [83] = {.lex_state = 3, .external_lex_state = 4},
  [84] = {.lex_state = 3, .external_lex_state = 4},
  [85] = {.lex_state = 3, .external_lex_state = 4},
  [86] = {.lex_state = 3, .external_lex_state = 4},
  [87] = {.lex_state = 3, .external_lex_state = 4},
  [88] = {.lex_state = 2, .external_lex_state = 4},
  [89] = {.lex_state = 3, .external_lex_state = 4},
  [90] = {.lex_state = 2, .external_lex_state = 5},
  [91] = {.lex_state = 3, .external_lex_state = 4},
  [92] = {.lex_state = 3, .external_lex_state = 4},
  [93] = {.lex_state = 3, .external_lex_state = 4},
  [94] = {.lex_state = 3, .external_lex_state = 4},
  [95] = {.lex_state = 2, .external_lex_state = 4},
  [96] = {.lex_state = 3, .external_lex_state = 4},
  [97] = {.lex_state = 2, .external_lex_state = 4},
  [98] = {.lex_state = 2, .external_lex_state = 5},
  [99] = {.lex_state = 2, .external_lex_state = 4},
  [100] = {.lex_state = 2, .external_lex_state = 5},
  [101] = {.lex_state = 1, .external_lex_state = 4},
  [102] = {.lex_state = 2, .external_lex_state = 5},
  [103] = {.lex_state = 2, .external_lex_state = 5},
  [104] = {.lex_state = 2, .external_lex_state = 5},
  [105] = {.lex_state = 2, .external_lex_state = 5},
  [106] = {.lex_state = 2, .external_lex_state = 5},
  [107] = {.lex_state = 2, .external_lex_state = 5},
  [108] = {.lex_state = 2, .external_lex_state = 5},
  [109] = {.lex_state = 2, .external_lex_state = 5},
  [110] = {.lex_state = 2, .external_lex_state = 5},
  [111] = {.lex_state = 1, .external_lex_state = 4},
  [112] = {.lex_state = 2, .external_lex_state = 5},
  [113] = {.lex_state = 1, .external_lex_state = 4},
  [114] = {.lex_state = 1, .external_lex_state = 4},
  [115] = {.lex_state = 2, .external_lex_state = 5},
  [116] = {.lex_state = 3, .external_lex_state = 4},
  [117] = {.lex_state = 1, .external_lex_state = 4},
  [118] = {.lex_state = 3, .external_lex_state = 4},
  [119] = {.lex_state = 2, .external_lex_state = 4},
  [120] = {.lex_state = 3, .external_lex_state = 4},
  [121] = {.lex_state = 2, .external_lex_state = 5},
  [122] = {.lex_state = 1, .external_lex_state = 4},
  [123] = {.lex_state = 3, .external_lex_state = 4},
  [124] = {.lex_state = 3, .external_lex_state = 4},
  [125] = {.lex_state = 2, .external_lex_state = 4},
  [126] = {.lex_state = 2, .external_lex_state = 5},
  [127] = {.lex_state = 3, .external_lex_state = 4},
  [128] = {.lex_state = 1, .external_lex_state = 4},
  [129] = {.lex_state = 2, .external_lex_state = 5},
  [130] = {.lex_state = 3, .external_lex_state = 4},
  [131] = {.lex_state = 2, .external_lex_state = 4},
  [132] = {.lex_state = 3, .external_lex_state = 4},
  [133] = {.lex_state = 2, .external_lex_state = 4},
  [134] = {.lex_state = 2, .external_lex_state = 4},
  [135] = {.lex_state = 3, .external_lex_state = 4},
  [136] = {.lex_state = 2, .external_lex_state = 5},
  [137] = {.lex_state = 2, .external_lex_state = 5},
  [138] = {.lex_state = 3, .external_lex_state = 4},
  [139] = {.lex_state = 3, .external_lex_state = 4},
  [140] = {.lex_state = 3, .external_lex_state = 4},
  [141] = {.lex_state = 3, .external_lex_state = 4},
  [142] = {.lex_state = 3, .external_lex_state = 4},
  [143] = {.lex_state = 3, .external_lex_state = 4},
  [144] = {.lex_state = 3, .external_lex_state = 4},
  [145] = {.lex_state = 2, .external_lex_state = 5},
  [146] = {.lex_state = 3, .external_lex_state = 4},
  [147] = {.lex_state = 2, .external_lex_state = 5},
  [148] = {.lex_state = 2, .external_lex_state = 5},
  [149] = {.lex_state = 3, .external_lex_state = 4},
  [150] = {.lex_state = 2, .external_lex_state = 5},
  [151] = {.lex_state = 3, .external_lex_state = 4},
  [152] = {.lex_state = 3, .external_lex_state = 4},
  [153] = {.lex_state = 3, .external_lex_state = 4},
  [154] = {.lex_state = 3, .external_lex_state = 4},
  [155] = {.lex_state = 3, .external_lex_state = 4},
  [156] = {.lex_state = 3, .external_lex_state = 4},
  [157] = {.lex_state = 3, .external_lex_state = 4},
  [158] = {.lex_state = 3, .external_lex_state = 4},
  [159] = {.lex_state = 2, .external_lex_state = 4},
  [160] = {.lex_state = 2, .external_lex_state = 5},
  [161] = {.lex_state = 3, .external_lex_state = 4},
  [162] = {.lex_state = 3, .external_lex_state = 4},
  [163] = {.lex_state = 3, .external_lex_state = 4},
  [164] = {.lex_state = 3, .external_lex_state = 4},
  [165] = {.lex_state = 3, .external_lex_state = 4},
  [166] = {.lex_state = 3, .external_lex_state = 4},
  [167] = {.lex_state = 3, .external_lex_state = 4},
  [168] = {.lex_state = 3, .external_lex_state = 4},
  [169] = {.lex_state = 3, .external_lex_state = 4},
  [170] = {.lex_state = 3, .external_lex_state = 4},
  [171] = {.lex_state = 3, .external_lex_state = 4},
  [172] = {.lex_state = 3, .external_lex_state = 4},
  [173] = {.lex_state = 3, .external_lex_state = 4},
  [174] = {.lex_state = 3, .external_lex_state = 4},
  [175] = {.lex_state = 3, .external_lex_state = 4},
  [176] = {.lex_state = 3, .external_lex_state = 4},
  [177] = {.lex_state = 3, .external_lex_state = 4},
  [178] = {.lex_state = 3, .external_lex_state = 4},
  [179] = {.lex_state = 3, .external_lex_state = 4},
  [180] = {.lex_state = 3, .external_lex_state = 4},
  [181] = {.lex_state = 3, .external_lex_state = 4},
  [182] = {.lex_state = 3, .external_lex_state = 4},
  [183] = {.lex_state = 3, .external_lex_state = 4},
  [184] = {.lex_state = 3, .external_lex_state = 4},
  [185] = {.lex_state = 3, .external_lex_state = 4},
  [186] = {.lex_state = 3, .external_lex_state = 4},
  [187] = {.lex_state = 3, .external_lex_state = 4},
  [188] = {.lex_state = 3, .external_lex_state = 4},
  [189] = {.lex_state = 3, .external_lex_state = 4},
  [190] = {.lex_state = 5, .external_lex_state = 4},
  [191] = {.lex_state = 5, .external_lex_state = 4},
  [192] = {.lex_state = 17, .external_lex_state = 6},
  [193] = {.lex_state = 2, .external_lex_state = 4},
  [194] = {.lex_state = 17, .external_lex_state = 6},
  [195] = {.lex_state = 5, .external_lex_state = 4},
  [196] = {.lex_state = 17, .external_lex_state = 6},
  [197] = {.lex_state = 2, .external_lex_state = 4},
  [198] = {.lex_state = 17, .external_lex_state = 6},
  [199] = {.lex_state = 2, .external_lex_state = 4},
  [200] = {.lex_state = 2, .external_lex_state = 4},
  [201] = {.lex_state = 17, .external_lex_state = 6},
  [202] = {.lex_state = 2, .external_lex_state = 4},
  [203] = {.lex_state = 5, .external_lex_state = 4},
  [204] = {.lex_state = 5, .external_lex_state = 4},
  [205] = {.lex_state = 18, .external_lex_state = 4},
  [206] = {.lex_state = 18, .external_lex_state = 4},
  [207] = {.lex_state = 5, .external_lex_state = 4},
  [208] = {.lex_state = 5, .external_lex_state = 4},
  [209] = {.lex_state = 5, .external_lex_state = 4},
  [210] = {.lex_state = 5, .external_lex_state = 4},
  [211] = {.lex_state = 5, .external_lex_state = 4},
  [212] = {.lex_state = 18, .external_lex_state = 4},
  [213] = {.lex_state = 5, .external_lex_state = 4},
  [214] = {.lex_state = 5, .external_lex_state = 4},
  [215] = {.lex_state = 5, .external_lex_state = 4},
  [216] = {.lex_state = 5, .external_lex_state = 4},
  [217] = {.lex_state = 5, .external_lex_state = 4},
  [218] = {.lex_state = 18, .external_lex_state = 4},
  [219] = {.lex_state = 18, .external_lex_state = 4},
  [220] = {.lex_state = 5, .external_lex_state = 4},
  [221] = {.lex_state = 7, .external_lex_state = 6},
  [222] = {.lex_state = 5, .external_lex_state = 4},
  [223] = {.lex_state = 5, .external_lex_state = 4},
  [224] = {.lex_state = 5, .external_lex_state = 4},
  [225] = {.lex_state = 8, .external_lex_state = 4},
  [226] = {.lex_state = 5, .external_lex_state = 4},
  [227] = {.lex_state = 5, .external_lex_state = 4},
  [228] = {.lex_state = 5, .external_lex_state = 4},
  [229] = {.lex_state = 5, .external_lex_state = 4},
  [230] = {.lex_state = 132, .external_lex_state = 2},
  [231] = {.lex_state = 132, .external_lex_state = 2},
  [232] = {.lex_state = 132, .external_lex_state = 2},
  [233] = {.lex_state = 132, .external_lex_state = 2},
  [234] = {.lex_state = 132, .external_lex_state = 2},
  [235] = {.lex_state = 132, .external_lex_state = 2},
  [236] = {.lex_state = 132, .external_lex_state = 2},
  [237] = {.lex_state = 132, .external_lex_state = 2},
  [238] = {.lex_state = 132, .external_lex_state = 2},
  [239] = {.lex_state = 132, .external_lex_state = 2},
  [240] = {.lex_state = 132, .external_lex_state = 2},
  [241] = {.lex_state = 132, .external_lex_state = 2},
  [242] = {.lex_state = 132, .external_lex_state = 2},
  [243] = {.lex_state = 132, .external_lex_state = 2},
  [244] = {.lex_state = 132, .external_lex_state = 2},
  [245] = {.lex_state = 132, .external_lex_state = 2},
  [246] = {.lex_state = 132, .external_lex_state = 2},
  [247] = {.lex_state = 132, .external_lex_state = 2},
  [248] = {.lex_state = 132, .external_lex_state = 2},
  [249] = {.lex_state = 132, .external_lex_state = 2},
  [250] = {.lex_state = 132, .external_lex_state = 2},
  [251] = {.lex_state = 132, .external_lex_state = 2},
  [252] = {.lex_state = 2, .external_lex_state = 4},
  [253] = {.lex_state = 132, .external_lex_state = 2},
  [254] = {.lex_state = 132, .external_lex_state = 2},
  [255] = {.lex_state = 132, .external_lex_state = 2},
  [256] = {.lex_state = 2, .external_lex_state = 4},
  [257] = {.lex_state = 132, .external_lex_state = 2},
  [258] = {.lex_state = 132, .external_lex_state = 2},
  [259] = {.lex_state = 132, .external_lex_state = 2},
  [260] = {.lex_state = 5, .external_lex_state = 4},
  [261] = {.lex_state = 132, .external_lex_state = 2},
  [262] = {.lex_state = 132, .external_lex_state = 2},
  [263] = {.lex_state = 132, .external_lex_state = 2},
  [264] = {.lex_state = 132, .external_lex_state = 2},
  [265] = {.lex_state = 132, .external_lex_state = 2},
  [266] = {.lex_state = 132, .external_lex_state = 2},
  [267] = {.lex_state = 132, .external_lex_state = 2},
  [268] = {.lex_state = 132, .external_lex_state = 2},
  [269] = {.lex_state = 132, .external_lex_state = 2},
  [270] = {.lex_state = 132, .external_lex_state = 2},
  [271] = {.lex_state = 132, .external_lex_state = 2},
  [272] = {.lex_state = 17, .external_lex_state = 6},
  [273] = {.lex_state = 132, .external_lex_state = 2},
  [274] = {.lex_state = 5, .external_lex_state = 4},
  [275] = {.lex_state = 132, .external_lex_state = 2},
  [276] = {.lex_state = 132, .external_lex_state = 2},
  [277] = {.lex_state = 132, .external_lex_state = 2},
  [278] = {.lex_state = 132, .external_lex_state = 2},
  [279] = {.lex_state = 2, .external_lex_state = 4},
  [280] = {.lex_state = 132, .external_lex_state = 3},
  [281] = {.lex_state = 5, .external_lex_state = 4},
  [282] = {.lex_state = 132, .external_lex_state = 3},
  [283] = {.lex_state = 132, .external_lex_state = 3},
  [284] = {.lex_state = 132, .external_lex_state = 3},
  [285] = {.lex_state = 132, .external_lex_state = 3},
  [286] = {.lex_state = 132, .external_lex_state = 3},
  [287] = {.lex_state = 132, .external_lex_state = 3},
  [288] = {.lex_state = 132, .external_lex_state = 3},
  [289] = {.lex_state = 132, .external_lex_state = 3},
  [290] = {.lex_state = 132, .external_lex_state = 3},
  [291] = {.lex_state = 132, .external_lex_state = 3},
  [292] = {.lex_state = 5, .external_lex_state = 4},
  [293] = {.lex_state = 132, .external_lex_state = 3},
  [294] = {.lex_state = 132, .external_lex_state = 3},
  [295] = {.lex_state = 132, .external_lex_state = 3},
  [296] = {.lex_state = 132, .external_lex_state = 3},
  [297] = {.lex_state = 132, .external_lex_state = 3},
  [298] = {.lex_state = 132, .external_lex_state = 3},
  [299] = {.lex_state = 132, .external_lex_state = 3},
  [300] = {.lex_state = 132, .external_lex_state = 3},
  [301] = {.lex_state = 132, .external_lex_state = 3},
  [302] = {.lex_state = 132, .external_lex_state = 3},
  [303] = {.lex_state = 132, .external_lex_state = 3},
  [304] = {.lex_state = 132, .external_lex_state = 3},
  [305] = {.lex_state = 132, .external_lex_state = 3},
  [306] = {.lex_state = 132, .external_lex_state = 3},
  [307] = {.lex_state = 132, .external_lex_state = 3},
  [308] = {.lex_state = 5, .external_lex_state = 4},
  [309] = {.lex_state = 132, .external_lex_state = 3},
  [310] = {.lex_state = 5, .external_lex_state = 4},
  [311] = {.lex_state = 132, .external_lex_state = 3},
  [312] = {.lex_state = 132, .external_lex_state = 3},
  [313] = {.lex_state = 132, .external_lex_state = 3},
  [314] = {.lex_state = 132, .external_lex_state = 3},
  [315] = {.lex_state = 132, .external_lex_state = 3},
  [316] = {.lex_state = 132, .external_lex_state = 3},
  [317] = {.lex_state = 132, .external_lex_state = 3},
  [318] = {.lex_state = 132, .external_lex_state = 3},
  [319] = {.lex_state = 132, .external_lex_state = 3},
  [320] = {.lex_state = 18, .external_lex_state = 4},
  [321] = {.lex_state = 132, .external_lex_state = 3},
  [322] = {.lex_state = 132, .external_lex_state = 3},
  [323] = {.lex_state = 132, .external_lex_state = 3},
  [324] = {.lex_state = 132, .external_lex_state = 3},
  [325] = {.lex_state = 132, .external_lex_state = 3},
  [326] = {.lex_state = 132, .external_lex_state = 3},
  [327] = {.lex_state = 132, .external_lex_state = 3},
  [328] = {.lex_state = 17, .external_lex_state = 6},
  [329] = {.lex_state = 132, .external_lex_state = 3},
  [330] = {.lex_state = 2, .external_lex_state = 4},
  [331] = {.lex_state = 5, .external_lex_state = 4},
  [332] = {.lex_state = 5, .external_lex_state = 4},
  [333] = {.lex_state = 5, .external_lex_state = 4},
  [334] = {.lex_state = 132, .external_lex_state = 3},
  [335] = {.lex_state = 5, .external_lex_state = 4},
  [336] = {.lex_state = 5, .external_lex_state = 4},
  [337] = {.lex_state = 17, .external_lex_state = 6},
  [338] = {.lex_state = 5, .external_lex_state = 4},
  [339] = {.lex_state = 5, .external_lex_state = 4},
  [340] = {.lex_state = 5, .external_lex_state = 4},
  [341] = {.lex_state = 5, .external_lex_state = 4},
  [342] = {.lex_state = 132, .external_lex_state = 3},
  [343] = {.lex_state = 18, .external_lex_state = 4},
  [344] = {.lex_state = 17, .external_lex_state = 6},
  [345] = {.lex_state = 17, .external_lex_state = 6},
  [346] = {.lex_state = 0, .external_lex_state = 4},
  [347] = {.lex_state = 0, .external_lex_state = 4},
  [348] = {.lex_state = 0, .external_lex_state = 4},
  [349] = {.lex_state = 17, .external_lex_state = 6},
  [350] = {.lex_state = 17, .external_lex_state = 6},
  [351] = {.lex_state = 9, .external_lex_state = 4},
  [352] = {.lex_state = 17, .external_lex_state = 6},
  [353] = {.lex_state = 17, .external_lex_state = 6},
  [354] = {.lex_state = 17, .external_lex_state = 6},
  [355] = {.lex_state = 17, .external_lex_state = 6},
  [356] = {.lex_state = 17, .external_lex_state = 6},
  [357] = {.lex_state = 17, .external_lex_state = 6},
  [358] = {.lex_state = 17, .external_lex_state = 6},
  [359] = {.lex_state = 18, .external_lex_state = 4},
  [360] = {.lex_state = 0, .external_lex_state = 4},
  [361] = {.lex_state = 18, .external_lex_state = 4},
  [362] = {.lex_state = 0, .external_lex_state = 4},
  [363] = {.lex_state = 18, .external_lex_state = 4},
  [364] = {.lex_state = 18, .external_lex_state = 4},
  [365] = {.lex_state = 18, .external_lex_state = 4},
  [366] = {.lex_state = 18, .external_lex_state = 4},
  [367] = {.lex_state = 0, .external_lex_state = 4},
  [368] = {.lex_state = 18, .external_lex_state = 4},
  [369] = {.lex_state = 18, .external_lex_state = 4},
  [370] = {.lex_state = 2, .external_lex_state = 4},
  [371] = {.lex_state = 18, .external_lex_state = 4},
  [372] = {.lex_state = 5, .external_lex_state = 4},
  [373] = {.lex_state = 18, .external_lex_state = 4},
  [374] = {.lex_state = 18, .external_lex_state = 4},
  [375] = {.lex_state = 0, .external_lex_state = 4},
  [376] = {.lex_state = 18, .external_lex_state = 4},
  [377] = {.lex_state = 5, .external_lex_state = 4},
  [378] = {.lex_state = 2, .external_lex_state = 5},
  [379] = {.lex_state = 2, .external_lex_state = 4},
  [380] = {.lex_state = 1, .external_lex_state = 4},
  [381] = {.lex_state = 0, .external_lex_state = 4},
  [382] = {.lex_state = 2, .external_lex_state = 4},
  [383] = {.lex_state = 2, .external_lex_state = 4},
  [384] = {.lex_state = 0, .external_lex_state = 4},
  [385] = {.lex_state = 2, .external_lex_state = 4},
  [386] = {.lex_state = 2, .external_lex_state = 4},
  [387] = {.lex_state = 2, .external_lex_state = 5},
  [388] = {.lex_state = 0, .external_lex_state = 4},
  [389] = {.lex_state = 0, .external_lex_state = 5},
  [390] = {.lex_state = 2, .external_lex_state = 4},
  [391] = {.lex_state = 2, .external_lex_state = 4},
  [392] = {.lex_state = 0, .external_lex_state = 5},
  [393] = {.lex_state = 2, .external_lex_state = 4},
  [394] = {.lex_state = 10, .external_lex_state = 4},
  [395] = {.lex_state = 0, .external_lex_state = 4},
  [396] = {.lex_state = 0, .external_lex_state = 4},
  [397] = {.lex_state = 0, .external_lex_state = 7},
  [398] = {.lex_state = 0, .external_lex_state = 4},
  [399] = {.lex_state = 0, .external_lex_state = 7},
  [400] = {.lex_state = 0, .external_lex_state = 5},
  [401] = {.lex_state = 15, .external_lex_state = 4},
  [402] = {.lex_state = 15, .external_lex_state = 4},
  [403] = {.lex_state = 10, .external_lex_state = 4},
  [404] = {.lex_state = 10, .external_lex_state = 4},
  [405] = {.lex_state = 10, .external_lex_state = 4},
  [406] = {.lex_state = 0, .external_lex_state = 5},
  [407] = {.lex_state = 2, .external_lex_state = 4},
  [408] = {.lex_state = 2, .external_lex_state = 4},
  [409] = {.lex_state = 0, .external_lex_state = 7},
  [410] = {.lex_state = 1, .external_lex_state = 4},
  [411] = {.lex_state = 15, .external_lex_state = 4},
  [412] = {.lex_state = 10, .external_lex_state = 4},
  [413] = {.lex_state = 15, .external_lex_state = 4},
  [414] = {.lex_state = 15, .external_lex_state = 4},
  [415] = {.lex_state = 10, .external_lex_state = 4},
  [416] = {.lex_state = 2, .external_lex_state = 4},
  [417] = {.lex_state = 2, .external_lex_state = 4},
  [418] = {.lex_state = 15, .external_lex_state = 4},
  [419] = {.lex_state = 10, .external_lex_state = 4},
  [420] = {.lex_state = 15, .external_lex_state = 4},
  [421] = {.lex_state = 10, .external_lex_state = 4},
  [422] = {.lex_state = 2, .external_lex_state = 4},
  [423] = {.lex_state = 2, .external_lex_state = 4},
  [424] = {.lex_state = 15, .external_lex_state = 4},
  [425] = {.lex_state = 6, .external_lex_state = 4},
  [426] = {.lex_state = 0, .external_lex_state = 4},
  [427] = {.lex_state = 0, .external_lex_state = 4},
  [428] = {.lex_state = 0, .external_lex_state = 4},
  [429] = {.lex_state = 0, .external_lex_state = 4},
  [430] = {.lex_state = 0, .external_lex_state = 4},
  [431] = {.lex_state = 0, .external_lex_state = 4},
  [432] = {.lex_state = 0, .external_lex_state = 4},
  [433] = {.lex_state = 0, .external_lex_state = 4},
  [434] = {.lex_state = 0, .external_lex_state = 4},
  [435] = {.lex_state = 0, .external_lex_state = 4},
  [436] = {.lex_state = 115, .external_lex_state = 4},
  [437] = {.lex_state = 115, .external_lex_state = 4},
  [438] = {.lex_state = 0, .external_lex_state = 4},
  [439] = {.lex_state = 5, .external_lex_state = 4},
  [440] = {.lex_state = 0, .external_lex_state = 4},
  [441] = {.lex_state = 0, .external_lex_state = 4},
  [442] = {.lex_state = 0, .external_lex_state = 4},
  [443] = {.lex_state = 0, .external_lex_state = 4},
  [444] = {.lex_state = 6, .external_lex_state = 4},
  [445] = {.lex_state = 2, .external_lex_state = 4},
  [446] = {.lex_state = 0, .external_lex_state = 4},
  [447] = {.lex_state = 0, .external_lex_state = 7},
  [448] = {.lex_state = 0, .external_lex_state = 4},
  [449] = {.lex_state = 0, .external_lex_state = 4},
  [450] = {.lex_state = 0, .external_lex_state = 4},
  [451] = {.lex_state = 5, .external_lex_state = 4},
  [452] = {.lex_state = 2, .external_lex_state = 4},
  [453] = {.lex_state = 0, .external_lex_state = 7},
  [454] = {.lex_state = 5, .external_lex_state = 4},
  [455] = {.lex_state = 5, .external_lex_state = 4},
  [456] = {.lex_state = 15, .external_lex_state = 4},
  [457] = {.lex_state = 10, .external_lex_state = 4},
  [458] = {.lex_state = 0, .external_lex_state = 4},
  [459] = {.lex_state = 5, .external_lex_state = 4},
  [460] = {.lex_state = 115, .external_lex_state = 4},
  [461] = {.lex_state = 0, .external_lex_state = 4},
  [462] = {.lex_state = 0, .external_lex_state = 8},
  [463] = {.lex_state = 0, .external_lex_state = 4},
  [464] = {.lex_state = 115, .external_lex_state = 4},
  [465] = {.lex_state = 0, .external_lex_state = 5},
  [466] = {.lex_state = 0, .external_lex_state = 4},
  [467] = {.lex_state = 0, .external_lex_state = 8},
  [468] = {.lex_state = 0, .external_lex_state = 4},
  [469] = {.lex_state = 0, .external_lex_state = 5},
  [470] = {.lex_state = 0, .external_lex_state = 8},
  [471] = {.lex_state = 0, .external_lex_state = 4},
  [472] = {.lex_state = 0, .external_lex_state = 4},
  [473] = {.lex_state = 30, .external_lex_state = 4},
  [474] = {.lex_state = 0, .external_lex_state = 4},
  [475] = {.lex_state = 0, .external_lex_state = 5},
  [476] = {.lex_state = 0, .external_lex_state = 5},
  [477] = {.lex_state = 72, .external_lex_state = 4},
  [478] = {.lex_state = 0, .external_lex_state = 4},
  [479] = {.lex_state = 0, .external_lex_state = 4},
  [480] = {.lex_state = 0, .external_lex_state = 4},
  [481] = {.lex_state = 0, .external_lex_state = 4},
  [482] = {.lex_state = 0, .external_lex_state = 4},
  [483] = {.lex_state = 0, .external_lex_state = 4},
  [484] = {.lex_state = 0, .external_lex_state = 4},
  [485] = {.lex_state = 0, .external_lex_state = 5},
  [486] = {.lex_state = 0, .external_lex_state = 4},
  [487] = {.lex_state = 0, .external_lex_state = 4},
  [488] = {.lex_state = 0, .external_lex_state = 8},
  [489] = {.lex_state = 0, .external_lex_state = 4},
  [490] = {.lex_state = 0, .external_lex_state = 4},
  [491] = {.lex_state = 0, .external_lex_state = 4},
  [492] = {.lex_state = 0, .external_lex_state = 4},
  [493] = {.lex_state = 2, .external_lex_state = 4},
  [494] = {.lex_state = 0, .external_lex_state = 4},
  [495] = {.lex_state = 0, .external_lex_state = 4},
  [496] = {.lex_state = 0, .external_lex_state = 4},
  [497] = {.lex_state = 0, .external_lex_state = 4},
  [498] = {.lex_state = 0, .external_lex_state = 4},
  [499] = {.lex_state = 0, .external_lex_state = 4},
  [500] = {.lex_state = 0, .external_lex_state = 5},
  [501] = {.lex_state = 0, .external_lex_state = 4},
  [502] = {.lex_state = 0, .external_lex_state = 4},
  [503] = {.lex_state = 0, .external_lex_state = 9},
  [504] = {.lex_state = 0, .external_lex_state = 4},
  [505] = {.lex_state = 0, .external_lex_state = 4},
  [506] = {.lex_state = 0, .external_lex_state = 4},
  [507] = {.lex_state = 0, .external_lex_state = 4},
  [508] = {.lex_state = 115, .external_lex_state = 4},
  [509] = {.lex_state = 0, .external_lex_state = 5},
  [510] = {.lex_state = 0, .external_lex_state = 4},
  [511] = {.lex_state = 0, .external_lex_state = 4},
  [512] = {.lex_state = 0, .external_lex_state = 4},
  [513] = {.lex_state = 0, .external_lex_state = 4},
  [514] = {.lex_state = 0, .external_lex_state = 4},
  [515] = {.lex_state = 0, .external_lex_state = 4},
  [516] = {.lex_state = 0, .external_lex_state = 4},
  [517] = {.lex_state = 0, .external_lex_state = 9},
  [518] = {.lex_state = 72, .external_lex_state = 4},
  [519] = {.lex_state = 0, .external_lex_state = 4},
  [520] = {.lex_state = 0, .external_lex_state = 4},
  [521] = {.lex_state = 2, .external_lex_state = 4},
  [522] = {.lex_state = 0, .external_lex_state = 4},
  [523] = {.lex_state = 0, .external_lex_state = 4},
  [524] = {.lex_state = 0, .external_lex_state = 4},
  [525] = {.lex_state = 0, .external_lex_state = 10},
  [526] = {.lex_state = 0, .external_lex_state = 4},
  [527] = {.lex_state = 0, .external_lex_state = 4},
  [528] = {.lex_state = 0, .external_lex_state = 4},
  [529] = {.lex_state = 0, .external_lex_state = 4},
  [530] = {.lex_state = 16, .external_lex_state = 4},
  [531] = {.lex_state = 31, .external_lex_state = 4},
  [532] = {.lex_state = 115, .external_lex_state = 4},
  [533] = {.lex_state = 0, .external_lex_state = 4},
  [534] = {.lex_state = 0, .external_lex_state = 4},
  [535] = {.lex_state = 0, .external_lex_state = 4},
  [536] = {.lex_state = 11, .external_lex_state = 4},
  [537] = {.lex_state = 0, .external_lex_state = 4},
  [538] = {.lex_state = 0, .external_lex_state = 4},
  [539] = {.lex_state = 0, .external_lex_state = 4},
  [540] = {.lex_state = 0, .external_lex_state = 8},
  [541] = {.lex_state = 0, .external_lex_state = 4},
  [542] = {.lex_state = 5, .external_lex_state = 4},
  [543] = {.lex_state = 5, .external_lex_state = 4},
  [544] = {.lex_state = 0, .external_lex_state = 4},
  [545] = {.lex_state = 0, .external_lex_state = 4},
  [546] = {.lex_state = 0, .external_lex_state = 4},
  [547] = {.lex_state = 0, .external_lex_state = 4},
  [548] = {.lex_state = 0, .external_lex_state = 4},
  [549] = {.lex_state = 0, .external_lex_state = 4},
  [550] = {.lex_state = 0, .external_lex_state = 4},
  [551] = {.lex_state = 0, .external_lex_state = 4},
  [552] = {.lex_state = 5, .external_lex_state = 4},
  [553] = {.lex_state = 0, .external_lex_state = 4},
  [554] = {.lex_state = 0, .external_lex_state = 4},
  [555] = {.lex_state = 0, .external_lex_state = 4},
  [556] = {.lex_state = 16, .external_lex_state = 4},
  [557] = {.lex_state = 11, .external_lex_state = 4},
  [558] = {.lex_state = 0, .external_lex_state = 4},
  [559] = {.lex_state = 0, .external_lex_state = 4},
  [560] = {.lex_state = 0, .external_lex_state = 4},
  [561] = {.lex_state = 0, .external_lex_state = 4},
  [562] = {.lex_state = 0, .external_lex_state = 4},
  [563] = {.lex_state = 0, .external_lex_state = 4},
  [564] = {.lex_state = 0, .external_lex_state = 4},
  [565] = {.lex_state = 5, .external_lex_state = 4},
  [566] = {.lex_state = 0, .external_lex_state = 4},
  [567] = {.lex_state = 0, .external_lex_state = 4},
  [568] = {.lex_state = 0, .external_lex_state = 4},
  [569] = {.lex_state = 0, .external_lex_state = 4},
  [570] = {.lex_state = 5, .external_lex_state = 4},
  [571] = {.lex_state = 0, .external_lex_state = 4},
  [572] = {.lex_state = 0, .external_lex_state = 4},
  [573] = {.lex_state = 0, .external_lex_state = 7},
  [574] = {.lex_state = 5, .external_lex_state = 4},
  [575] = {.lex_state = 5, .external_lex_state = 4},
  [576] = {.lex_state = 0, .external_lex_state = 4},
  [577] = {.lex_state = 0, .external_lex_state = 4},
  [578] = {.lex_state = 0, .external_lex_state = 4},
  [579] = {.lex_state = 0, .external_lex_state = 8},
  [580] = {.lex_state = 0, .external_lex_state = 8},
  [581] = {.lex_state = 79, .external_lex_state = 4},
  [582] = {.lex_state = 0, .external_lex_state = 4},
  [583] = {.lex_state = 0, .external_lex_state = 7},
  [584] = {.lex_state = 0, .external_lex_state = 4},
  [585] = {.lex_state = 0, .external_lex_state = 4},
  [586] = {.lex_state = 5, .external_lex_state = 4},
  [587] = {.lex_state = 5, .external_lex_state = 4},
  [588] = {.lex_state = 0, .external_lex_state = 4},
  [589] = {.lex_state = 0, .external_lex_state = 7},
  [590] = {.lex_state = 0, .external_lex_state = 4},
  [591] = {.lex_state = 0, .external_lex_state = 7},
  [592] = {.lex_state = 5, .external_lex_state = 4},
  [593] = {.lex_state = 0, .external_lex_state = 4},
  [594] = {.lex_state = 5, .external_lex_state = 4},
  [595] = {.lex_state = 0, .external_lex_state = 10},
  [596] = {.lex_state = 0, .external_lex_state = 4},
  [597] = {.lex_state = 0, .external_lex_state = 4},
  [598] = {.lex_state = 0, .external_lex_state = 4},
  [599] = {.lex_state = 0, .external_lex_state = 4},
  [600] = {.lex_state = 0, .external_lex_state = 4},
  [601] = {.lex_state = 0, .external_lex_state = 4},
  [602] = {.lex_state = 5, .external_lex_state = 4},
  [603] = {.lex_state = 5, .external_lex_state = 4},
  [604] = {.lex_state = 0, .external_lex_state = 4},
  [605] = {.lex_state = 0, .external_lex_state = 4},
  [606] = {.lex_state = 0, .external_lex_state = 4},
  [607] = {.lex_state = 0, .external_lex_state = 8},
  [608] = {.lex_state = 5, .external_lex_state = 4},
  [609] = {.lex_state = 0, .external_lex_state = 4},
  [610] = {.lex_state = 0, .external_lex_state = 4},
  [611] = {.lex_state = 5, .external_lex_state = 4},
  [612] = {.lex_state = 0, .external_lex_state = 4},
  [613] = {.lex_state = 0, .external_lex_state = 4},
  [614] = {.lex_state = 0, .external_lex_state = 4},
  [615] = {.lex_state = 5, .external_lex_state = 4},
  [616] = {.lex_state = 0, .external_lex_state = 4},
  [617] = {.lex_state = 0, .external_lex_state = 4},
  [618] = {.lex_state = 0, .external_lex_state = 4},
  [619] = {.lex_state = 0, .external_lex_state = 4},
  [620] = {.lex_state = 0, .external_lex_state = 4},
  [621] = {.lex_state = 0, .external_lex_state = 4},
  [622] = {.lex_state = 0, .external_lex_state = 4},
  [623] = {.lex_state = 0, .external_lex_state = 4},
  [624] = {.lex_state = 0, .external_lex_state = 4},
  [625] = {.lex_state = 0, .external_lex_state = 11},
  [626] = {.lex_state = 0, .external_lex_state = 4},
  [627] = {.lex_state = 132, .external_lex_state = 4},
  [628] = {.lex_state = 0, .external_lex_state = 4},
  [629] = {.lex_state = 0, .external_lex_state = 4},
  [630] = {.lex_state = 0, .external_lex_state = 4},
  [631] = {.lex_state = 0, .external_lex_state = 4},
  [632] = {.lex_state = 0, .external_lex_state = 4},
  [633] = {.lex_state = 0, .external_lex_state = 4},
  [634] = {.lex_state = 0, .external_lex_state = 4},
  [635] = {.lex_state = 0, .external_lex_state = 4},
  [636] = {.lex_state = 0, .external_lex_state = 4},
  [637] = {.lex_state = 0, .external_lex_state = 4},
  [638] = {.lex_state = 0, .external_lex_state = 4},
  [639] = {.lex_state = 0, .external_lex_state = 4},
  [640] = {.lex_state = 5, .external_lex_state = 4},
  [641] = {.lex_state = 0, .external_lex_state = 4},
  [642] = {.lex_state = 0, .external_lex_state = 4},
  [643] = {.lex_state = 0, .external_lex_state = 4},
  [644] = {.lex_state = 0, .external_lex_state = 4},
  [645] = {.lex_state = 5, .external_lex_state = 4},
  [646] = {.lex_state = 0, .external_lex_state = 12},
  [647] = {.lex_state = 132, .external_lex_state = 4},
  [648] = {.lex_state = 0, .external_lex_state = 4},
  [649] = {.lex_state = 132, .external_lex_state = 4},
  [650] = {.lex_state = 125, .external_lex_state = 4},
  [651] = {.lex_state = 5, .external_lex_state = 4},
  [652] = {.lex_state = 0, .external_lex_state = 11},
  [653] = {.lex_state = 132, .external_lex_state = 4},
  [654] = {.lex_state = 0, .external_lex_state = 4},
  [655] = {.lex_state = 132, .external_lex_state = 4},
  [656] = {.lex_state = 0, .external_lex_state = 4},
  [657] = {.lex_state = 0, .external_lex_state = 4},
  [658] = {.lex_state = 0, .external_lex_state = 4},
  [659] = {.lex_state = 0, .external_lex_state = 4},
  [660] = {.lex_state = 125, .external_lex_state = 4},
  [661] = {.lex_state = 0, .external_lex_state = 4},
  [662] = {.lex_state = 0, .external_lex_state = 4},
  [663] = {.lex_state = 0, .external_lex_state = 4},
  [664] = {.lex_state = 1, .external_lex_state = 4},
  [665] = {.lex_state = 0, .external_lex_state = 4},
  [666] = {.lex_state = 5, .external_lex_state = 4},
  [667] = {.lex_state = 0, .external_lex_state = 4},
  [668] = {.lex_state = 0, .external_lex_state = 4},
  [669] = {.lex_state = 0, .external_lex_state = 4},
  [670] = {.lex_state = 0, .external_lex_state = 4},
  [671] = {.lex_state = 0, .external_lex_state = 4},
  [672] = {.lex_state = 0, .external_lex_state = 4},
  [673] = {.lex_state = 0, .external_lex_state = 4},
  [674] = {.lex_state = 0, .external_lex_state = 4},
  [675] = {.lex_state = 0, .external_lex_state = 4},
  [676] = {.lex_state = 0, .external_lex_state = 4},
  [677] = {.lex_state = 0, .external_lex_state = 4},
  [678] = {.lex_state = 0, .external_lex_state = 4},
  [679] = {.lex_state = 5, .external_lex_state = 4},
  [680] = {.lex_state = 1, .external_lex_state = 4},
  [681] = {.lex_state = 132, .external_lex_state = 4},
  [682] = {.lex_state = 0, .external_lex_state = 4},
  [683] = {.lex_state = 0, .external_lex_state = 4},
  [684] = {.lex_state = 5, .external_lex_state = 4},
  [685] = {.lex_state = 0, .external_lex_state = 4},
  [686] = {.lex_state = 0, .external_lex_state = 4},
  [687] = {.lex_state = 5, .external_lex_state = 4},
  [688] = {.lex_state = 0, .external_lex_state = 4},
  [689] = {.lex_state = 0, .external_lex_state = 4},
  [690] = {.lex_state = 0, .external_lex_state = 5},
  [691] = {.lex_state = 0, .external_lex_state = 12},
  [692] = {.lex_state = 0, .external_lex_state = 4},
  [693] = {.lex_state = 0, .external_lex_state = 4},
  [694] = {.lex_state = 0, .external_lex_state = 4},
  [695] = {.lex_state = 0, .external_lex_state = 4},
  [696] = {.lex_state = 0, .external_lex_state = 4},
  [697] = {.lex_state = 0, .external_lex_state = 4},
  [698] = {.lex_state = 0, .external_lex_state = 5},
  [699] = {.lex_state = 0, .external_lex_state = 4},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LT_BANG] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [sym__doctype] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_SLASH_GT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [sym_entity] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_placeholder] = ACTIONS(1),
    [anon_sym_loading] = ACTIONS(1),
    [anon_sym_error] = ACTIONS(1),
    [anon_sym_prefetch] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_after] = ACTIONS(1),
    [anon_sym_minimum] = ACTIONS(1),
    [anon_sym_ms] = ACTIONS(1),
    [anon_sym_s] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_empty] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_track] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_plural] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_context] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACK_AT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [sym__escape_sequence] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_BANG_DOT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [sym__start_tag_name] = ACTIONS(1),
    [sym__script_start_tag_name] = ACTIONS(1),
    [sym__style_start_tag_name] = ACTIONS(1),
    [sym__end_tag_name] = ACTIONS(1),
    [sym_erroneous_end_tag_name] = ACTIONS(1),
    [sym__implicit_end_tag] = ACTIONS(1),
    [sym_raw_text] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(1),
    [sym__interpolation_end] = ACTIONS(1),
    [sym__control_flow_start] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(638),
    [sym_doctype] = STATE(239),
    [sym__node] = STATE(239),
    [sym_element] = STATE(239),
    [sym_script_element] = STATE(239),
    [sym_style_element] = STATE(239),
    [sym_start_tag] = STATE(6),
    [sym_script_start_tag] = STATE(467),
    [sym_style_start_tag] = STATE(470),
    [sym_self_closing_tag] = STATE(232),
    [sym_erroneous_end_tag] = STATE(239),
    [sym__any_statement] = STATE(242),
    [sym__alternative_statement] = STATE(243),
    [sym_let_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_defer_statement] = STATE(242),
    [sym_placeholder_statement] = STATE(244),
    [sym_loading_statement] = STATE(245),
    [sym_error_statement] = STATE(269),
    [sym_for_statement] = STATE(242),
    [sym_empty_statement] = STATE(240),
    [sym_if_statement] = STATE(242),
    [sym_else_if_statement] = STATE(235),
    [sym_else_statement] = STATE(236),
    [sym__if_start_expression] = STATE(571),
    [sym__else_if_start_expression] = STATE(551),
    [sym_icu_expression] = STATE(239),
    [sym_interpolation] = STATE(239),
    [aux_sym_document_repeat1] = STATE(8),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_LT_BANG] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(9),
    [anon_sym_LT_SLASH] = ACTIONS(11),
    [sym_entity] = ACTIONS(13),
    [sym_text] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(17),
    [sym__control_flow_start] = ACTIONS(19),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      anon_sym_LT_BANG,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_LT_SLASH,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(31), 1,
      sym__implicit_end_tag,
    ACTIONS(33), 1,
      sym__interpolation_start,
    ACTIONS(35), 1,
      sym__control_flow_start,
    STATE(4), 1,
      sym_start_tag,
    STATE(9), 1,
      aux_sym_document_repeat1,
    STATE(271), 1,
      sym_end_tag,
    STATE(283), 1,
      sym_self_closing_tag,
    STATE(285), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(289), 1,
      sym_empty_statement,
    STATE(290), 1,
      sym_else_if_statement,
    STATE(291), 1,
      sym_else_statement,
    STATE(462), 1,
      sym_style_start_tag,
    STATE(488), 1,
      sym_script_start_tag,
    STATE(528), 1,
      sym__if_start_expression,
    STATE(529), 1,
      sym__else_if_start_expression,
    ACTIONS(27), 2,
      sym_entity,
      sym_text,
    STATE(284), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(282), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [92] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LT_BANG,
    ACTIONS(42), 1,
      anon_sym_LT,
    ACTIONS(45), 1,
      anon_sym_LT_SLASH,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(54), 1,
      sym__interpolation_start,
    ACTIONS(57), 1,
      sym__control_flow_start,
    STATE(3), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(232), 1,
      sym_self_closing_tag,
    STATE(235), 1,
      sym_else_if_statement,
    STATE(236), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(243), 1,
      sym__alternative_statement,
    STATE(244), 1,
      sym_placeholder_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(269), 1,
      sym_error_statement,
    STATE(467), 1,
      sym_script_start_tag,
    STATE(470), 1,
      sym_style_start_tag,
    STATE(551), 1,
      sym__else_if_start_expression,
    STATE(571), 1,
      sym__if_start_expression,
    ACTIONS(37), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
    ACTIONS(48), 2,
      sym_entity,
      sym_text,
    STATE(242), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(239), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [182] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      anon_sym_LT_BANG,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      sym__interpolation_start,
    ACTIONS(35), 1,
      sym__control_flow_start,
    ACTIONS(60), 1,
      anon_sym_LT_SLASH,
    ACTIONS(62), 1,
      sym__implicit_end_tag,
    STATE(4), 1,
      sym_start_tag,
    STATE(5), 1,
      aux_sym_document_repeat1,
    STATE(283), 1,
      sym_self_closing_tag,
    STATE(285), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(289), 1,
      sym_empty_statement,
    STATE(290), 1,
      sym_else_if_statement,
    STATE(291), 1,
      sym_else_statement,
    STATE(293), 1,
      sym_end_tag,
    STATE(462), 1,
      sym_style_start_tag,
    STATE(488), 1,
      sym_script_start_tag,
    STATE(528), 1,
      sym__if_start_expression,
    STATE(529), 1,
      sym__else_if_start_expression,
    ACTIONS(27), 2,
      sym_entity,
      sym_text,
    STATE(284), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(282), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [274] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      anon_sym_LT_BANG,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      sym__interpolation_start,
    ACTIONS(35), 1,
      sym__control_flow_start,
    ACTIONS(60), 1,
      anon_sym_LT_SLASH,
    ACTIONS(64), 1,
      sym__implicit_end_tag,
    STATE(4), 1,
      sym_start_tag,
    STATE(9), 1,
      aux_sym_document_repeat1,
    STATE(283), 1,
      sym_self_closing_tag,
    STATE(285), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(289), 1,
      sym_empty_statement,
    STATE(290), 1,
      sym_else_if_statement,
    STATE(291), 1,
      sym_else_statement,
    STATE(307), 1,
      sym_end_tag,
    STATE(462), 1,
      sym_style_start_tag,
    STATE(488), 1,
      sym_script_start_tag,
    STATE(528), 1,
      sym__if_start_expression,
    STATE(529), 1,
      sym__else_if_start_expression,
    ACTIONS(27), 2,
      sym_entity,
      sym_text,
    STATE(284), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(282), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [366] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      anon_sym_LT_BANG,
    ACTIONS(23), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_LT_SLASH,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      sym__interpolation_start,
    ACTIONS(35), 1,
      sym__control_flow_start,
    ACTIONS(66), 1,
      sym__implicit_end_tag,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(4), 1,
      sym_start_tag,
    STATE(253), 1,
      sym_end_tag,
    STATE(283), 1,
      sym_self_closing_tag,
    STATE(285), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(289), 1,
      sym_empty_statement,
    STATE(290), 1,
      sym_else_if_statement,
    STATE(291), 1,
      sym_else_statement,
    STATE(462), 1,
      sym_style_start_tag,
    STATE(488), 1,
      sym_script_start_tag,
    STATE(528), 1,
      sym__if_start_expression,
    STATE(529), 1,
      sym__else_if_start_expression,
    ACTIONS(27), 2,
      sym_entity,
      sym_text,
    STATE(284), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(282), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [458] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym__control_flow_start,
    ACTIONS(68), 1,
      anon_sym_RBRACE,
    STATE(6), 1,
      sym_start_tag,
    STATE(10), 1,
      aux_sym_document_repeat1,
    STATE(232), 1,
      sym_self_closing_tag,
    STATE(235), 1,
      sym_else_if_statement,
    STATE(236), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(243), 1,
      sym__alternative_statement,
    STATE(244), 1,
      sym_placeholder_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(269), 1,
      sym_error_statement,
    STATE(467), 1,
      sym_script_start_tag,
    STATE(470), 1,
      sym_style_start_tag,
    STATE(551), 1,
      sym__else_if_start_expression,
    STATE(571), 1,
      sym__if_start_expression,
    ACTIONS(13), 2,
      sym_entity,
      sym_text,
    STATE(242), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(239), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [547] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym__control_flow_start,
    ACTIONS(70), 1,
      ts_builtin_sym_end,
    STATE(3), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(232), 1,
      sym_self_closing_tag,
    STATE(235), 1,
      sym_else_if_statement,
    STATE(236), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(243), 1,
      sym__alternative_statement,
    STATE(244), 1,
      sym_placeholder_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(269), 1,
      sym_error_statement,
    STATE(467), 1,
      sym_script_start_tag,
    STATE(470), 1,
      sym_style_start_tag,
    STATE(551), 1,
      sym__else_if_start_expression,
    STATE(571), 1,
      sym__if_start_expression,
    ACTIONS(13), 2,
      sym_entity,
      sym_text,
    STATE(242), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(239), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [636] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      sym__implicit_end_tag,
    ACTIONS(72), 1,
      anon_sym_LT_BANG,
    ACTIONS(75), 1,
      anon_sym_LT,
    ACTIONS(78), 1,
      anon_sym_LT_SLASH,
    ACTIONS(84), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      sym__interpolation_start,
    ACTIONS(90), 1,
      sym__control_flow_start,
    STATE(4), 1,
      sym_start_tag,
    STATE(9), 1,
      aux_sym_document_repeat1,
    STATE(283), 1,
      sym_self_closing_tag,
    STATE(285), 1,
      sym__alternative_statement,
    STATE(286), 1,
      sym_placeholder_statement,
    STATE(287), 1,
      sym_loading_statement,
    STATE(288), 1,
      sym_error_statement,
    STATE(289), 1,
      sym_empty_statement,
    STATE(290), 1,
      sym_else_if_statement,
    STATE(291), 1,
      sym_else_statement,
    STATE(462), 1,
      sym_style_start_tag,
    STATE(488), 1,
      sym_script_start_tag,
    STATE(528), 1,
      sym__if_start_expression,
    STATE(529), 1,
      sym__else_if_start_expression,
    ACTIONS(81), 2,
      sym_entity,
      sym_text,
    STATE(284), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(282), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [725] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym__control_flow_start,
    ACTIONS(93), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(232), 1,
      sym_self_closing_tag,
    STATE(235), 1,
      sym_else_if_statement,
    STATE(236), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(243), 1,
      sym__alternative_statement,
    STATE(244), 1,
      sym_placeholder_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(269), 1,
      sym_error_statement,
    STATE(467), 1,
      sym_script_start_tag,
    STATE(470), 1,
      sym_style_start_tag,
    STATE(551), 1,
      sym__else_if_start_expression,
    STATE(571), 1,
      sym__if_start_expression,
    ACTIONS(13), 2,
      sym_entity,
      sym_text,
    STATE(242), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(239), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [814] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym__control_flow_start,
    ACTIONS(95), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(232), 1,
      sym_self_closing_tag,
    STATE(235), 1,
      sym_else_if_statement,
    STATE(236), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(243), 1,
      sym__alternative_statement,
    STATE(244), 1,
      sym_placeholder_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(269), 1,
      sym_error_statement,
    STATE(467), 1,
      sym_script_start_tag,
    STATE(470), 1,
      sym_style_start_tag,
    STATE(551), 1,
      sym__else_if_start_expression,
    STATE(571), 1,
      sym__if_start_expression,
    ACTIONS(13), 2,
      sym_entity,
      sym_text,
    STATE(242), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(239), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [903] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym__control_flow_start,
    ACTIONS(97), 1,
      anon_sym_RBRACE,
    STATE(6), 1,
      sym_start_tag,
    STATE(11), 1,
      aux_sym_document_repeat1,
    STATE(232), 1,
      sym_self_closing_tag,
    STATE(235), 1,
      sym_else_if_statement,
    STATE(236), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(243), 1,
      sym__alternative_statement,
    STATE(244), 1,
      sym_placeholder_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(269), 1,
      sym_error_statement,
    STATE(467), 1,
      sym_script_start_tag,
    STATE(470), 1,
      sym_style_start_tag,
    STATE(551), 1,
      sym__else_if_start_expression,
    STATE(571), 1,
      sym__if_start_expression,
    ACTIONS(13), 2,
      sym_entity,
      sym_text,
    STATE(242), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(239), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [992] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym__control_flow_start,
    ACTIONS(99), 1,
      anon_sym_RBRACE,
    STATE(6), 1,
      sym_start_tag,
    STATE(14), 1,
      aux_sym_document_repeat1,
    STATE(232), 1,
      sym_self_closing_tag,
    STATE(235), 1,
      sym_else_if_statement,
    STATE(236), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(243), 1,
      sym__alternative_statement,
    STATE(244), 1,
      sym_placeholder_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(269), 1,
      sym_error_statement,
    STATE(467), 1,
      sym_script_start_tag,
    STATE(470), 1,
      sym_style_start_tag,
    STATE(551), 1,
      sym__else_if_start_expression,
    STATE(571), 1,
      sym__if_start_expression,
    ACTIONS(13), 2,
      sym_entity,
      sym_text,
    STATE(242), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(239), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1081] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym__control_flow_start,
    ACTIONS(101), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(232), 1,
      sym_self_closing_tag,
    STATE(235), 1,
      sym_else_if_statement,
    STATE(236), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(243), 1,
      sym__alternative_statement,
    STATE(244), 1,
      sym_placeholder_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(269), 1,
      sym_error_statement,
    STATE(467), 1,
      sym_script_start_tag,
    STATE(470), 1,
      sym_style_start_tag,
    STATE(551), 1,
      sym__else_if_start_expression,
    STATE(571), 1,
      sym__if_start_expression,
    ACTIONS(13), 2,
      sym_entity,
      sym_text,
    STATE(242), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(239), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1170] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym__control_flow_start,
    ACTIONS(103), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(232), 1,
      sym_self_closing_tag,
    STATE(235), 1,
      sym_else_if_statement,
    STATE(236), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(243), 1,
      sym__alternative_statement,
    STATE(244), 1,
      sym_placeholder_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(269), 1,
      sym_error_statement,
    STATE(467), 1,
      sym_script_start_tag,
    STATE(470), 1,
      sym_style_start_tag,
    STATE(551), 1,
      sym__else_if_start_expression,
    STATE(571), 1,
      sym__if_start_expression,
    ACTIONS(13), 2,
      sym_entity,
      sym_text,
    STATE(242), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(239), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1259] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym__control_flow_start,
    STATE(6), 1,
      sym_start_tag,
    STATE(15), 1,
      aux_sym_document_repeat1,
    STATE(232), 1,
      sym_self_closing_tag,
    STATE(235), 1,
      sym_else_if_statement,
    STATE(236), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_empty_statement,
    STATE(243), 1,
      sym__alternative_statement,
    STATE(244), 1,
      sym_placeholder_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(269), 1,
      sym_error_statement,
    STATE(467), 1,
      sym_script_start_tag,
    STATE(470), 1,
      sym_style_start_tag,
    STATE(551), 1,
      sym__else_if_start_expression,
    STATE(571), 1,
      sym__if_start_expression,
    ACTIONS(13), 2,
      sym_entity,
      sym_text,
    STATE(242), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(239), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(107), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1385] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_PIPE,
    STATE(73), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(119), 1,
      sym_pipe_sequence,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(113), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(121), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(123), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_LPAREN,
    ACTIONS(121), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(123), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_LBRACK,
    ACTIONS(131), 1,
      anon_sym_PIPE,
    STATE(111), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(128), 1,
      sym_pipe_sequence,
    ACTIONS(129), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(133), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(113), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(135), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(137), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(141), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(143), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(145), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(147), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(149), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(151), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(153), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(155), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(157), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(161), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(163), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(165), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(167), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(169), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(171), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(173), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(151), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(153), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(161), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(171), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(173), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2043] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_LBRACK,
    ACTIONS(131), 1,
      anon_sym_PIPE,
    STATE(111), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(128), 1,
      sym_pipe_sequence,
    ACTIONS(133), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(113), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(107), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(175), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(177), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2170] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      anon_sym_PIPE,
    ACTIONS(127), 1,
      anon_sym_LBRACK,
    STATE(73), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(119), 1,
      sym_pipe_sequence,
    ACTIONS(129), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(181), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(133), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(179), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(113), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(183), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(185), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(141), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(147), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(149), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2332] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_let,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(199), 1,
      anon_sym_BANG,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      sym_number,
    STATE(133), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(360), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(577), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(347), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [2396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(183), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(185), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(167), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(169), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2468] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_PIPE,
    ACTIONS(181), 1,
      anon_sym_QMARK,
    STATE(73), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(119), 1,
      sym_pipe_sequence,
    ACTIONS(205), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(179), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(113), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_COLON,
    STATE(99), 1,
      sym_pipe_arguments,
    STATE(56), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(207), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(209), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(163), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(165), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(127), 1,
      anon_sym_LBRACK,
    ACTIONS(133), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(175), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(177), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2638] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_PIPE,
    STATE(73), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(119), 1,
      sym_pipe_sequence,
    ACTIONS(205), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(113), 14,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(155), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(157), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(135), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(137), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(143), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(145), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2794] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_let,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(199), 1,
      anon_sym_BANG,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      sym_number,
    STATE(133), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(360), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(564), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(347), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [2858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_COLON,
    STATE(113), 1,
      sym_pipe_arguments,
    STATE(62), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(207), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(209), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(215), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(105), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(107), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_COLON,
    STATE(59), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(219), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(105), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(215), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(107), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3016] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_PIPE,
    ACTIONS(181), 1,
      anon_sym_QMARK,
    STATE(73), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(119), 1,
      sym_pipe_sequence,
    ACTIONS(223), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(179), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(113), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_COLON,
    STATE(59), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(225), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3106] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_PIPE,
    STATE(73), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(119), 1,
      sym_pipe_sequence,
    ACTIONS(223), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(113), 13,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(232), 1,
      anon_sym_DQUOTE,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(236), 1,
      sym_identifier,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(221), 1,
      sym__double_quote,
    STATE(402), 1,
      sym__single_quote,
    STATE(524), 1,
      sym_assignment_expression,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(458), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_COLON,
    STATE(63), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(219), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(240), 1,
      anon_sym_COLON,
    STATE(63), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(225), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3289] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(492), 1,
      sym_if_condition,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(427), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3349] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SQUOTE,
    ACTIONS(245), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(249), 1,
      anon_sym_LPAREN,
    ACTIONS(251), 1,
      anon_sym_LBRACK,
    ACTIONS(253), 1,
      anon_sym_BANG,
    ACTIONS(255), 1,
      sym_identifier,
    ACTIONS(257), 1,
      sym_number,
    STATE(147), 1,
      sym_expression,
    STATE(401), 1,
      sym__single_quote,
    STATE(404), 1,
      sym__double_quote,
    STATE(690), 1,
      sym_concatenation_expression,
    STATE(400), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(465), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(74), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SQUOTE,
    ACTIONS(245), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(249), 1,
      anon_sym_LPAREN,
    ACTIONS(251), 1,
      anon_sym_LBRACK,
    ACTIONS(253), 1,
      anon_sym_BANG,
    ACTIONS(255), 1,
      sym_identifier,
    ACTIONS(257), 1,
      sym_number,
    STATE(147), 1,
      sym_expression,
    STATE(401), 1,
      sym__single_quote,
    STATE(404), 1,
      sym__double_quote,
    STATE(698), 1,
      sym_concatenation_expression,
    STATE(400), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(500), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(74), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(259), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(673), 1,
      sym_concatenation_expression,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(520), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(95), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3529] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(236), 1,
      sym_identifier,
    ACTIONS(238), 1,
      sym_number,
    ACTIONS(261), 1,
      anon_sym_DQUOTE,
    STATE(125), 1,
      sym_expression,
    STATE(225), 1,
      sym__double_quote,
    STATE(402), 1,
      sym__single_quote,
    STATE(566), 1,
      sym_assignment_expression,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(438), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3589] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(506), 1,
      sym_if_condition,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(427), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3649] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(259), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(697), 1,
      sym_concatenation_expression,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(522), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(95), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3709] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(513), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 1,
      anon_sym_LBRACK,
    ACTIONS(265), 1,
      anon_sym_PIPE,
    STATE(136), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(160), 1,
      sym_pipe_sequence,
    ACTIONS(267), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(113), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      anon_sym_PIPE,
    STATE(75), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(269), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3846] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 1,
      anon_sym_LBRACK,
    ACTIONS(265), 1,
      anon_sym_PIPE,
    ACTIONS(273), 1,
      anon_sym_PLUS,
    STATE(136), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(160), 1,
      sym_pipe_sequence,
    ACTIONS(275), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(267), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(113), 10,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(281), 1,
      anon_sym_PIPE,
    STATE(75), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(277), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3930] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(284), 1,
      anon_sym_SQUOTE,
    ACTIONS(286), 1,
      anon_sym_DQUOTE,
    ACTIONS(288), 1,
      anon_sym_LBRACE,
    ACTIONS(290), 1,
      anon_sym_LPAREN,
    ACTIONS(292), 1,
      anon_sym_LBRACK,
    ACTIONS(294), 1,
      anon_sym_BANG,
    ACTIONS(296), 1,
      sym_identifier,
    ACTIONS(298), 1,
      sym_number,
    STATE(117), 1,
      sym_expression,
    STATE(411), 1,
      sym__single_quote,
    STATE(412), 1,
      sym__double_quote,
    STATE(338), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(377), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(21), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3987] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(57), 1,
      sym_group,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(381), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4046] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_PIPE,
    ACTIONS(300), 1,
      anon_sym_RPAREN,
    ACTIONS(302), 1,
      anon_sym_COMMA,
    STATE(73), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(119), 1,
      sym_pipe_sequence,
    STATE(505), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(113), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4095] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      anon_sym_PIPE,
    ACTIONS(181), 1,
      anon_sym_QMARK,
    ACTIONS(263), 1,
      anon_sym_LBRACK,
    STATE(73), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(119), 1,
      sym_pipe_sequence,
    ACTIONS(179), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(275), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(267), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(113), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4144] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 1,
      anon_sym_LBRACK,
    ACTIONS(265), 1,
      anon_sym_PIPE,
    STATE(136), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(160), 1,
      sym_pipe_sequence,
    ACTIONS(275), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(267), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(113), 11,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(121), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(123), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4224] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(487), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4281] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(429), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4338] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SQUOTE,
    ACTIONS(245), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(249), 1,
      anon_sym_LPAREN,
    ACTIONS(251), 1,
      anon_sym_LBRACK,
    ACTIONS(253), 1,
      anon_sym_BANG,
    ACTIONS(255), 1,
      sym_identifier,
    ACTIONS(306), 1,
      sym_number,
    STATE(115), 1,
      sym_group,
    STATE(147), 1,
      sym_expression,
    STATE(401), 1,
      sym__single_quote,
    STATE(404), 1,
      sym__double_quote,
    STATE(400), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(475), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(284), 1,
      anon_sym_SQUOTE,
    ACTIONS(286), 1,
      anon_sym_DQUOTE,
    ACTIONS(288), 1,
      anon_sym_LBRACE,
    ACTIONS(290), 1,
      anon_sym_LPAREN,
    ACTIONS(292), 1,
      anon_sym_LBRACK,
    ACTIONS(294), 1,
      anon_sym_BANG,
    ACTIONS(296), 1,
      sym_identifier,
    ACTIONS(298), 1,
      sym_number,
    STATE(55), 1,
      sym_group,
    STATE(117), 1,
      sym_expression,
    STATE(411), 1,
      sym__single_quote,
    STATE(412), 1,
      sym__double_quote,
    STATE(338), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(372), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(21), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4456] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(449), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4513] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(443), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(308), 1,
      anon_sym_EQ,
    ACTIONS(105), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(107), 17,
      anon_sym_DQUOTE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(199), 1,
      anon_sym_BANG,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      sym_number,
    STATE(57), 1,
      sym_group,
    STATE(133), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(360), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(398), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(60), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(107), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4701] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(484), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4758] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(523), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4815] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(480), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4872] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(494), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4929] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_PIPE,
    ACTIONS(310), 1,
      anon_sym_PLUS,
    STATE(73), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(119), 1,
      sym_pipe_sequence,
    ACTIONS(205), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(111), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(113), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4976] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(238), 1,
      sym_number,
    STATE(125), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(346), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(384), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(155), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(157), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(314), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(167), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(169), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(316), 1,
      anon_sym_PIPE,
    STATE(101), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(277), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(171), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(173), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(147), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(149), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(183), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(185), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(151), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(153), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 1,
      anon_sym_LBRACK,
    ACTIONS(267), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(175), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(177), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(163), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(165), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(143), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(145), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(135), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(137), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(141), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_PIPE,
    STATE(101), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(269), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(161), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(314), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(215), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(105), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(107), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5654] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(319), 1,
      anon_sym_RPAREN,
    ACTIONS(321), 1,
      sym_number,
    STATE(193), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(620), 1,
      sym_arguments,
    STATE(490), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(78), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(143), 1,
      sym__binary_op,
    ACTIONS(329), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(323), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(325), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(327), 10,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5748] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(321), 1,
      sym_number,
    ACTIONS(331), 1,
      anon_sym_RPAREN,
    STATE(193), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(639), 1,
      sym_arguments,
    STATE(490), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(78), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(333), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(335), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5836] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(321), 1,
      sym_number,
    ACTIONS(337), 1,
      anon_sym_RPAREN,
    STATE(193), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(669), 1,
      sym_arguments,
    STATE(490), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(78), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      anon_sym_COLON,
    STATE(145), 1,
      sym_pipe_arguments,
    STATE(126), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(207), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(209), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5930] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(143), 1,
      sym__binary_op,
    ACTIONS(343), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(323), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(341), 7,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(327), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5967] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(321), 1,
      sym_number,
    ACTIONS(345), 1,
      anon_sym_RPAREN,
    STATE(193), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(685), 1,
      sym_arguments,
    STATE(490), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(78), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6024] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(347), 1,
      sym_number,
    STATE(202), 1,
      sym_expression,
    STATE(310), 1,
      sym_conditional_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(348), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(45), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6078] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_QMARK,
    STATE(144), 1,
      sym__binary_op,
    ACTIONS(349), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(325), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(351), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      anon_sym_COLON,
    STATE(129), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(219), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6148] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(284), 1,
      anon_sym_SQUOTE,
    ACTIONS(286), 1,
      anon_sym_DQUOTE,
    ACTIONS(288), 1,
      anon_sym_LBRACE,
    ACTIONS(290), 1,
      anon_sym_LPAREN,
    ACTIONS(292), 1,
      anon_sym_LBRACK,
    ACTIONS(294), 1,
      anon_sym_BANG,
    ACTIONS(296), 1,
      sym_identifier,
    ACTIONS(353), 1,
      sym_number,
    STATE(199), 1,
      sym_expression,
    STATE(310), 1,
      sym_conditional_expression,
    STATE(411), 1,
      sym__single_quote,
    STATE(412), 1,
      sym__double_quote,
    STATE(331), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(38), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(333), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(335), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 1,
      anon_sym_COLON,
    STATE(129), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(225), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6266] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(199), 1,
      anon_sym_BANG,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(358), 1,
      sym_number,
    STATE(200), 1,
      sym_expression,
    STATE(396), 1,
      sym_conditional_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(367), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(58), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_QMARK,
    STATE(144), 1,
      sym__binary_op,
    ACTIONS(349), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(341), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(351), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6356] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SQUOTE,
    ACTIONS(245), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(249), 1,
      anon_sym_LPAREN,
    ACTIONS(251), 1,
      anon_sym_LBRACK,
    ACTIONS(253), 1,
      anon_sym_BANG,
    ACTIONS(255), 1,
      sym_identifier,
    ACTIONS(360), 1,
      sym_number,
    STATE(197), 1,
      sym_expression,
    STATE(401), 1,
      sym__single_quote,
    STATE(404), 1,
      sym__double_quote,
    STATE(469), 1,
      sym_conditional_expression,
    STATE(406), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(79), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_QMARK,
    STATE(146), 1,
      sym__binary_op,
    ACTIONS(325), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(362), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(364), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_QMARK,
    STATE(146), 1,
      sym__binary_op,
    ACTIONS(362), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(341), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(364), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6480] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(366), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(501), 2,
      sym_expression,
      sym_unary_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 1,
      anon_sym_PIPE,
    STATE(137), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(269), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(368), 1,
      anon_sym_PIPE,
    STATE(137), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(277), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6592] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(366), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(588), 2,
      sym_expression,
      sym_unary_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6640] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(366), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(514), 2,
      sym_expression,
      sym_unary_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6688] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(366), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(481), 2,
      sym_expression,
      sym_unary_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6736] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(234), 1,
      anon_sym_BANG,
    ACTIONS(366), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(495), 2,
      sym_expression,
      sym_unary_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6784] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(366), 1,
      sym_number,
    STATE(159), 1,
      sym_expression,
    STATE(227), 1,
      sym_binary_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6831] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(284), 1,
      anon_sym_SQUOTE,
    ACTIONS(286), 1,
      anon_sym_DQUOTE,
    ACTIONS(288), 1,
      anon_sym_LBRACE,
    ACTIONS(290), 1,
      anon_sym_LPAREN,
    ACTIONS(292), 1,
      anon_sym_LBRACK,
    ACTIONS(296), 1,
      sym_identifier,
    ACTIONS(371), 1,
      sym_number,
    STATE(122), 1,
      sym_expression,
    STATE(227), 1,
      sym_binary_expression,
    STATE(411), 1,
      sym__single_quote,
    STATE(412), 1,
      sym__double_quote,
    STATE(35), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6878] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(366), 1,
      sym_number,
    STATE(131), 1,
      sym_expression,
    STATE(227), 1,
      sym_binary_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(314), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6952] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(366), 1,
      sym_number,
    STATE(134), 1,
      sym_expression,
    STATE(375), 1,
      sym_binary_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6999] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_QMARK,
    STATE(149), 1,
      sym__binary_op,
    ACTIONS(325), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(373), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(375), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_QMARK,
    STATE(149), 1,
      sym__binary_op,
    ACTIONS(341), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(373), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(375), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7065] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SQUOTE,
    ACTIONS(245), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(249), 1,
      anon_sym_LPAREN,
    ACTIONS(251), 1,
      anon_sym_LBRACK,
    ACTIONS(255), 1,
      sym_identifier,
    ACTIONS(377), 1,
      sym_number,
    STATE(148), 1,
      sym_expression,
    STATE(392), 1,
      sym_binary_expression,
    STATE(401), 1,
      sym__single_quote,
    STATE(404), 1,
      sym__double_quote,
    STATE(72), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7139] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(366), 1,
      sym_number,
    STATE(395), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7183] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(366), 1,
      sym_number,
    STATE(362), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7227] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(366), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(510), 1,
      sym_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7271] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(366), 1,
      sym_number,
    STATE(388), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7315] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      sym_number,
    STATE(383), 1,
      sym_member_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(667), 1,
      sym_binding_name,
    STATE(445), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [7361] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(366), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(643), 1,
      sym_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7405] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      sym_number,
    STATE(383), 1,
      sym_member_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(677), 1,
      sym_binding_name,
    STATE(445), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [7451] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      sym_number,
    STATE(383), 1,
      sym_member_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(616), 1,
      sym_binding_name,
    STATE(445), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [7497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(142), 1,
      sym__binary_op,
    ACTIONS(341), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(383), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(385), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(333), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(335), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7553] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(387), 1,
      anon_sym_SQUOTE,
    ACTIONS(389), 1,
      anon_sym_DQUOTE,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(393), 1,
      anon_sym_LPAREN,
    ACTIONS(395), 1,
      anon_sym_LBRACK,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(399), 1,
      sym_number,
    STATE(224), 1,
      sym_expression,
    STATE(418), 1,
      sym__single_quote,
    STATE(419), 1,
      sym__double_quote,
    STATE(190), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7597] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(366), 1,
      sym_number,
    STATE(224), 1,
      sym_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7641] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SQUOTE,
    ACTIONS(245), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(249), 1,
      anon_sym_LPAREN,
    ACTIONS(251), 1,
      anon_sym_LBRACK,
    ACTIONS(255), 1,
      sym_identifier,
    ACTIONS(377), 1,
      sym_number,
    STATE(389), 1,
      sym_expression,
    STATE(401), 1,
      sym__single_quote,
    STATE(404), 1,
      sym__double_quote,
    STATE(72), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7685] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SQUOTE,
    ACTIONS(245), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(249), 1,
      anon_sym_LPAREN,
    ACTIONS(251), 1,
      anon_sym_LBRACK,
    ACTIONS(255), 1,
      sym_identifier,
    ACTIONS(377), 1,
      sym_number,
    STATE(401), 1,
      sym__single_quote,
    STATE(404), 1,
      sym__double_quote,
    STATE(476), 1,
      sym_expression,
    STATE(72), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7729] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(366), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(658), 1,
      sym_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7773] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(401), 1,
      sym_identifier,
    ACTIONS(403), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(410), 1,
      sym_member_expression,
    STATE(680), 1,
      sym_binding_name,
    STATE(452), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [7819] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(366), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(659), 1,
      sym_expression,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7863] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      sym_number,
    STATE(383), 1,
      sym_member_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(661), 1,
      sym_binding_name,
    STATE(445), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [7909] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      sym_number,
    STATE(383), 1,
      sym_member_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(663), 1,
      sym_binding_name,
    STATE(445), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [7955] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(401), 1,
      sym_identifier,
    ACTIONS(403), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(410), 1,
      sym_member_expression,
    STATE(664), 1,
      sym_binding_name,
    STATE(452), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [8001] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      sym_number,
    STATE(383), 1,
      sym_member_expression,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(683), 1,
      sym_binding_name,
    STATE(445), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [8047] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(405), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(423), 1,
      sym_group,
    STATE(422), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8090] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(407), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(379), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8131] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(387), 1,
      anon_sym_SQUOTE,
    ACTIONS(389), 1,
      anon_sym_DQUOTE,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(393), 1,
      anon_sym_LPAREN,
    ACTIONS(395), 1,
      anon_sym_LBRACK,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(409), 1,
      sym_number,
    STATE(418), 1,
      sym__single_quote,
    STATE(419), 1,
      sym__double_quote,
    STATE(203), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8172] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(387), 1,
      anon_sym_SQUOTE,
    ACTIONS(389), 1,
      anon_sym_DQUOTE,
    ACTIONS(391), 1,
      anon_sym_LBRACE,
    ACTIONS(393), 1,
      anon_sym_LPAREN,
    ACTIONS(395), 1,
      anon_sym_LBRACK,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(411), 1,
      sym_number,
    STATE(418), 1,
      sym__single_quote,
    STATE(419), 1,
      sym__double_quote,
    STATE(229), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8213] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(413), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(252), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8254] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(415), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(393), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8295] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(284), 1,
      anon_sym_SQUOTE,
    ACTIONS(286), 1,
      anon_sym_DQUOTE,
    ACTIONS(288), 1,
      anon_sym_LBRACE,
    ACTIONS(290), 1,
      anon_sym_LPAREN,
    ACTIONS(292), 1,
      anon_sym_LBRACK,
    ACTIONS(296), 1,
      sym_identifier,
    ACTIONS(417), 1,
      sym_number,
    STATE(411), 1,
      sym__single_quote,
    STATE(412), 1,
      sym__double_quote,
    STATE(48), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8336] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(419), 1,
      sym_number,
    STATE(391), 1,
      sym_group,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(390), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8379] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SQUOTE,
    ACTIONS(245), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(249), 1,
      anon_sym_LPAREN,
    ACTIONS(251), 1,
      anon_sym_LBRACK,
    ACTIONS(255), 1,
      sym_identifier,
    ACTIONS(421), 1,
      sym_number,
    STATE(401), 1,
      sym__single_quote,
    STATE(404), 1,
      sym__double_quote,
    STATE(378), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8420] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(423), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(330), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8461] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(425), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(408), 1,
      sym_group,
    STATE(407), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(427), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(417), 1,
      sym_group,
    STATE(416), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8547] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(429), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(385), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8588] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(431), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(37), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8629] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(433), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(382), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8670] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(195), 1,
      anon_sym_LPAREN,
    ACTIONS(197), 1,
      anon_sym_LBRACK,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(435), 1,
      sym_number,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(386), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8711] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SQUOTE,
    ACTIONS(245), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(249), 1,
      anon_sym_LPAREN,
    ACTIONS(251), 1,
      anon_sym_LBRACK,
    ACTIONS(255), 1,
      sym_identifier,
    ACTIONS(437), 1,
      sym_number,
    STATE(401), 1,
      sym__single_quote,
    STATE(404), 1,
      sym__double_quote,
    STATE(387), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8752] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SQUOTE,
    ACTIONS(245), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_LBRACE,
    ACTIONS(249), 1,
      anon_sym_LPAREN,
    ACTIONS(251), 1,
      anon_sym_LBRACK,
    ACTIONS(255), 1,
      sym_identifier,
    ACTIONS(439), 1,
      sym_number,
    STATE(401), 1,
      sym__single_quote,
    STATE(404), 1,
      sym__double_quote,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8793] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(111), 1,
      anon_sym_QMARK,
    ACTIONS(441), 1,
      anon_sym_LBRACK,
    ACTIONS(443), 1,
      anon_sym_PIPE,
    STATE(226), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(333), 1,
      sym_pipe_sequence,
    ACTIONS(445), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(113), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [8827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LPAREN,
    ACTIONS(121), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(123), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [8853] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(449), 1,
      anon_sym_GT,
    ACTIONS(451), 1,
      anon_sym_SLASH_GT,
    ACTIONS(453), 1,
      sym_attribute_name,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LBRACK,
    ACTIONS(461), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(463), 1,
      anon_sym_LBRACK_AT,
    STATE(355), 1,
      sym__normal_attribute,
    STATE(201), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(352), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [8895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(142), 1,
      sym__binary_op,
    ACTIONS(383), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(385), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8921] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      sym_attribute_name,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LBRACK,
    ACTIONS(461), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(463), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(465), 1,
      anon_sym_GT,
    ACTIONS(467), 1,
      anon_sym_SLASH_GT,
    STATE(355), 1,
      sym__normal_attribute,
    STATE(196), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(352), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [8963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(107), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [8989] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(449), 1,
      anon_sym_GT,
    ACTIONS(453), 1,
      sym_attribute_name,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LBRACK,
    ACTIONS(461), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(463), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(469), 1,
      anon_sym_SLASH_GT,
    STATE(355), 1,
      sym__normal_attribute,
    STATE(201), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(352), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [9031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(149), 1,
      sym__binary_op,
    ACTIONS(373), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(375), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9057] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      sym_attribute_name,
    ACTIONS(455), 1,
      anon_sym_LPAREN,
    ACTIONS(457), 1,
      anon_sym_STAR,
    ACTIONS(459), 1,
      anon_sym_LBRACK,
    ACTIONS(461), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(463), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(465), 1,
      anon_sym_GT,
    ACTIONS(471), 1,
      anon_sym_SLASH_GT,
    STATE(355), 1,
      sym__normal_attribute,
    STATE(192), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(352), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [9099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(143), 1,
      sym__binary_op,
    ACTIONS(323), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(327), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(146), 1,
      sym__binary_op,
    ACTIONS(362), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(364), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9151] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      sym_attribute_name,
    ACTIONS(478), 1,
      anon_sym_LPAREN,
    ACTIONS(481), 1,
      anon_sym_STAR,
    ACTIONS(484), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(490), 1,
      anon_sym_LBRACK_AT,
    STATE(355), 1,
      sym__normal_attribute,
    ACTIONS(473), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(201), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(352), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [9191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(144), 1,
      sym__binary_op,
    ACTIONS(349), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(351), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_LBRACK,
    ACTIONS(175), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(445), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(177), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [9244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(135), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(137), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [9267] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym_GT,
    ACTIONS(495), 1,
      sym_attribute_name,
    ACTIONS(497), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(501), 1,
      anon_sym_LBRACK,
    ACTIONS(503), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(505), 1,
      anon_sym_LBRACK_AT,
    STATE(363), 1,
      sym__normal_attribute,
    STATE(218), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(361), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [9306] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(495), 1,
      sym_attribute_name,
    ACTIONS(497), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(501), 1,
      anon_sym_LBRACK,
    ACTIONS(503), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(505), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(507), 1,
      anon_sym_GT,
    STATE(363), 1,
      sym__normal_attribute,
    STATE(205), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(361), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [9345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(155), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(157), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [9368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(139), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(141), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [9391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(143), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(145), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [9414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(147), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(149), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [9437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(151), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(153), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [9460] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(495), 1,
      sym_attribute_name,
    ACTIONS(497), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(501), 1,
      anon_sym_LBRACK,
    ACTIONS(503), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(505), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(509), 1,
      anon_sym_GT,
    STATE(363), 1,
      sym__normal_attribute,
    STATE(219), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(361), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [9499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(161), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [9522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(171), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(173), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [9545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(163), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(165), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [9568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(167), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(169), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [9591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(183), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(185), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [9614] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(473), 1,
      anon_sym_GT,
    ACTIONS(511), 1,
      sym_attribute_name,
    ACTIONS(514), 1,
      anon_sym_LPAREN,
    ACTIONS(517), 1,
      anon_sym_STAR,
    ACTIONS(520), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(526), 1,
      anon_sym_LBRACK_AT,
    STATE(363), 1,
      sym__normal_attribute,
    STATE(218), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(361), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [9653] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(495), 1,
      sym_attribute_name,
    ACTIONS(497), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(501), 1,
      anon_sym_LBRACK,
    ACTIONS(503), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(505), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(529), 1,
      anon_sym_GT,
    STATE(363), 1,
      sym__normal_attribute,
    STATE(218), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(361), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [9692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_COLON,
    STATE(274), 1,
      sym_pipe_arguments,
    ACTIONS(207), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(223), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(209), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [9720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_DQUOTE,
    STATE(27), 1,
      sym__double_quote,
    STATE(405), 1,
      aux_sym_string_repeat1,
    ACTIONS(537), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(533), 8,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [9747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_COLON,
    ACTIONS(225), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(222), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(227), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [9772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_COLON,
    ACTIONS(219), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(222), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(221), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [9797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(544), 1,
      anon_sym_QMARK,
    ACTIONS(542), 11,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [9817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_DQUOTE,
    STATE(27), 1,
      sym__double_quote,
    STATE(405), 1,
      aux_sym_string_repeat1,
    ACTIONS(537), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(533), 7,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [9843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 1,
      anon_sym_QMARK,
    ACTIONS(443), 1,
      anon_sym_PIPE,
    STATE(228), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(271), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [9866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_QMARK,
    ACTIONS(341), 10,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [9885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_QMARK,
    ACTIONS(546), 1,
      anon_sym_PIPE,
    STATE(228), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(279), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [9908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_LBRACK,
    ACTIONS(551), 1,
      anon_sym_QMARK,
    ACTIONS(445), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(549), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [9931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_LT,
    ACTIONS(553), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [9949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_LT,
    ACTIONS(557), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [9967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_LT,
    ACTIONS(561), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [9985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_LT,
    ACTIONS(565), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(571), 1,
      anon_sym_LT,
    ACTIONS(569), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LT,
    ACTIONS(573), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      anon_sym_LT,
    ACTIONS(577), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 1,
      anon_sym_LT,
    ACTIONS(581), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 1,
      anon_sym_LT,
    ACTIONS(585), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_LT,
    ACTIONS(589), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_LT,
    ACTIONS(593), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      anon_sym_LT,
    ACTIONS(597), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      anon_sym_LT,
    ACTIONS(601), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LT,
    ACTIONS(605), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_LT,
    ACTIONS(609), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LT,
    ACTIONS(613), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LT,
    ACTIONS(617), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(623), 1,
      anon_sym_LT,
    ACTIONS(621), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      anon_sym_LT,
    ACTIONS(625), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      anon_sym_LT,
    ACTIONS(629), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LT,
    ACTIONS(633), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_LT,
    ACTIONS(637), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(551), 1,
      anon_sym_QMARK,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(549), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [10349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_LT,
    ACTIONS(641), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LT,
    ACTIONS(645), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_LT,
    ACTIONS(649), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10403] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 1,
      anon_sym_let,
    ACTIONS(655), 1,
      anon_sym_switch,
    ACTIONS(657), 1,
      anon_sym_defer,
    ACTIONS(659), 1,
      anon_sym_placeholder,
    ACTIONS(661), 1,
      anon_sym_loading,
    ACTIONS(663), 1,
      anon_sym_error,
    ACTIONS(665), 1,
      anon_sym_for,
    ACTIONS(667), 1,
      anon_sym_empty,
    ACTIONS(669), 1,
      anon_sym_else,
    ACTIONS(671), 1,
      anon_sym_if,
  [10437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_LT,
    ACTIONS(673), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LT,
    ACTIONS(677), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_LT,
    ACTIONS(681), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(279), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [10509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LT,
    ACTIONS(685), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 1,
      anon_sym_LT,
    ACTIONS(689), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 1,
      anon_sym_LT,
    ACTIONS(693), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      anon_sym_LT,
    ACTIONS(697), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LT,
    ACTIONS(701), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LT,
    ACTIONS(705), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_LT,
    ACTIONS(709), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LT,
    ACTIONS(713), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LT,
    ACTIONS(717), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_LT,
    ACTIONS(721), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LT,
    ACTIONS(713), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_EQ,
    STATE(358), 1,
      sym__binding_assignment,
    ACTIONS(727), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(725), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [10729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LT,
    ACTIONS(731), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(314), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [10765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LT,
    ACTIONS(735), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_LT,
    ACTIONS(739), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_LT,
    ACTIONS(743), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LT,
    ACTIONS(747), 9,
      sym__interpolation_start,
      sym__control_flow_start,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [10837] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 1,
      anon_sym_if,
    ACTIONS(751), 1,
      anon_sym_let,
    ACTIONS(753), 1,
      anon_sym_switch,
    ACTIONS(755), 1,
      anon_sym_defer,
    ACTIONS(757), 1,
      anon_sym_placeholder,
    ACTIONS(759), 1,
      anon_sym_loading,
    ACTIONS(761), 1,
      anon_sym_error,
    ACTIONS(763), 1,
      anon_sym_for,
    ACTIONS(765), 1,
      anon_sym_empty,
    ACTIONS(767), 1,
      anon_sym_else,
  [10871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LT,
    ACTIONS(731), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10888] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(769), 1,
      anon_sym_RBRACE,
    ACTIONS(771), 1,
      sym_identifier,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(657), 1,
      sym_string,
    STATE(292), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [10917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_LT,
    ACTIONS(589), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_LT,
    ACTIONS(561), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      anon_sym_LT,
    ACTIONS(601), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LT,
    ACTIONS(605), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [10985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_LT,
    ACTIONS(609), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      anon_sym_LT,
    ACTIONS(613), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LT,
    ACTIONS(717), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_LT,
    ACTIONS(593), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LT,
    ACTIONS(573), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      anon_sym_LT,
    ACTIONS(577), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11087] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 1,
      anon_sym_SQUOTE,
    ACTIONS(776), 1,
      anon_sym_DQUOTE,
    ACTIONS(779), 1,
      anon_sym_RBRACE,
    ACTIONS(781), 1,
      sym_identifier,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(657), 1,
      sym_string,
    STATE(292), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [11116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_LT,
    ACTIONS(641), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 1,
      anon_sym_LT,
    ACTIONS(581), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 1,
      anon_sym_LT,
    ACTIONS(585), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_LT,
    ACTIONS(557), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_LT,
    ACTIONS(565), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(571), 1,
      anon_sym_LT,
    ACTIONS(569), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_LT,
    ACTIONS(721), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LT,
    ACTIONS(735), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_LT,
    ACTIONS(743), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_LT,
    ACTIONS(709), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(623), 1,
      anon_sym_LT,
    ACTIONS(621), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_LT,
    ACTIONS(649), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LT,
    ACTIONS(701), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LT,
    ACTIONS(713), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LT,
    ACTIONS(713), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(784), 1,
      anon_sym_RBRACE,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(657), 1,
      sym_string,
    STATE(292), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [11400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LT,
    ACTIONS(645), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_QMARK,
    ACTIONS(179), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [11434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 1,
      anon_sym_LT,
    ACTIONS(625), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      anon_sym_LT,
    ACTIONS(629), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_LT,
    ACTIONS(673), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LT,
    ACTIONS(677), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_LT,
    ACTIONS(681), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LT,
    ACTIONS(685), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 1,
      anon_sym_LT,
    ACTIONS(693), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_LT,
    ACTIONS(553), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_LT,
    ACTIONS(637), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LBRACK,
    ACTIONS(786), 1,
      anon_sym_EQ,
    STATE(369), 1,
      sym__binding_assignment,
    ACTIONS(725), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [11608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LT,
    ACTIONS(747), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      anon_sym_LT,
    ACTIONS(597), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_LT,
    ACTIONS(617), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_LT,
    ACTIONS(633), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 1,
      anon_sym_LT,
    ACTIONS(689), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      anon_sym_LT,
    ACTIONS(697), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LT,
    ACTIONS(705), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(792), 1,
      anon_sym_EQ,
    ACTIONS(790), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(788), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [11746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LT,
    ACTIONS(794), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(551), 1,
      anon_sym_QMARK,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(549), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [11784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_QMARK,
    ACTIONS(129), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(179), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [11803] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(657), 1,
      sym_string,
    STATE(281), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [11832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(333), 1,
      anon_sym_QMARK,
    ACTIONS(335), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [11849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_LT,
    ACTIONS(800), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [11866] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(804), 1,
      anon_sym_RBRACE,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(657), 1,
      sym_string,
    STATE(336), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [11895] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(806), 1,
      anon_sym_RBRACE,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(657), 1,
      sym_string,
    STATE(292), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [11924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_EQ,
    ACTIONS(810), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(808), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [11943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_QMARK,
    ACTIONS(129), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(325), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [11962] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(814), 1,
      anon_sym_RBRACE,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(657), 1,
      sym_string,
    STATE(340), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [11991] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(816), 1,
      anon_sym_RBRACE,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(657), 1,
      sym_string,
    STATE(292), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [12020] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_SQUOTE,
    ACTIONS(189), 1,
      anon_sym_DQUOTE,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(818), 1,
      anon_sym_RBRACE,
    STATE(402), 1,
      sym__single_quote,
    STATE(403), 1,
      sym__double_quote,
    STATE(657), 1,
      sym_string,
    STATE(308), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [12049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_LT,
    ACTIONS(739), 8,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym__control_flow_start,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [12066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_LBRACK,
    ACTIONS(820), 1,
      anon_sym_EQ,
    ACTIONS(788), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(822), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(826), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_QMARK,
    ACTIONS(205), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(325), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [12134] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_DQUOTE,
    ACTIONS(832), 1,
      anon_sym_SEMI,
    ACTIONS(834), 1,
      anon_sym_as,
    ACTIONS(836), 1,
      anon_sym_QMARK,
    ACTIONS(838), 1,
      anon_sym_QMARK_QMARK,
    STATE(450), 1,
      sym__alias,
    STATE(516), 1,
      sym__else_template_expression,
    STATE(630), 1,
      sym__context_expression,
  [12162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_QMARK,
    ACTIONS(205), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(179), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [12180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(840), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(846), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(844), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12212] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_as,
    ACTIONS(852), 1,
      anon_sym_EQ,
    ACTIONS(854), 1,
      anon_sym_COLON,
    ACTIONS(856), 1,
      sym_identifier,
    STATE(466), 1,
      sym__alias,
    ACTIONS(848), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [12236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(858), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(862), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(866), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(858), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(870), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(874), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(878), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 1,
      anon_sym_LBRACK,
    ACTIONS(882), 1,
      anon_sym_EQ,
    ACTIONS(808), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_QMARK,
    ACTIONS(223), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(325), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [12383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(544), 1,
      anon_sym_QMARK,
    ACTIONS(542), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [12413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 1,
      anon_sym_LBRACK,
    ACTIONS(862), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(866), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_QMARK,
    ACTIONS(223), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(179), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [12490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(874), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_LBRACK,
    ACTIONS(878), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(107), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      anon_sym_LBRACK,
    ACTIONS(840), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_QMARK,
    ACTIONS(215), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [12567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 1,
      anon_sym_LBRACK,
    ACTIONS(822), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 1,
      anon_sym_LBRACK,
    ACTIONS(826), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_QMARK,
    ACTIONS(341), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [12612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(844), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [12627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_QMARK,
    ACTIONS(890), 1,
      anon_sym_COMMA,
    ACTIONS(892), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(888), 4,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      sym_identifier,
  [12646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 1,
      anon_sym_LBRACK,
    ACTIONS(551), 1,
      anon_sym_QMARK,
    ACTIONS(549), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(267), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(894), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(884), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(107), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(215), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [12711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(898), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(107), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(900), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [12757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(904), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 1,
      anon_sym_LBRACK,
    ACTIONS(898), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
    ACTIONS(267), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_as,
    STATE(512), 1,
      sym__alias,
    ACTIONS(908), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [12820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(544), 1,
      anon_sym_QMARK,
    ACTIONS(542), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [12833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(910), 1,
      anon_sym_COLON,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(910), 1,
      anon_sym_COLON,
    ACTIONS(107), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_QMARK,
    ACTIONS(341), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [12874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(912), 1,
      anon_sym_RPAREN,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [12889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(914), 1,
      anon_sym_DQUOTE,
    ACTIONS(916), 1,
      sym__escape_sequence,
    ACTIONS(918), 1,
      aux_sym_string_token1,
    STATE(107), 1,
      sym__double_quote,
    STATE(457), 1,
      aux_sym_string_repeat1,
  [12908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 1,
      anon_sym_as,
    STATE(468), 1,
      sym__alias,
    ACTIONS(920), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [12923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_QMARK,
    ACTIONS(179), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [12936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_RBRACE,
    ACTIONS(924), 1,
      sym__control_flow_start,
    STATE(397), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [12951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_QMARK,
    ACTIONS(215), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [12964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 1,
      anon_sym_RBRACE,
    ACTIONS(929), 1,
      sym__control_flow_start,
    STATE(397), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [12979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_QMARK,
    ACTIONS(275), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(325), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
  [12994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(931), 1,
      anon_sym_SQUOTE,
    ACTIONS(933), 1,
      sym__escape_sequence,
    ACTIONS(935), 1,
      aux_sym_string_token2,
    STATE(98), 1,
      sym__single_quote,
    STATE(413), 1,
      aux_sym_string_repeat2,
  [13013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_SQUOTE,
    ACTIONS(937), 1,
      sym__escape_sequence,
    ACTIONS(939), 1,
      aux_sym_string_token2,
    STATE(27), 1,
      sym__single_quote,
    STATE(424), 1,
      aux_sym_string_repeat2,
  [13032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_DQUOTE,
    ACTIONS(537), 1,
      aux_sym_string_token1,
    ACTIONS(941), 1,
      sym__escape_sequence,
    STATE(27), 1,
      sym__double_quote,
    STATE(405), 1,
      aux_sym_string_repeat1,
  [13051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(931), 1,
      anon_sym_DQUOTE,
    ACTIONS(943), 1,
      sym__escape_sequence,
    ACTIONS(945), 1,
      aux_sym_string_token1,
    STATE(98), 1,
      sym__double_quote,
    STATE(394), 1,
      aux_sym_string_repeat1,
  [13070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 1,
      sym__escape_sequence,
    ACTIONS(918), 1,
      aux_sym_string_token1,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    STATE(29), 1,
      sym__double_quote,
    STATE(457), 1,
      aux_sym_string_repeat1,
  [13089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_QMARK,
    ACTIONS(179), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(275), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [13104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(949), 1,
      anon_sym_COLON,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_COLON,
    ACTIONS(107), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      sym__control_flow_start,
    ACTIONS(951), 1,
      anon_sym_RBRACE,
    STATE(397), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [13147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(107), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_SQUOTE,
    ACTIONS(955), 1,
      sym__escape_sequence,
    ACTIONS(957), 1,
      aux_sym_string_token2,
    STATE(50), 1,
      sym__single_quote,
    STATE(414), 1,
      aux_sym_string_repeat2,
  [13179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_DQUOTE,
    ACTIONS(959), 1,
      sym__escape_sequence,
    ACTIONS(961), 1,
      aux_sym_string_token1,
    STATE(50), 1,
      sym__double_quote,
    STATE(415), 1,
      aux_sym_string_repeat1,
  [13198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(914), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      sym__escape_sequence,
    ACTIONS(965), 1,
      aux_sym_string_token2,
    STATE(107), 1,
      sym__single_quote,
    STATE(456), 1,
      aux_sym_string_repeat2,
  [13217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      sym__escape_sequence,
    ACTIONS(965), 1,
      aux_sym_string_token2,
    ACTIONS(967), 1,
      anon_sym_SQUOTE,
    STATE(47), 1,
      sym__single_quote,
    STATE(456), 1,
      aux_sym_string_repeat2,
  [13236] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 1,
      sym__escape_sequence,
    ACTIONS(918), 1,
      aux_sym_string_token1,
    ACTIONS(967), 1,
      anon_sym_DQUOTE,
    STATE(47), 1,
      sym__double_quote,
    STATE(457), 1,
      aux_sym_string_repeat1,
  [13255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(969), 1,
      anon_sym_COLON,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_COLON,
    ACTIONS(107), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13283] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(973), 1,
      sym__escape_sequence,
    ACTIONS(975), 1,
      aux_sym_string_token2,
    STATE(207), 1,
      sym__single_quote,
    STATE(420), 1,
      aux_sym_string_repeat2,
  [13302] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_DQUOTE,
    ACTIONS(977), 1,
      sym__escape_sequence,
    ACTIONS(979), 1,
      aux_sym_string_token1,
    STATE(207), 1,
      sym__double_quote,
    STATE(421), 1,
      aux_sym_string_repeat1,
  [13321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      sym__escape_sequence,
    ACTIONS(965), 1,
      aux_sym_string_token2,
    ACTIONS(981), 1,
      anon_sym_SQUOTE,
    STATE(215), 1,
      sym__single_quote,
    STATE(456), 1,
      aux_sym_string_repeat2,
  [13340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 1,
      sym__escape_sequence,
    ACTIONS(918), 1,
      aux_sym_string_token1,
    ACTIONS(981), 1,
      anon_sym_DQUOTE,
    STATE(215), 1,
      sym__double_quote,
    STATE(457), 1,
      aux_sym_string_repeat1,
  [13359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(983), 1,
      anon_sym_COLON,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_COLON,
    ACTIONS(107), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 1,
      anon_sym_SQUOTE,
    ACTIONS(963), 1,
      sym__escape_sequence,
    ACTIONS(965), 1,
      aux_sym_string_token2,
    STATE(29), 1,
      sym__single_quote,
    STATE(456), 1,
      aux_sym_string_repeat2,
  [13406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(985), 1,
      sym_attribute_value,
    ACTIONS(987), 1,
      anon_sym_SQUOTE,
    ACTIONS(989), 1,
      anon_sym_DQUOTE,
    STATE(376), 1,
      sym_quoted_attribute_value,
  [13422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 1,
      anon_sym_DQUOTE,
    STATE(434), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(993), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [13436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(995), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [13450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    STATE(428), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(997), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [13464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(904), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [13478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 1,
      anon_sym_prefetch,
    ACTIONS(1004), 1,
      anon_sym_when,
    ACTIONS(1006), 1,
      anon_sym_on,
    STATE(593), 1,
      sym_defer_trigger_condition,
  [13494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1010), 1,
      anon_sym_LPAREN,
    STATE(299), 1,
      sym_statement_block,
    STATE(546), 1,
      sym_defer_trigger,
  [13510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1012), 1,
      anon_sym_LPAREN,
    STATE(280), 1,
      sym_statement_block,
    STATE(547), 1,
      sym_placeholder_minimum,
  [13526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1014), 1,
      anon_sym_LPAREN,
    STATE(300), 1,
      sym_statement_block,
    STATE(548), 1,
      sym_loading_condition,
  [13542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1016), 1,
      anon_sym_DQUOTE,
    STATE(448), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(993), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [13556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_RPAREN,
    STATE(446), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1018), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [13570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1022), 1,
      anon_sym_RBRACE,
    ACTIONS(1024), 1,
      sym_icu_category,
    STATE(437), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [13584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_RBRACE,
    ACTIONS(1028), 1,
      sym_icu_category,
    STATE(437), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [13598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    STATE(374), 1,
      sym__double_quote,
  [13614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 4,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      sym_identifier,
  [13624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      anon_sym_LPAREN,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(270), 1,
      sym_statement_block,
    STATE(578), 1,
      sym_defer_trigger,
  [13640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1014), 1,
      anon_sym_LPAREN,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(275), 1,
      sym_statement_block,
    STATE(597), 1,
      sym_loading_condition,
  [13656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 1,
      anon_sym_prefetch,
    ACTIONS(1004), 1,
      anon_sym_when,
    ACTIONS(1006), 1,
      anon_sym_on,
    STATE(463), 1,
      sym_defer_trigger_condition,
  [13672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1037), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [13686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      sym_attribute_value,
    ACTIONS(1041), 1,
      anon_sym_SQUOTE,
    ACTIONS(1043), 1,
      anon_sym_DQUOTE,
    STATE(350), 1,
      sym_quoted_attribute_value,
  [13702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(119), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_RPAREN,
    STATE(428), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1018), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [13728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      sym__control_flow_start,
    STATE(399), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [13740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_DQUOTE,
    STATE(448), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1049), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [13754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(894), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [13768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(832), 1,
      anon_sym_SEMI,
    ACTIONS(1052), 1,
      anon_sym_DQUOTE,
    STATE(478), 1,
      sym__else_template_expression,
    STATE(654), 1,
      sym__context_expression,
  [13784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1054), 1,
      anon_sym_SQUOTE,
    ACTIONS(1056), 1,
      sym_identifier,
    STATE(613), 1,
      sym_static_member_expression,
    STATE(640), 1,
      sym__single_quote,
  [13800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_LBRACK,
    ACTIONS(133), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [13812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      sym__control_flow_start,
    STATE(409), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [13824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1054), 1,
      anon_sym_SQUOTE,
    ACTIONS(1058), 1,
      sym_identifier,
    STATE(624), 1,
      sym_static_member_expression,
    STATE(640), 1,
      sym__single_quote,
  [13840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1054), 1,
      anon_sym_SQUOTE,
    ACTIONS(1060), 1,
      sym_identifier,
    STATE(623), 1,
      sym_static_member_expression,
    STATE(640), 1,
      sym__single_quote,
  [13856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_SQUOTE,
    ACTIONS(1064), 1,
      sym__escape_sequence,
    ACTIONS(1067), 1,
      aux_sym_string_token2,
    STATE(456), 1,
      aux_sym_string_repeat2,
  [13872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 1,
      anon_sym_DQUOTE,
    ACTIONS(1072), 1,
      sym__escape_sequence,
    ACTIONS(1075), 1,
      aux_sym_string_token1,
    STATE(457), 1,
      aux_sym_string_repeat1,
  [13888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1078), 1,
      anon_sym_DQUOTE,
    STATE(345), 1,
      sym__double_quote,
  [13904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1054), 1,
      anon_sym_SQUOTE,
    ACTIONS(1080), 1,
      sym_identifier,
    STATE(640), 1,
      sym__single_quote,
    STATE(642), 1,
      sym_static_member_expression,
  [13920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      sym_icu_category,
    ACTIONS(1082), 1,
      anon_sym_RBRACE,
    STATE(437), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [13934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_LPAREN,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(273), 1,
      sym_statement_block,
    STATE(590), 1,
      sym_placeholder_minimum,
  [13950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1086), 1,
      sym_raw_text,
    STATE(295), 1,
      sym_end_tag,
  [13963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1088), 1,
      anon_sym_SEMI,
    ACTIONS(1090), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      aux_sym_defer_trigger_repeat1,
  [13976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      sym_icu_category,
    STATE(460), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [13987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_QMARK,
    ACTIONS(1094), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1096), 1,
      sym__interpolation_end,
  [14000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1098), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [14009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1102), 1,
      sym_raw_text,
    STATE(237), 1,
      sym_end_tag,
  [14022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1104), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [14031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_QMARK,
    ACTIONS(179), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
  [14042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1106), 1,
      sym_raw_text,
    STATE(238), 1,
      sym_end_tag,
  [14055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_COMMA,
    ACTIONS(1111), 1,
      anon_sym_RBRACK,
    STATE(471), 1,
      aux_sym_array_repeat1,
  [14068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [14077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 1,
      anon_sym_else,
    ACTIONS(1117), 1,
      anon_sym_context,
    ACTIONS(1119), 1,
      sym_identifier,
  [14090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_RPAREN,
    ACTIONS(1121), 1,
      anon_sym_COMMA,
    STATE(474), 1,
      aux_sym_arguments_repeat1,
  [14103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_QMARK,
    ACTIONS(215), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
  [14114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_PLUS,
    ACTIONS(1126), 1,
      sym__interpolation_end,
    STATE(509), 1,
      aux_sym_concatenation_expression_repeat1,
  [14127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1128), 1,
      anon_sym_let,
    ACTIONS(1130), 1,
      sym_identifier,
    STATE(499), 1,
      sym_structural_assignment,
  [14140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      anon_sym_DQUOTE,
    ACTIONS(1134), 1,
      anon_sym_SEMI,
    STATE(670), 1,
      sym__context_expression,
  [14153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_COMMA,
    ACTIONS(1136), 1,
      anon_sym_PLUS,
    STATE(479), 1,
      aux_sym_concatenation_expression_repeat1,
  [14166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1139), 1,
      anon_sym_RPAREN,
  [14179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_COMMA,
    ACTIONS(1143), 1,
      anon_sym_RBRACK,
    STATE(486), 1,
      aux_sym_array_repeat1,
  [14192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1088), 1,
      anon_sym_SEMI,
    ACTIONS(1145), 1,
      anon_sym_RPAREN,
    STATE(504), 1,
      aux_sym_defer_trigger_repeat1,
  [14205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(699), 1,
      sym_timed_expression,
    ACTIONS(1147), 2,
      anon_sym_after,
      anon_sym_minimum,
  [14216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1149), 1,
      anon_sym_DQUOTE,
  [14229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(898), 1,
      sym__interpolation_end,
    ACTIONS(1151), 1,
      anon_sym_PLUS,
    STATE(485), 1,
      aux_sym_concatenation_expression_repeat1,
  [14242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_COMMA,
    ACTIONS(1154), 1,
      anon_sym_RBRACK,
    STATE(471), 1,
      aux_sym_array_repeat1,
  [14255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1156), 1,
      anon_sym_RPAREN,
  [14268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1158), 1,
      sym_raw_text,
    STATE(294), 1,
      sym_end_tag,
  [14281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(634), 1,
      sym_timed_expression,
    ACTIONS(1147), 2,
      anon_sym_after,
      anon_sym_minimum,
  [14292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 1,
      anon_sym_RPAREN,
    ACTIONS(302), 1,
      anon_sym_COMMA,
    STATE(505), 1,
      aux_sym_arguments_repeat1,
  [14305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [14314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 1,
      anon_sym_SEMI,
    ACTIONS(1164), 1,
      anon_sym_RPAREN,
    STATE(631), 1,
      sym_if_reference,
  [14327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(626), 1,
      sym_icu_clause,
    ACTIONS(1166), 2,
      anon_sym_plural,
      anon_sym_select,
  [14338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1168), 1,
      anon_sym_RPAREN,
  [14351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_COMMA,
    ACTIONS(1170), 1,
      anon_sym_RBRACK,
    STATE(498), 1,
      aux_sym_array_repeat1,
  [14364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1172), 1,
      anon_sym_if,
    STATE(247), 1,
      sym_statement_block,
  [14377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [14386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_COMMA,
    ACTIONS(1176), 1,
      anon_sym_RBRACK,
    STATE(471), 1,
      aux_sym_array_repeat1,
  [14399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [14408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_QMARK,
    ACTIONS(1094), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1178), 1,
      sym__interpolation_end,
  [14421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_COMMA,
    ACTIONS(1180), 1,
      anon_sym_RBRACK,
    STATE(515), 1,
      aux_sym_array_repeat1,
  [14434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 1,
      anon_sym_COMMA,
    ACTIONS(1184), 1,
      anon_sym_PLUS,
    STATE(479), 1,
      aux_sym_concatenation_expression_repeat1,
  [14447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 1,
      sym__start_tag_name,
    ACTIONS(1188), 1,
      sym__script_start_tag_name,
    ACTIONS(1190), 1,
      sym__style_start_tag_name,
  [14460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1192), 1,
      anon_sym_SEMI,
    ACTIONS(1195), 1,
      anon_sym_RPAREN,
    STATE(504), 1,
      aux_sym_defer_trigger_repeat1,
  [14473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_COMMA,
    ACTIONS(1197), 1,
      anon_sym_RPAREN,
    STATE(474), 1,
      aux_sym_arguments_repeat1,
  [14486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 1,
      anon_sym_SEMI,
    ACTIONS(1199), 1,
      anon_sym_RPAREN,
    STATE(665), 1,
      sym_if_reference,
  [14499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(550), 1,
      sym_timed_expression,
    ACTIONS(1147), 2,
      anon_sym_after,
      anon_sym_minimum,
  [14510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 1,
      sym_icu_category,
    STATE(436), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [14521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_PLUS,
    ACTIONS(1182), 1,
      sym__interpolation_end,
    STATE(485), 1,
      aux_sym_concatenation_expression_repeat1,
  [14534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_COMMA,
    ACTIONS(1184), 1,
      anon_sym_PLUS,
    STATE(502), 1,
      aux_sym_concatenation_expression_repeat1,
  [14547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    ACTIONS(1172), 1,
      anon_sym_if,
    STATE(303), 1,
      sym_statement_block,
  [14560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [14569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1203), 1,
      anon_sym_RPAREN,
  [14582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_COMMA,
    ACTIONS(1205), 1,
      anon_sym_RBRACK,
    STATE(519), 1,
      aux_sym_array_repeat1,
  [14595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_COMMA,
    ACTIONS(1207), 1,
      anon_sym_RBRACK,
    STATE(471), 1,
      aux_sym_array_repeat1,
  [14608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 1,
      anon_sym_SEMI,
    ACTIONS(1209), 1,
      anon_sym_DQUOTE,
    STATE(617), 1,
      sym__context_expression,
  [14621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      sym__script_start_tag_name,
    ACTIONS(1190), 1,
      sym__style_start_tag_name,
    ACTIONS(1211), 1,
      sym__start_tag_name,
  [14634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1128), 1,
      anon_sym_let,
    ACTIONS(1130), 1,
      sym_identifier,
    STATE(426), 1,
      sym_structural_assignment,
  [14647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_COMMA,
    ACTIONS(1213), 1,
      anon_sym_RBRACK,
    STATE(471), 1,
      aux_sym_array_repeat1,
  [14660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1215), 1,
      anon_sym_COMMA,
  [14673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(689), 1,
      sym_icu_clause,
    ACTIONS(1166), 2,
      anon_sym_plural,
      anon_sym_select,
  [14684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1217), 1,
      anon_sym_COMMA,
  [14697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_QMARK,
    ACTIONS(902), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1219), 1,
      anon_sym_DQUOTE,
  [14710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_DQUOTE,
    STATE(345), 1,
      sym__double_quote,
  [14720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym__end_tag_name,
    ACTIONS(1223), 1,
      sym_erroneous_end_tag_name,
  [14730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_let,
    STATE(671), 1,
      sym_for_reference,
  [14740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(246), 1,
      sym_statement_block,
  [14750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    STATE(296), 1,
      sym__if_body_expression,
  [14760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    STATE(297), 1,
      sym__if_body_expression,
  [14770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_SQUOTE,
    ACTIONS(1231), 1,
      aux_sym_quoted_attribute_value_token1,
  [14780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 1,
      anon_sym_context,
    ACTIONS(1119), 1,
      sym_identifier,
  [14790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_RBRACE,
    ACTIONS(1235), 1,
      sym_icu_category,
  [14800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    STATE(573), 1,
      sym_statement_block,
  [14810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    STATE(301), 1,
      sym_statement_block,
  [14820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    STATE(302), 1,
      sym_statement_block,
  [14830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_DQUOTE,
    ACTIONS(1239), 1,
      aux_sym_quoted_attribute_value_token2,
  [14840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_EQ,
    STATE(354), 1,
      sym__binding_assignment,
  [14850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_LT_SLASH,
    STATE(342), 1,
      sym_end_tag,
  [14860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      anon_sym_LT_SLASH,
    STATE(309), 1,
      sym_end_tag,
  [14870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [14878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    STATE(42), 1,
      sym__double_quote,
  [14888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      sym_identifier,
    STATE(97), 1,
      sym_pipe_call,
  [14898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym_identifier,
    STATE(28), 1,
      sym_call_expression,
  [14908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(277), 1,
      sym_statement_block,
  [14918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_EQ,
    STATE(356), 1,
      sym__binding_assignment,
  [14928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_statement_block,
  [14938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    STATE(314), 1,
      sym_statement_block,
  [14948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    STATE(315), 1,
      sym_statement_block,
  [14958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_EQ,
    STATE(357), 1,
      sym__binding_assignment,
  [14968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      anon_sym_SEMI,
    ACTIONS(1251), 1,
      anon_sym_RPAREN,
  [14978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_LPAREN,
    STATE(233), 1,
      sym__if_body_expression,
  [14988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym_identifier,
    STATE(150), 1,
      sym_pipe_call,
  [14998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_statement_block,
  [15008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_LBRACE,
    STATE(322), 1,
      sym_switch_body,
  [15018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    STATE(323), 1,
      sym_statement_block,
  [15028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_SQUOTE,
    ACTIONS(1261), 1,
      aux_sym_quoted_attribute_value_token1,
  [15038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_DQUOTE,
    ACTIONS(1263), 1,
      aux_sym_quoted_attribute_value_token2,
  [15048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 1,
      anon_sym_EQ,
    STATE(365), 1,
      sym__binding_assignment,
  [15058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 1,
      anon_sym_EQ,
    STATE(366), 1,
      sym__binding_assignment,
  [15068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 1,
      anon_sym_EQ,
    STATE(368), 1,
      sym__binding_assignment,
  [15078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    STATE(324), 1,
      sym_statement_block,
  [15088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 1,
      anon_sym_SEMI,
    ACTIONS(1267), 1,
      anon_sym_RPAREN,
  [15098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACE,
    STATE(327), 1,
      sym_statement_block,
  [15108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    STATE(373), 1,
      sym__double_quote,
  [15118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      sym_identifier,
    STATE(112), 1,
      sym_call_expression,
  [15128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_DQUOTE,
    STATE(374), 1,
      sym__double_quote,
  [15138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [15146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      anon_sym_LT_SLASH,
    STATE(254), 1,
      sym_end_tag,
  [15156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(250), 1,
      sym_statement_block,
  [15166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym_identifier,
    STATE(629), 1,
      sym_assignment_expression,
  [15176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_LPAREN,
    STATE(231), 1,
      sym__if_body_expression,
  [15186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    STATE(589), 1,
      sym_statement_block,
  [15196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 2,
      sym__control_flow_start,
      anon_sym_RBRACE,
  [15204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 1,
      sym_identifier,
    STATE(114), 1,
      sym_pipe_call,
  [15214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 1,
      sym_identifier,
    STATE(33), 1,
      sym_call_expression,
  [15224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(266), 1,
      sym_statement_block,
  [15234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 1,
      anon_sym_DQUOTE,
    STATE(344), 1,
      sym__double_quote,
  [15244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(257), 1,
      sym_statement_block,
  [15254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [15262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [15270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 2,
      anon_sym_ms,
      anon_sym_s,
  [15278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      anon_sym_LT_SLASH,
    STATE(276), 1,
      sym_end_tag,
  [15288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 2,
      sym__control_flow_start,
      anon_sym_RBRACE,
  [15296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(278), 1,
      sym_statement_block,
  [15306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(267), 1,
      sym_statement_block,
  [15316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      sym_identifier,
    STATE(260), 1,
      sym_pipe_call,
  [15326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      sym_identifier,
    STATE(213), 1,
      sym_call_expression,
  [15336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [15344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 2,
      sym__control_flow_start,
      anon_sym_RBRACE,
  [15352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(258), 1,
      sym_statement_block,
  [15362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 2,
      sym__control_flow_start,
      anon_sym_RBRACE,
  [15370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 2,
      anon_sym_EQ,
      sym_identifier,
  [15378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [15386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym_identifier,
    STATE(632), 1,
      sym_assignment_expression,
  [15396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      sym_erroneous_end_tag_name,
    ACTIONS(1301), 1,
      sym__end_tag_name,
  [15406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [15414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    STATE(259), 1,
      sym_statement_block,
  [15424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_SEMI,
    ACTIONS(1307), 1,
      anon_sym_RPAREN,
  [15434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_when,
    ACTIONS(1311), 1,
      anon_sym_on,
  [15444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      anon_sym_SQUOTE,
    STATE(619), 1,
      sym__single_quote,
  [15454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 1,
      anon_sym_DQUOTE,
    STATE(68), 1,
      sym__double_quote,
  [15464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym_identifier,
    STATE(435), 1,
      sym_assignment_expression,
  [15474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym_identifier,
    STATE(562), 1,
      sym_for_declaration,
  [15484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      anon_sym_DQUOTE,
    STATE(61), 1,
      sym__double_quote,
  [15494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 1,
      anon_sym_LBRACE,
    STATE(241), 1,
      sym_switch_body,
  [15504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 1,
      anon_sym_case,
    ACTIONS(1325), 1,
      anon_sym_default,
  [15514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [15522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym_identifier,
    STATE(598), 1,
      sym_for_declaration,
  [15532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_let,
    STATE(668), 1,
      sym_for_reference,
  [15542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    STATE(53), 1,
      sym__double_quote,
  [15552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym_identifier,
    STATE(491), 1,
      sym_assignment_expression,
  [15562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 1,
      anon_sym_COMMA,
  [15569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 1,
      anon_sym_RBRACK,
  [15576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      anon_sym_LPAREN,
  [15583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      sym_identifier,
  [15590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      anon_sym_RBRACK,
  [15597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 1,
      anon_sym_DQUOTE,
  [15604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 1,
      anon_sym_LBRACE,
  [15611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_RBRACK,
  [15618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_RPAREN,
  [15625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      sym_number,
  [15632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 1,
      anon_sym_LBRACE,
  [15639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      anon_sym_RBRACK,
  [15646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_RBRACK,
  [15653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym__end_tag_name,
  [15660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      anon_sym_COMMA,
  [15667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 1,
      anon_sym_GT,
  [15674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 1,
      anon_sym_as,
  [15681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_SEMI,
  [15688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_DQUOTE,
  [15695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_RPAREN,
  [15702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_SEMI,
  [15709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      sym__doctype,
  [15716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 1,
      anon_sym_RPAREN,
  [15723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 1,
      anon_sym_SQUOTE,
  [15730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1375), 1,
      anon_sym_DQUOTE,
  [15737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_of,
  [15744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      ts_builtin_sym_end,
  [15751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_RPAREN,
  [15758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym_identifier,
  [15765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_track,
  [15772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_RBRACK,
  [15779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      anon_sym_RPAREN,
  [15786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
  [15793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 1,
      sym_identifier,
  [15800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      sym_erroneous_end_tag_name,
  [15807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 1,
      anon_sym_GT,
  [15814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      anon_sym_LBRACE,
  [15821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 1,
      anon_sym_GT,
  [15828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      aux_sym_doctype_token1,
  [15835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      sym_identifier,
  [15842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym__end_tag_name,
  [15849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 1,
      anon_sym_GT,
  [15856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 1,
      anon_sym_DQUOTE,
  [15863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_GT,
  [15870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_LBRACE,
  [15877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 1,
      anon_sym_COLON,
  [15884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_SEMI,
  [15891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_RPAREN,
  [15898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      aux_sym_doctype_token1,
  [15905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 1,
      anon_sym_RPAREN,
  [15912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_LPAREN,
  [15919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1425), 1,
      anon_sym_RBRACK,
  [15926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1427), 1,
      anon_sym_RPAREN_RBRACK,
  [15933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 1,
      anon_sym_RPAREN,
  [15940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      sym_identifier,
  [15947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 1,
      anon_sym_RPAREN,
  [15954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      anon_sym_RPAREN,
  [15961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 1,
      anon_sym_RPAREN,
  [15968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
  [15975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1441), 1,
      anon_sym_RPAREN,
  [15982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_LPAREN,
  [15989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_COMMA,
  [15996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 1,
      anon_sym_SQUOTE,
  [16003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1445), 1,
      anon_sym_DQUOTE,
  [16010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_LPAREN,
  [16017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 1,
      anon_sym_RBRACK,
  [16024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_EQ,
  [16031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 1,
      sym_identifier,
  [16038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_RPAREN_RBRACK,
  [16045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 1,
      anon_sym_GT,
  [16052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym__doctype,
  [16059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_RBRACK,
  [16066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 1,
      sym_identifier,
  [16073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_RPAREN,
  [16080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_LBRACE,
  [16087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      sym_identifier,
  [16094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_RPAREN,
  [16101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      anon_sym_COMMA,
  [16108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 1,
      sym__interpolation_end,
  [16115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1475), 1,
      sym_erroneous_end_tag_name,
  [16122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      anon_sym_COLON,
  [16129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_LPAREN,
  [16136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 1,
      anon_sym_LPAREN,
  [16143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      anon_sym_LBRACE,
  [16150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_COLON,
  [16157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_COMMA,
  [16164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      sym__interpolation_end,
  [16171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      anon_sym_RPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 92,
  [SMALL_STATE(4)] = 182,
  [SMALL_STATE(5)] = 274,
  [SMALL_STATE(6)] = 366,
  [SMALL_STATE(7)] = 458,
  [SMALL_STATE(8)] = 547,
  [SMALL_STATE(9)] = 636,
  [SMALL_STATE(10)] = 725,
  [SMALL_STATE(11)] = 814,
  [SMALL_STATE(12)] = 903,
  [SMALL_STATE(13)] = 992,
  [SMALL_STATE(14)] = 1081,
  [SMALL_STATE(15)] = 1170,
  [SMALL_STATE(16)] = 1259,
  [SMALL_STATE(17)] = 1345,
  [SMALL_STATE(18)] = 1385,
  [SMALL_STATE(19)] = 1433,
  [SMALL_STATE(20)] = 1473,
  [SMALL_STATE(21)] = 1513,
  [SMALL_STATE(22)] = 1562,
  [SMALL_STATE(23)] = 1599,
  [SMALL_STATE(24)] = 1636,
  [SMALL_STATE(25)] = 1673,
  [SMALL_STATE(26)] = 1710,
  [SMALL_STATE(27)] = 1747,
  [SMALL_STATE(28)] = 1784,
  [SMALL_STATE(29)] = 1821,
  [SMALL_STATE(30)] = 1858,
  [SMALL_STATE(31)] = 1895,
  [SMALL_STATE(32)] = 1932,
  [SMALL_STATE(33)] = 1969,
  [SMALL_STATE(34)] = 2006,
  [SMALL_STATE(35)] = 2043,
  [SMALL_STATE(36)] = 2090,
  [SMALL_STATE(37)] = 2129,
  [SMALL_STATE(38)] = 2170,
  [SMALL_STATE(39)] = 2223,
  [SMALL_STATE(40)] = 2260,
  [SMALL_STATE(41)] = 2296,
  [SMALL_STATE(42)] = 2332,
  [SMALL_STATE(43)] = 2396,
  [SMALL_STATE(44)] = 2432,
  [SMALL_STATE(45)] = 2468,
  [SMALL_STATE(46)] = 2520,
  [SMALL_STATE(47)] = 2562,
  [SMALL_STATE(48)] = 2598,
  [SMALL_STATE(49)] = 2638,
  [SMALL_STATE(50)] = 2686,
  [SMALL_STATE(51)] = 2722,
  [SMALL_STATE(52)] = 2758,
  [SMALL_STATE(53)] = 2794,
  [SMALL_STATE(54)] = 2858,
  [SMALL_STATE(55)] = 2899,
  [SMALL_STATE(56)] = 2938,
  [SMALL_STATE(57)] = 2977,
  [SMALL_STATE(58)] = 3016,
  [SMALL_STATE(59)] = 3067,
  [SMALL_STATE(60)] = 3106,
  [SMALL_STATE(61)] = 3153,
  [SMALL_STATE(62)] = 3213,
  [SMALL_STATE(63)] = 3251,
  [SMALL_STATE(64)] = 3289,
  [SMALL_STATE(65)] = 3349,
  [SMALL_STATE(66)] = 3409,
  [SMALL_STATE(67)] = 3469,
  [SMALL_STATE(68)] = 3529,
  [SMALL_STATE(69)] = 3589,
  [SMALL_STATE(70)] = 3649,
  [SMALL_STATE(71)] = 3709,
  [SMALL_STATE(72)] = 3766,
  [SMALL_STATE(73)] = 3809,
  [SMALL_STATE(74)] = 3846,
  [SMALL_STATE(75)] = 3893,
  [SMALL_STATE(76)] = 3930,
  [SMALL_STATE(77)] = 3987,
  [SMALL_STATE(78)] = 4046,
  [SMALL_STATE(79)] = 4095,
  [SMALL_STATE(80)] = 4144,
  [SMALL_STATE(81)] = 4189,
  [SMALL_STATE(82)] = 4224,
  [SMALL_STATE(83)] = 4281,
  [SMALL_STATE(84)] = 4338,
  [SMALL_STATE(85)] = 4397,
  [SMALL_STATE(86)] = 4456,
  [SMALL_STATE(87)] = 4513,
  [SMALL_STATE(88)] = 4570,
  [SMALL_STATE(89)] = 4607,
  [SMALL_STATE(90)] = 4666,
  [SMALL_STATE(91)] = 4701,
  [SMALL_STATE(92)] = 4758,
  [SMALL_STATE(93)] = 4815,
  [SMALL_STATE(94)] = 4872,
  [SMALL_STATE(95)] = 4929,
  [SMALL_STATE(96)] = 4976,
  [SMALL_STATE(97)] = 5033,
  [SMALL_STATE(98)] = 5065,
  [SMALL_STATE(99)] = 5097,
  [SMALL_STATE(100)] = 5129,
  [SMALL_STATE(101)] = 5161,
  [SMALL_STATE(102)] = 5197,
  [SMALL_STATE(103)] = 5229,
  [SMALL_STATE(104)] = 5261,
  [SMALL_STATE(105)] = 5293,
  [SMALL_STATE(106)] = 5325,
  [SMALL_STATE(107)] = 5361,
  [SMALL_STATE(108)] = 5393,
  [SMALL_STATE(109)] = 5425,
  [SMALL_STATE(110)] = 5457,
  [SMALL_STATE(111)] = 5489,
  [SMALL_STATE(112)] = 5525,
  [SMALL_STATE(113)] = 5557,
  [SMALL_STATE(114)] = 5588,
  [SMALL_STATE(115)] = 5619,
  [SMALL_STATE(116)] = 5654,
  [SMALL_STATE(117)] = 5711,
  [SMALL_STATE(118)] = 5748,
  [SMALL_STATE(119)] = 5805,
  [SMALL_STATE(120)] = 5836,
  [SMALL_STATE(121)] = 5893,
  [SMALL_STATE(122)] = 5930,
  [SMALL_STATE(123)] = 5967,
  [SMALL_STATE(124)] = 6024,
  [SMALL_STATE(125)] = 6078,
  [SMALL_STATE(126)] = 6114,
  [SMALL_STATE(127)] = 6148,
  [SMALL_STATE(128)] = 6202,
  [SMALL_STATE(129)] = 6232,
  [SMALL_STATE(130)] = 6266,
  [SMALL_STATE(131)] = 6320,
  [SMALL_STATE(132)] = 6356,
  [SMALL_STATE(133)] = 6410,
  [SMALL_STATE(134)] = 6445,
  [SMALL_STATE(135)] = 6480,
  [SMALL_STATE(136)] = 6528,
  [SMALL_STATE(137)] = 6560,
  [SMALL_STATE(138)] = 6592,
  [SMALL_STATE(139)] = 6640,
  [SMALL_STATE(140)] = 6688,
  [SMALL_STATE(141)] = 6736,
  [SMALL_STATE(142)] = 6784,
  [SMALL_STATE(143)] = 6831,
  [SMALL_STATE(144)] = 6878,
  [SMALL_STATE(145)] = 6925,
  [SMALL_STATE(146)] = 6952,
  [SMALL_STATE(147)] = 6999,
  [SMALL_STATE(148)] = 7032,
  [SMALL_STATE(149)] = 7065,
  [SMALL_STATE(150)] = 7112,
  [SMALL_STATE(151)] = 7139,
  [SMALL_STATE(152)] = 7183,
  [SMALL_STATE(153)] = 7227,
  [SMALL_STATE(154)] = 7271,
  [SMALL_STATE(155)] = 7315,
  [SMALL_STATE(156)] = 7361,
  [SMALL_STATE(157)] = 7405,
  [SMALL_STATE(158)] = 7451,
  [SMALL_STATE(159)] = 7497,
  [SMALL_STATE(160)] = 7527,
  [SMALL_STATE(161)] = 7553,
  [SMALL_STATE(162)] = 7597,
  [SMALL_STATE(163)] = 7641,
  [SMALL_STATE(164)] = 7685,
  [SMALL_STATE(165)] = 7729,
  [SMALL_STATE(166)] = 7773,
  [SMALL_STATE(167)] = 7819,
  [SMALL_STATE(168)] = 7863,
  [SMALL_STATE(169)] = 7909,
  [SMALL_STATE(170)] = 7955,
  [SMALL_STATE(171)] = 8001,
  [SMALL_STATE(172)] = 8047,
  [SMALL_STATE(173)] = 8090,
  [SMALL_STATE(174)] = 8131,
  [SMALL_STATE(175)] = 8172,
  [SMALL_STATE(176)] = 8213,
  [SMALL_STATE(177)] = 8254,
  [SMALL_STATE(178)] = 8295,
  [SMALL_STATE(179)] = 8336,
  [SMALL_STATE(180)] = 8379,
  [SMALL_STATE(181)] = 8420,
  [SMALL_STATE(182)] = 8461,
  [SMALL_STATE(183)] = 8504,
  [SMALL_STATE(184)] = 8547,
  [SMALL_STATE(185)] = 8588,
  [SMALL_STATE(186)] = 8629,
  [SMALL_STATE(187)] = 8670,
  [SMALL_STATE(188)] = 8711,
  [SMALL_STATE(189)] = 8752,
  [SMALL_STATE(190)] = 8793,
  [SMALL_STATE(191)] = 8827,
  [SMALL_STATE(192)] = 8853,
  [SMALL_STATE(193)] = 8895,
  [SMALL_STATE(194)] = 8921,
  [SMALL_STATE(195)] = 8963,
  [SMALL_STATE(196)] = 8989,
  [SMALL_STATE(197)] = 9031,
  [SMALL_STATE(198)] = 9057,
  [SMALL_STATE(199)] = 9099,
  [SMALL_STATE(200)] = 9125,
  [SMALL_STATE(201)] = 9151,
  [SMALL_STATE(202)] = 9191,
  [SMALL_STATE(203)] = 9217,
  [SMALL_STATE(204)] = 9244,
  [SMALL_STATE(205)] = 9267,
  [SMALL_STATE(206)] = 9306,
  [SMALL_STATE(207)] = 9345,
  [SMALL_STATE(208)] = 9368,
  [SMALL_STATE(209)] = 9391,
  [SMALL_STATE(210)] = 9414,
  [SMALL_STATE(211)] = 9437,
  [SMALL_STATE(212)] = 9460,
  [SMALL_STATE(213)] = 9499,
  [SMALL_STATE(214)] = 9522,
  [SMALL_STATE(215)] = 9545,
  [SMALL_STATE(216)] = 9568,
  [SMALL_STATE(217)] = 9591,
  [SMALL_STATE(218)] = 9614,
  [SMALL_STATE(219)] = 9653,
  [SMALL_STATE(220)] = 9692,
  [SMALL_STATE(221)] = 9720,
  [SMALL_STATE(222)] = 9747,
  [SMALL_STATE(223)] = 9772,
  [SMALL_STATE(224)] = 9797,
  [SMALL_STATE(225)] = 9817,
  [SMALL_STATE(226)] = 9843,
  [SMALL_STATE(227)] = 9866,
  [SMALL_STATE(228)] = 9885,
  [SMALL_STATE(229)] = 9908,
  [SMALL_STATE(230)] = 9931,
  [SMALL_STATE(231)] = 9949,
  [SMALL_STATE(232)] = 9967,
  [SMALL_STATE(233)] = 9985,
  [SMALL_STATE(234)] = 10003,
  [SMALL_STATE(235)] = 10021,
  [SMALL_STATE(236)] = 10039,
  [SMALL_STATE(237)] = 10057,
  [SMALL_STATE(238)] = 10075,
  [SMALL_STATE(239)] = 10093,
  [SMALL_STATE(240)] = 10111,
  [SMALL_STATE(241)] = 10129,
  [SMALL_STATE(242)] = 10147,
  [SMALL_STATE(243)] = 10165,
  [SMALL_STATE(244)] = 10183,
  [SMALL_STATE(245)] = 10201,
  [SMALL_STATE(246)] = 10219,
  [SMALL_STATE(247)] = 10237,
  [SMALL_STATE(248)] = 10255,
  [SMALL_STATE(249)] = 10273,
  [SMALL_STATE(250)] = 10291,
  [SMALL_STATE(251)] = 10309,
  [SMALL_STATE(252)] = 10327,
  [SMALL_STATE(253)] = 10349,
  [SMALL_STATE(254)] = 10367,
  [SMALL_STATE(255)] = 10385,
  [SMALL_STATE(256)] = 10403,
  [SMALL_STATE(257)] = 10437,
  [SMALL_STATE(258)] = 10455,
  [SMALL_STATE(259)] = 10473,
  [SMALL_STATE(260)] = 10491,
  [SMALL_STATE(261)] = 10509,
  [SMALL_STATE(262)] = 10527,
  [SMALL_STATE(263)] = 10545,
  [SMALL_STATE(264)] = 10563,
  [SMALL_STATE(265)] = 10581,
  [SMALL_STATE(266)] = 10599,
  [SMALL_STATE(267)] = 10617,
  [SMALL_STATE(268)] = 10635,
  [SMALL_STATE(269)] = 10653,
  [SMALL_STATE(270)] = 10671,
  [SMALL_STATE(271)] = 10689,
  [SMALL_STATE(272)] = 10707,
  [SMALL_STATE(273)] = 10729,
  [SMALL_STATE(274)] = 10747,
  [SMALL_STATE(275)] = 10765,
  [SMALL_STATE(276)] = 10783,
  [SMALL_STATE(277)] = 10801,
  [SMALL_STATE(278)] = 10819,
  [SMALL_STATE(279)] = 10837,
  [SMALL_STATE(280)] = 10871,
  [SMALL_STATE(281)] = 10888,
  [SMALL_STATE(282)] = 10917,
  [SMALL_STATE(283)] = 10934,
  [SMALL_STATE(284)] = 10951,
  [SMALL_STATE(285)] = 10968,
  [SMALL_STATE(286)] = 10985,
  [SMALL_STATE(287)] = 11002,
  [SMALL_STATE(288)] = 11019,
  [SMALL_STATE(289)] = 11036,
  [SMALL_STATE(290)] = 11053,
  [SMALL_STATE(291)] = 11070,
  [SMALL_STATE(292)] = 11087,
  [SMALL_STATE(293)] = 11116,
  [SMALL_STATE(294)] = 11133,
  [SMALL_STATE(295)] = 11150,
  [SMALL_STATE(296)] = 11167,
  [SMALL_STATE(297)] = 11184,
  [SMALL_STATE(298)] = 11201,
  [SMALL_STATE(299)] = 11218,
  [SMALL_STATE(300)] = 11235,
  [SMALL_STATE(301)] = 11252,
  [SMALL_STATE(302)] = 11269,
  [SMALL_STATE(303)] = 11286,
  [SMALL_STATE(304)] = 11303,
  [SMALL_STATE(305)] = 11320,
  [SMALL_STATE(306)] = 11337,
  [SMALL_STATE(307)] = 11354,
  [SMALL_STATE(308)] = 11371,
  [SMALL_STATE(309)] = 11400,
  [SMALL_STATE(310)] = 11417,
  [SMALL_STATE(311)] = 11434,
  [SMALL_STATE(312)] = 11451,
  [SMALL_STATE(313)] = 11468,
  [SMALL_STATE(314)] = 11485,
  [SMALL_STATE(315)] = 11502,
  [SMALL_STATE(316)] = 11519,
  [SMALL_STATE(317)] = 11536,
  [SMALL_STATE(318)] = 11553,
  [SMALL_STATE(319)] = 11570,
  [SMALL_STATE(320)] = 11587,
  [SMALL_STATE(321)] = 11608,
  [SMALL_STATE(322)] = 11625,
  [SMALL_STATE(323)] = 11642,
  [SMALL_STATE(324)] = 11659,
  [SMALL_STATE(325)] = 11676,
  [SMALL_STATE(326)] = 11693,
  [SMALL_STATE(327)] = 11710,
  [SMALL_STATE(328)] = 11727,
  [SMALL_STATE(329)] = 11746,
  [SMALL_STATE(330)] = 11763,
  [SMALL_STATE(331)] = 11784,
  [SMALL_STATE(332)] = 11803,
  [SMALL_STATE(333)] = 11832,
  [SMALL_STATE(334)] = 11849,
  [SMALL_STATE(335)] = 11866,
  [SMALL_STATE(336)] = 11895,
  [SMALL_STATE(337)] = 11924,
  [SMALL_STATE(338)] = 11943,
  [SMALL_STATE(339)] = 11962,
  [SMALL_STATE(340)] = 11991,
  [SMALL_STATE(341)] = 12020,
  [SMALL_STATE(342)] = 12049,
  [SMALL_STATE(343)] = 12066,
  [SMALL_STATE(344)] = 12084,
  [SMALL_STATE(345)] = 12100,
  [SMALL_STATE(346)] = 12116,
  [SMALL_STATE(347)] = 12134,
  [SMALL_STATE(348)] = 12162,
  [SMALL_STATE(349)] = 12180,
  [SMALL_STATE(350)] = 12196,
  [SMALL_STATE(351)] = 12212,
  [SMALL_STATE(352)] = 12236,
  [SMALL_STATE(353)] = 12252,
  [SMALL_STATE(354)] = 12268,
  [SMALL_STATE(355)] = 12284,
  [SMALL_STATE(356)] = 12300,
  [SMALL_STATE(357)] = 12316,
  [SMALL_STATE(358)] = 12332,
  [SMALL_STATE(359)] = 12348,
  [SMALL_STATE(360)] = 12366,
  [SMALL_STATE(361)] = 12383,
  [SMALL_STATE(362)] = 12398,
  [SMALL_STATE(363)] = 12413,
  [SMALL_STATE(364)] = 12428,
  [SMALL_STATE(365)] = 12443,
  [SMALL_STATE(366)] = 12458,
  [SMALL_STATE(367)] = 12473,
  [SMALL_STATE(368)] = 12490,
  [SMALL_STATE(369)] = 12505,
  [SMALL_STATE(370)] = 12520,
  [SMALL_STATE(371)] = 12537,
  [SMALL_STATE(372)] = 12552,
  [SMALL_STATE(373)] = 12567,
  [SMALL_STATE(374)] = 12582,
  [SMALL_STATE(375)] = 12597,
  [SMALL_STATE(376)] = 12612,
  [SMALL_STATE(377)] = 12627,
  [SMALL_STATE(378)] = 12646,
  [SMALL_STATE(379)] = 12665,
  [SMALL_STATE(380)] = 12681,
  [SMALL_STATE(381)] = 12697,
  [SMALL_STATE(382)] = 12711,
  [SMALL_STATE(383)] = 12727,
  [SMALL_STATE(384)] = 12741,
  [SMALL_STATE(385)] = 12757,
  [SMALL_STATE(386)] = 12773,
  [SMALL_STATE(387)] = 12789,
  [SMALL_STATE(388)] = 12805,
  [SMALL_STATE(389)] = 12820,
  [SMALL_STATE(390)] = 12833,
  [SMALL_STATE(391)] = 12848,
  [SMALL_STATE(392)] = 12861,
  [SMALL_STATE(393)] = 12874,
  [SMALL_STATE(394)] = 12889,
  [SMALL_STATE(395)] = 12908,
  [SMALL_STATE(396)] = 12923,
  [SMALL_STATE(397)] = 12936,
  [SMALL_STATE(398)] = 12951,
  [SMALL_STATE(399)] = 12964,
  [SMALL_STATE(400)] = 12979,
  [SMALL_STATE(401)] = 12994,
  [SMALL_STATE(402)] = 13013,
  [SMALL_STATE(403)] = 13032,
  [SMALL_STATE(404)] = 13051,
  [SMALL_STATE(405)] = 13070,
  [SMALL_STATE(406)] = 13089,
  [SMALL_STATE(407)] = 13104,
  [SMALL_STATE(408)] = 13119,
  [SMALL_STATE(409)] = 13132,
  [SMALL_STATE(410)] = 13147,
  [SMALL_STATE(411)] = 13160,
  [SMALL_STATE(412)] = 13179,
  [SMALL_STATE(413)] = 13198,
  [SMALL_STATE(414)] = 13217,
  [SMALL_STATE(415)] = 13236,
  [SMALL_STATE(416)] = 13255,
  [SMALL_STATE(417)] = 13270,
  [SMALL_STATE(418)] = 13283,
  [SMALL_STATE(419)] = 13302,
  [SMALL_STATE(420)] = 13321,
  [SMALL_STATE(421)] = 13340,
  [SMALL_STATE(422)] = 13359,
  [SMALL_STATE(423)] = 13374,
  [SMALL_STATE(424)] = 13387,
  [SMALL_STATE(425)] = 13406,
  [SMALL_STATE(426)] = 13422,
  [SMALL_STATE(427)] = 13436,
  [SMALL_STATE(428)] = 13450,
  [SMALL_STATE(429)] = 13464,
  [SMALL_STATE(430)] = 13478,
  [SMALL_STATE(431)] = 13494,
  [SMALL_STATE(432)] = 13510,
  [SMALL_STATE(433)] = 13526,
  [SMALL_STATE(434)] = 13542,
  [SMALL_STATE(435)] = 13556,
  [SMALL_STATE(436)] = 13570,
  [SMALL_STATE(437)] = 13584,
  [SMALL_STATE(438)] = 13598,
  [SMALL_STATE(439)] = 13614,
  [SMALL_STATE(440)] = 13624,
  [SMALL_STATE(441)] = 13640,
  [SMALL_STATE(442)] = 13656,
  [SMALL_STATE(443)] = 13672,
  [SMALL_STATE(444)] = 13686,
  [SMALL_STATE(445)] = 13702,
  [SMALL_STATE(446)] = 13714,
  [SMALL_STATE(447)] = 13728,
  [SMALL_STATE(448)] = 13740,
  [SMALL_STATE(449)] = 13754,
  [SMALL_STATE(450)] = 13768,
  [SMALL_STATE(451)] = 13784,
  [SMALL_STATE(452)] = 13800,
  [SMALL_STATE(453)] = 13812,
  [SMALL_STATE(454)] = 13824,
  [SMALL_STATE(455)] = 13840,
  [SMALL_STATE(456)] = 13856,
  [SMALL_STATE(457)] = 13872,
  [SMALL_STATE(458)] = 13888,
  [SMALL_STATE(459)] = 13904,
  [SMALL_STATE(460)] = 13920,
  [SMALL_STATE(461)] = 13934,
  [SMALL_STATE(462)] = 13950,
  [SMALL_STATE(463)] = 13963,
  [SMALL_STATE(464)] = 13976,
  [SMALL_STATE(465)] = 13987,
  [SMALL_STATE(466)] = 14000,
  [SMALL_STATE(467)] = 14009,
  [SMALL_STATE(468)] = 14022,
  [SMALL_STATE(469)] = 14031,
  [SMALL_STATE(470)] = 14042,
  [SMALL_STATE(471)] = 14055,
  [SMALL_STATE(472)] = 14068,
  [SMALL_STATE(473)] = 14077,
  [SMALL_STATE(474)] = 14090,
  [SMALL_STATE(475)] = 14103,
  [SMALL_STATE(476)] = 14114,
  [SMALL_STATE(477)] = 14127,
  [SMALL_STATE(478)] = 14140,
  [SMALL_STATE(479)] = 14153,
  [SMALL_STATE(480)] = 14166,
  [SMALL_STATE(481)] = 14179,
  [SMALL_STATE(482)] = 14192,
  [SMALL_STATE(483)] = 14205,
  [SMALL_STATE(484)] = 14216,
  [SMALL_STATE(485)] = 14229,
  [SMALL_STATE(486)] = 14242,
  [SMALL_STATE(487)] = 14255,
  [SMALL_STATE(488)] = 14268,
  [SMALL_STATE(489)] = 14281,
  [SMALL_STATE(490)] = 14292,
  [SMALL_STATE(491)] = 14305,
  [SMALL_STATE(492)] = 14314,
  [SMALL_STATE(493)] = 14327,
  [SMALL_STATE(494)] = 14338,
  [SMALL_STATE(495)] = 14351,
  [SMALL_STATE(496)] = 14364,
  [SMALL_STATE(497)] = 14377,
  [SMALL_STATE(498)] = 14386,
  [SMALL_STATE(499)] = 14399,
  [SMALL_STATE(500)] = 14408,
  [SMALL_STATE(501)] = 14421,
  [SMALL_STATE(502)] = 14434,
  [SMALL_STATE(503)] = 14447,
  [SMALL_STATE(504)] = 14460,
  [SMALL_STATE(505)] = 14473,
  [SMALL_STATE(506)] = 14486,
  [SMALL_STATE(507)] = 14499,
  [SMALL_STATE(508)] = 14510,
  [SMALL_STATE(509)] = 14521,
  [SMALL_STATE(510)] = 14534,
  [SMALL_STATE(511)] = 14547,
  [SMALL_STATE(512)] = 14560,
  [SMALL_STATE(513)] = 14569,
  [SMALL_STATE(514)] = 14582,
  [SMALL_STATE(515)] = 14595,
  [SMALL_STATE(516)] = 14608,
  [SMALL_STATE(517)] = 14621,
  [SMALL_STATE(518)] = 14634,
  [SMALL_STATE(519)] = 14647,
  [SMALL_STATE(520)] = 14660,
  [SMALL_STATE(521)] = 14673,
  [SMALL_STATE(522)] = 14684,
  [SMALL_STATE(523)] = 14697,
  [SMALL_STATE(524)] = 14710,
  [SMALL_STATE(525)] = 14720,
  [SMALL_STATE(526)] = 14730,
  [SMALL_STATE(527)] = 14740,
  [SMALL_STATE(528)] = 14750,
  [SMALL_STATE(529)] = 14760,
  [SMALL_STATE(530)] = 14770,
  [SMALL_STATE(531)] = 14780,
  [SMALL_STATE(532)] = 14790,
  [SMALL_STATE(533)] = 14800,
  [SMALL_STATE(534)] = 14810,
  [SMALL_STATE(535)] = 14820,
  [SMALL_STATE(536)] = 14830,
  [SMALL_STATE(537)] = 14840,
  [SMALL_STATE(538)] = 14850,
  [SMALL_STATE(539)] = 14860,
  [SMALL_STATE(540)] = 14870,
  [SMALL_STATE(541)] = 14878,
  [SMALL_STATE(542)] = 14888,
  [SMALL_STATE(543)] = 14898,
  [SMALL_STATE(544)] = 14908,
  [SMALL_STATE(545)] = 14918,
  [SMALL_STATE(546)] = 14928,
  [SMALL_STATE(547)] = 14938,
  [SMALL_STATE(548)] = 14948,
  [SMALL_STATE(549)] = 14958,
  [SMALL_STATE(550)] = 14968,
  [SMALL_STATE(551)] = 14978,
  [SMALL_STATE(552)] = 14988,
  [SMALL_STATE(553)] = 14998,
  [SMALL_STATE(554)] = 15008,
  [SMALL_STATE(555)] = 15018,
  [SMALL_STATE(556)] = 15028,
  [SMALL_STATE(557)] = 15038,
  [SMALL_STATE(558)] = 15048,
  [SMALL_STATE(559)] = 15058,
  [SMALL_STATE(560)] = 15068,
  [SMALL_STATE(561)] = 15078,
  [SMALL_STATE(562)] = 15088,
  [SMALL_STATE(563)] = 15098,
  [SMALL_STATE(564)] = 15108,
  [SMALL_STATE(565)] = 15118,
  [SMALL_STATE(566)] = 15128,
  [SMALL_STATE(567)] = 15138,
  [SMALL_STATE(568)] = 15146,
  [SMALL_STATE(569)] = 15156,
  [SMALL_STATE(570)] = 15166,
  [SMALL_STATE(571)] = 15176,
  [SMALL_STATE(572)] = 15186,
  [SMALL_STATE(573)] = 15196,
  [SMALL_STATE(574)] = 15204,
  [SMALL_STATE(575)] = 15214,
  [SMALL_STATE(576)] = 15224,
  [SMALL_STATE(577)] = 15234,
  [SMALL_STATE(578)] = 15244,
  [SMALL_STATE(579)] = 15254,
  [SMALL_STATE(580)] = 15262,
  [SMALL_STATE(581)] = 15270,
  [SMALL_STATE(582)] = 15278,
  [SMALL_STATE(583)] = 15288,
  [SMALL_STATE(584)] = 15296,
  [SMALL_STATE(585)] = 15306,
  [SMALL_STATE(586)] = 15316,
  [SMALL_STATE(587)] = 15326,
  [SMALL_STATE(588)] = 15336,
  [SMALL_STATE(589)] = 15344,
  [SMALL_STATE(590)] = 15352,
  [SMALL_STATE(591)] = 15362,
  [SMALL_STATE(592)] = 15370,
  [SMALL_STATE(593)] = 15378,
  [SMALL_STATE(594)] = 15386,
  [SMALL_STATE(595)] = 15396,
  [SMALL_STATE(596)] = 15406,
  [SMALL_STATE(597)] = 15414,
  [SMALL_STATE(598)] = 15424,
  [SMALL_STATE(599)] = 15434,
  [SMALL_STATE(600)] = 15444,
  [SMALL_STATE(601)] = 15454,
  [SMALL_STATE(602)] = 15464,
  [SMALL_STATE(603)] = 15474,
  [SMALL_STATE(604)] = 15484,
  [SMALL_STATE(605)] = 15494,
  [SMALL_STATE(606)] = 15504,
  [SMALL_STATE(607)] = 15514,
  [SMALL_STATE(608)] = 15522,
  [SMALL_STATE(609)] = 15532,
  [SMALL_STATE(610)] = 15542,
  [SMALL_STATE(611)] = 15552,
  [SMALL_STATE(612)] = 15562,
  [SMALL_STATE(613)] = 15569,
  [SMALL_STATE(614)] = 15576,
  [SMALL_STATE(615)] = 15583,
  [SMALL_STATE(616)] = 15590,
  [SMALL_STATE(617)] = 15597,
  [SMALL_STATE(618)] = 15604,
  [SMALL_STATE(619)] = 15611,
  [SMALL_STATE(620)] = 15618,
  [SMALL_STATE(621)] = 15625,
  [SMALL_STATE(622)] = 15632,
  [SMALL_STATE(623)] = 15639,
  [SMALL_STATE(624)] = 15646,
  [SMALL_STATE(625)] = 15653,
  [SMALL_STATE(626)] = 15660,
  [SMALL_STATE(627)] = 15667,
  [SMALL_STATE(628)] = 15674,
  [SMALL_STATE(629)] = 15681,
  [SMALL_STATE(630)] = 15688,
  [SMALL_STATE(631)] = 15695,
  [SMALL_STATE(632)] = 15702,
  [SMALL_STATE(633)] = 15709,
  [SMALL_STATE(634)] = 15716,
  [SMALL_STATE(635)] = 15723,
  [SMALL_STATE(636)] = 15730,
  [SMALL_STATE(637)] = 15737,
  [SMALL_STATE(638)] = 15744,
  [SMALL_STATE(639)] = 15751,
  [SMALL_STATE(640)] = 15758,
  [SMALL_STATE(641)] = 15765,
  [SMALL_STATE(642)] = 15772,
  [SMALL_STATE(643)] = 15779,
  [SMALL_STATE(644)] = 15786,
  [SMALL_STATE(645)] = 15793,
  [SMALL_STATE(646)] = 15800,
  [SMALL_STATE(647)] = 15807,
  [SMALL_STATE(648)] = 15814,
  [SMALL_STATE(649)] = 15821,
  [SMALL_STATE(650)] = 15828,
  [SMALL_STATE(651)] = 15835,
  [SMALL_STATE(652)] = 15842,
  [SMALL_STATE(653)] = 15849,
  [SMALL_STATE(654)] = 15856,
  [SMALL_STATE(655)] = 15863,
  [SMALL_STATE(656)] = 15870,
  [SMALL_STATE(657)] = 15877,
  [SMALL_STATE(658)] = 15884,
  [SMALL_STATE(659)] = 15891,
  [SMALL_STATE(660)] = 15898,
  [SMALL_STATE(661)] = 15905,
  [SMALL_STATE(662)] = 15912,
  [SMALL_STATE(663)] = 15919,
  [SMALL_STATE(664)] = 15926,
  [SMALL_STATE(665)] = 15933,
  [SMALL_STATE(666)] = 15940,
  [SMALL_STATE(667)] = 15947,
  [SMALL_STATE(668)] = 15954,
  [SMALL_STATE(669)] = 15961,
  [SMALL_STATE(670)] = 15968,
  [SMALL_STATE(671)] = 15975,
  [SMALL_STATE(672)] = 15982,
  [SMALL_STATE(673)] = 15989,
  [SMALL_STATE(674)] = 15996,
  [SMALL_STATE(675)] = 16003,
  [SMALL_STATE(676)] = 16010,
  [SMALL_STATE(677)] = 16017,
  [SMALL_STATE(678)] = 16024,
  [SMALL_STATE(679)] = 16031,
  [SMALL_STATE(680)] = 16038,
  [SMALL_STATE(681)] = 16045,
  [SMALL_STATE(682)] = 16052,
  [SMALL_STATE(683)] = 16059,
  [SMALL_STATE(684)] = 16066,
  [SMALL_STATE(685)] = 16073,
  [SMALL_STATE(686)] = 16080,
  [SMALL_STATE(687)] = 16087,
  [SMALL_STATE(688)] = 16094,
  [SMALL_STATE(689)] = 16101,
  [SMALL_STATE(690)] = 16108,
  [SMALL_STATE(691)] = 16115,
  [SMALL_STATE(692)] = 16122,
  [SMALL_STATE(693)] = 16129,
  [SMALL_STATE(694)] = 16136,
  [SMALL_STATE(695)] = 16143,
  [SMALL_STATE(696)] = 16150,
  [SMALL_STATE(697)] = 16157,
  [SMALL_STATE(698)] = 16164,
  [SMALL_STATE(699)] = 16171,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [37] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9),
  [39] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(633),
  [42] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(517),
  [45] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(691),
  [48] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(239),
  [51] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(67),
  [54] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(65),
  [57] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(279),
  [60] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [62] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [64] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [66] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [68] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [70] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 1),
  [72] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(682),
  [75] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(503),
  [78] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(646),
  [81] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(282),
  [84] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(70),
  [87] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(66),
  [90] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(256),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primitive, 1, 0, 0),
  [107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primitive, 1, 0, 0),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 19),
  [123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 19),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 3, 0, 0),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 3, 0, 0),
  [147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 14),
  [153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 14),
  [155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 20),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 20),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 24),
  [173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 24),
  [175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pipe_argument, 2, 0, 0),
  [177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pipe_argument, 2, 0, 0),
  [179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 3, 0, 17),
  [181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 3, 0, 17),
  [183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracket_expression, 4, 0, 19),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracket_expression, 4, 0, 19),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 1, 0, 18),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 1, 0, 18),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 31),
  [217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 31),
  [219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_arguments, 1, 0, 0),
  [221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_arguments, 1, 0, 0),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0),
  [227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0),
  [229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(178),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(542),
  [284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 1, 0, 0),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 2, 0, 25),
  [314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 2, 0, 25),
  [316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(574),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_expression, 1, 0, 0),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_expression, 1, 0, 0),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 2, 0, 11),
  [335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 2, 0, 11),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 16),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 16),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(552),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(337),
  [478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(679),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(157),
  [487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(171),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(168),
  [517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(651),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(169),
  [523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(170),
  [526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 3, 0, 0),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(586),
  [549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 15),
  [551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 15),
  [553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_tag, 3, 0, 0),
  [555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_tag, 3, 0, 0),
  [557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 2, 0, 8),
  [559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 2, 0, 8),
  [561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1, 0, 0),
  [563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 1, 0, 0),
  [565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 2, 0, 8),
  [567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 2, 0, 8),
  [569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 2, 0, 0),
  [583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 2, 0, 0),
  [585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 2, 0, 0),
  [587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 2, 0, 0),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 6, 0, 32),
  [599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 6, 0, 32),
  [601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__node, 1, 0, 1),
  [603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__node, 1, 0, 1),
  [605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_statement, 1, 0, 1),
  [607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_statement, 1, 0, 1),
  [609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 37),
  [619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 37),
  [621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 3, 0, 0),
  [623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 3, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 4, 0, 21),
  [627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 4, 0, 21),
  [629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_body_expression, 5, 0, 39),
  [635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_body_expression, 5, 0, 39),
  [637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 13),
  [639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 13),
  [641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 2, 0, 0),
  [643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 2, 0, 0),
  [645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 3, 0, 0),
  [647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 3, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 4, 0, 22),
  [675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 4, 0, 22),
  [677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 4, 0, 22),
  [679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 4, 0, 22),
  [681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 4, 0, 22),
  [683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 4, 0, 22),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctype, 4, 0, 0),
  [687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctype, 4, 0, 0),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 43),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 43),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 3, 0, 12),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 3, 0, 12),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 3, 0, 13),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 3, 0, 13),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 3, 0, 12),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 3, 0, 12),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 3, 0, 12),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 3, 0, 12),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 3, 0, 12),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 3, 0, 12),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 3, 0, 0),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 3, 0, 0),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_statement, 3, 0, 12),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_statement, 3, 0, 12),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_body_expression, 4, 0, 30),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_body_expression, 4, 0, 30),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(657),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 4, 0, 0),
  [796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 4, 0, 0),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 3, 0, 0),
  [802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 3, 0, 0),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 1, 0, 0),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 1, 0, 18),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0),
  [862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_binding, 4, 0, 0),
  [868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_binding, 4, 0, 0),
  [870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_binding, 4, 0, 0),
  [872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_binding, 4, 0, 0),
  [874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 4, 0, 38),
  [880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 4, 0, 38),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_name, 1, 0, 0),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 23),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 3, 0, 33),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0),
  [900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 26),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 2, 0, 27),
  [906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 55),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 52),
  [922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(606),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 2, 0, 0),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_condition, 1, 0, 0),
  [997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 47), SHIFT_REPEAT(611),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 47),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 3, 0, 0),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 2, 0, 41),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0),
  [1028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(686),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 4, 0, 23),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_declaration, 6, 0, 46),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 3, 0, 42),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0),
  [1049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(477),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 44),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [1064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(456),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(456),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(457),
  [1075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(457),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 2, 0, 48),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 56),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(138),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 2, 0, 41),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 3, 0, 0),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 44),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 0),
  [1151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 41),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 26),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 4, 0, 0),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 35), SHIFT_REPEAT(430),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 35),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 5, 0, 58),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 0),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 57),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_case, 4, 0, 51),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_case, 4, 0, 51),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 3, 0, 0),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else_template_expression, 3, 0, 53),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 12),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 4, 0, 0),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 4, 0, 0),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, 0, 32),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 28),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timed_expression, 3, 0, 36),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 3, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_clause, 1, 0, 0),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 50),
  [1343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 5, 0, 40),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_member_expression, 3, 0, 0),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 3, 0, 28),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 45),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1379] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_start_expression, 2, 0, 0),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 4, 0, 34),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 49),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_minimum, 3, 0, 29),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 4, 0, 54),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else_if_start_expression, 3, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_reference, 3, 0, 0),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 3, 0, 28),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__start_tag_name = 0,
  ts_external_token__script_start_tag_name = 1,
  ts_external_token__style_start_tag_name = 2,
  ts_external_token__end_tag_name = 3,
  ts_external_token_erroneous_end_tag_name = 4,
  ts_external_token_SLASH_GT = 5,
  ts_external_token__implicit_end_tag = 6,
  ts_external_token_raw_text = 7,
  ts_external_token_comment = 8,
  ts_external_token__interpolation_start = 9,
  ts_external_token__interpolation_end = 10,
  ts_external_token__control_flow_start = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__start_tag_name] = sym__start_tag_name,
  [ts_external_token__script_start_tag_name] = sym__script_start_tag_name,
  [ts_external_token__style_start_tag_name] = sym__style_start_tag_name,
  [ts_external_token__end_tag_name] = sym__end_tag_name,
  [ts_external_token_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [ts_external_token_SLASH_GT] = anon_sym_SLASH_GT,
  [ts_external_token__implicit_end_tag] = sym__implicit_end_tag,
  [ts_external_token_raw_text] = sym_raw_text,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__interpolation_start] = sym__interpolation_start,
  [ts_external_token__interpolation_end] = sym__interpolation_end,
  [ts_external_token__control_flow_start] = sym__control_flow_start,
};

static const bool ts_external_scanner_states[13][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token__interpolation_end] = true,
    [ts_external_token__control_flow_start] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token__control_flow_start] = true,
  },
  [3] = {
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token__control_flow_start] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_end] = true,
  },
  [6] = {
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token_comment] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__control_flow_start] = true,
  },
  [8] = {
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
  },
  [9] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_angular_external_scanner_create(void);
void tree_sitter_angular_external_scanner_destroy(void *);
bool tree_sitter_angular_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_angular_external_scanner_serialize(void *, char *);
void tree_sitter_angular_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_angular(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_angular_external_scanner_create,
      tree_sitter_angular_external_scanner_destroy,
      tree_sitter_angular_external_scanner_scan,
      tree_sitter_angular_external_scanner_serialize,
      tree_sitter_angular_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
